----------------------
phpMyAdmin - Changelog
----------------------

$Id: ChangeLog,v 2.1929.2.142 2006/06/30 13:54:23 lem9 Exp $
$Source: /cvsroot/phpmyadmin/phpMyAdmin/ChangeLog,v $

2006-06-30 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: escape also single quotes 
    ### 2.8.2 released from QA_2_8 

2006-06-28 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: escape allowed parameters from non-token 
      requests

2006-06-15 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_export.lib.php: reenable XML option in export

2006-06-02 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: requirements: web browser with cookies enabled

2006-05-29 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: bug #1496881, CVS link broken in main.php

2006-05-20 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.8.1 released from MAINT_2_8_1

2006-05-17 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: bug #1478812, Add user (password containing 
      a backslash; also minor optimization

2006-05-15 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php, bug #1475949, removing the default value

2006-05-15 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Compatibility with security tokens (bug #1488453).
    * scripts/setup.php: Fix detection of writable config (bug #1488447).

2006-05-14 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php: Fix reading database list with MySQL wildcards
      (bug #1487613).

2006-05-12 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.8.0.4 released from MAINT_2_8_0
    ### 2.8.1-rc1 released from QA_2_8

2006-05-12 Michal Čihař  <michal@cihar.com>
    * libraries/footer.inc.php: Escape user input to avoid XSS.
    * libraries/url_generating.lib.php, libraries/session.inc.php,
      libraries/common.lib.php: Protect against external links which could
      perform any action (CVE-2006-1804) (backport from HEAD).

2006-05-05 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php: Fix UPDATE export with extended inserts
      enabled (bug#1482103).

2006-05-02 Michal Čihař  <michal@cihar.com>
    * libraries/select_lang.lib.php, libraries/Theme_Manager.class.php: Escape
      user input (CVE-2006-2031).

2006-04-27 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * db_printview.php: fixed bug 'no tables found', refactored

2006-04-27 Michal Čihař  <michal@cihar.com>
    * sql.php: Show results of REPLACE as affected as it contains both deleted
      and inserted rows count (bug #1475765).
    * libraries/common.lib.php: Better detection of duplicate rows (bug
      #1477500).

2006-04-24 Michal Čihař  <michal@cihar.com>
    * main.php: Fix logout link (bug #1474694).

2006-04-21 Michal Čihař  <michal@cihar.com>
    * libraries/import/csv.php: Fix importing files without trailing new line
      (bug #1473944).

2006-04-20 Michal Čihař  <michal@cihar.com>
    * index.php: Check target against goto_whitelist.

2006-04-14 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: bug #1443004 part 2, export order for VIEWs

2006-04-12 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * sql.php:
       - fixed bug #1469469 cyclic redirect with sql.php as default table-page

2006-04-12 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: bug #1443004 part 1: do not generate INSERT statements
      for an exported VIEW

2006-04-12 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * css/phpmyadmin.css.php:
      fixed bug #1446017 red border in outdated themes
    * libraries/common.lib.php:
       - added option to PMA_arrayWalkRecursive() to use function also on keys
       - un-magic_quotes_gpc also keys in GPC arrays
    * libraries/db_table_exists.lib.php:
      cleanup - what a mess; fixed several undefined variables
    * tbl_printview.php:
      fixed undefined variable by including libraries/tbl_properties_common.php
    * libraries/footer.inc.php:
      fixed bug #1454874 Javascript error in new (not framed) print window
    * css\phpmyadmin.css.php, scripts\setup.php, test\theme.php
      themes\darkblue_orange\css\theme_right.css.php,
      themes\original\css\theme_right.css.php:
      fixed bug #1444466 theme directory not being processed correctly
    * libraries\common.lib.php, libraries\Theme_Manager.class.php:
      fixed bug #1469174 configuration changes not accepted in theme manager
    * libraries\Theme_Manager.class.php:
      fixed bug #1469120 missing property in Theme_Manager class
    * libraries\common.lib.php:
      fixed bug #1469109 PMA_backquote() issues

2006-04-11 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: clarification about config.default.php

2006-04-11 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * tbl_relation.php:
      fixed bug #1459418 Add foreign key fail on column with ' in name
    * index.php, libraries\auth\cookie.auth.lib.php,
      libraries\auth\http.auth.lib.php, libraries\common.lib.php,
      libraries\footer.inc.php, libraries\fpdf\fpdf.php,
      libraries\grab_globals.lib.php, libraries\header.inc.php,
      libraries\ip_allow_deny.lib.php, libraries\select_lang.lib.php,
      libraries\Config.class.php:
      use PMA_getenv()
    * libraries\Config.class.php:
      fixed not initilized variable in getCookiePath();
    * libraries\common.lib.php:
      added PMA_getenv() as a wrapper to $_SERVER, $_ENV, getenv() and apache_getenv()

2006-04-11 Michal Čihař  <michal@cihar.com>
    * lang/galician: Fix missing ; (bug #1468439).

2006-04-10 Michal Čihař  <michal@cihar.com>
    * libraries/Config.class.php: Check also default config mtime (bug
      #1467620).
    * libraries/Config.class.php: Better check for server system (patch
      #1462738).
    * libraries/import/csv.php: Fix parsing of large CSV files (bug #1456331).

2006-04-07 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Parse correctly new version numbers.

2006-04-06 Marc Delisle  <lem9@users.sourceforge.net>
    * themes/*/css/theme_left.css.php, /theme_right.css.php:
      protection from unplanned execution path
    ### 2.8.0.3 released from branch MAINT_2_8_0

2006-03-26 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php: bug #1448890 Column expander doesn't work
    * libraries/tbl_properties.inc.php: bug #1458334, undefined offset
    * libraries/sqlparser.data.php: bug #1455373, CONVERT in reserved words

2006-03-23 Michal Čihař  <michal@cihar.com>
    * libraries/import/sql.php: Fix handling of -- (bug #1453430).

2006-03-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug #1444417 blobs are centered
    * libraries/common.lib.php: patch #1455286, catch 'permission denied'
      error on SHOW DATABASES, thanks to Bernard Dautrevaux - b-dautrevaux

2006-03-22 Alexander M. Turek  <me@derrabus.de>
    * lang/spanish-*.inc.php: Updates, thanks to Daniel Hinostroza.
    * lang/galician-*.inc.php: Updates, thanks to Xosé Calvo.

2006-03-21 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1439002, drop basetable of a view gives
      error on overview

2006-03-20 Alexander M. Turek  <me@derrabus.de>
    * Documentation.html: Added a note about Connector/PHP to FAQ 1.17.

2006-03-17 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Allow empty socket (bug #1452142).

2006-03-16 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Theme_Manager.class.php: XSS vulnerability
    * libraries/common.lib.php: bug #1392554, turn off 
       zend.ze1_compatibility_mode due to mysqli problems
    ### 2.8.0.2 released from branch MAINT_2_8_0

2006-03-16 Michal Čihař  <michal@cihar.com>
    * scripts/create-release.sh: Use w3m instead of lynx (bug #1451635).

2006-03-16 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: undefined variable when a BLOB is NULL

2006-03-15 Michal Čihař  <michal@cihar.com>
    * libraries/export/htmlexcel.php: Fix output handling (bug #1450555).

2006-03-14 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Fix config loading (bug #1449821).

2006-03-14 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1449715, loading of binary data very slow
    * server_privileges.php: compatibility with MySQL < 4.0.2
    * server_databases.php: bug #1445991, compatibility with MySQL 3.23.52

2006-03-13 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Config.class.php, /common.lib.php: bug #1445120, 
      cookie login not working on IIS

2006-03-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: reactivate in-line image display
    * transformation_wrapper.php: bug #1444121, octetstream download fails
      on versions of PHP accepting only one line per header,
      thanks to Ryan Schmidt

2006-03-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/database_interface.lib.php, tbl_create.php,
      tbl_properties_operations.php: bug #1444892, TYPE deprecated in 
      MySQL 5.1

2006-03-08 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Sync with HEAD fixes (bug #1435806).

2006-03-07 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Config.class.php: bug #1444867, does not load config.inc.php
      under PHP < 4.3.0, thanks to Julian Ladisch - julianladisch

2006-03-06 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: bug #1443337, homepage link
    ### 2.8.0 released from branch MAINT_2_8_0

2006-03-04 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/swedish: Update, thanks to Björn T. Hallberg - bjornth.
    * import.php, libraries/common.lib.php: bug #1413880, page status not
      preserved on Refresh
    * lang/chinese_traditional: Updates, thanks to Siu Sun.

2006-03-03 Michal Čihař  <michal@cihar.com>
    * libraries/Theme_Manager.class.php: Fix include path (bug #1442008).

2006-03-02 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/session.inc.php and removed .htaccess:
      bug #1411996: now we destroy an auto-started session
    ### 2.8.0-rc2 released from MAINT_2_8_0 branch

2006-03-02 Michal Čihař  <michal@cihar.com>
    * libraries/display_tbl.lib.php: Fix parameter to transformation (bug
      #1440926).

2006-02-25 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/japanese*: update, thanks to Ishigaki Kenichi - tcool

2006-02-24 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php: bug #1437754, search combos default to
      key zero
    * lang/swedish: Update, thanks to Björn T. Hallberg - bjornth.

2006-02-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Config.class.php: bug #1418769 part 1: stat failed for 
      ./config.inc.php (under PHP 4)
    * sql.php: bug #1437499, LIMIT clause when query ends with semicolon

2006-02-22 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug #1435303, error on empty BLOB transf.
    * .htaccess: added a reference to the FAQ

2006-02-22 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/footer.inc.php:
      bug #1436279 Left frame links open in new windows in Safari
    * libraries/dbi/mysqli.dbi.lib.php: workaround for http://bugs.php.net/36007
    * libraries/database_interface.lib.php PMA_DBI_get_tables_full(), left.php:
      added workaround for bug #1436171 Cannot display Capitalised Databases

2006-02-21 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Various bug fixes (bug #1435700, bug #1435806,
      undefined indexes).

2006-02-20 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.8.0-rc1 released

2006-02-20 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * sql.php:
      - fixed bug #1431422 Safari: Print view prints blank page
      - fixed some 'not refreshing left frame'

2006-02-19 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: re-establish previous error reporting mode
    * sql.php: bug #1434576, undefined variable $db
    * libraries/storage_engines.lib.php: bug #1434578, missing argument
      for __construct()
    * Documentation.html: bug #1433633, document consequences of having
      a .htaccess file, thanks to Isaac Bennetch 

2006-02-18 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: bug #1415465, undefined $sql_query
    * libraries/common.lib.php: bug #1377215, errors with E_STRICT

2006-02-18 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/sql_query_form.lib.php:
      fixed bug #1433882 html special chars not escaped in query in querybox

2006-02-17 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/*, db_details_structure.php:
      bug #1431352, no %d in strViewMaxExactCount
    * db_details_structure.php: bug #1431340, rowcount for views and
      unneeded $strViewMaxExactCount
    * libraries/common.lib.php: array to string conversion
    * libraries/display_tbl.lib.php: bug #1396998, added $strViewMaxExactCount
      when browsing

2006-02-17 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php:
      - fixed bug #1432626 'bad url error after select "(Databases)..."'
    * Documentation.html: fixed bug #1433397 'Wrong anchors'
    * libraries/select_server.lib.php:
      - fixed pre-select for current server (fixed type missmatch)
      - do not autosubmit on '(Server) ...'
    * css/print.css: fixed bug #1419696 'print css results in blank table output'

2006-02-16 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/italian: update, thanks to Luca Rebellato
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat
    * lang/finnish: update, thanks to Jouni Kahkonen

2006-02-15 Marc Delisle  <lem9@users.sourceforge.net>
    * bug #1406378, default value and auto_increment, thanks to Nuvo - nyvsld

2006-02-14 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: XHTML error, thanks to Cédric Corazza
    * Documentation.html: remove experimental status for MySQL 4.1 support

2006-02-14 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * server_privileges.php:
      - fixed bug #1427707 Priv->user->pass radio buttons unselectable
    * db_details_structure.php, tbl_properties_structure.php:
      - fixed bug #1420474 'Consistency (order of truncate/drop)'
      - some PEAR coding standard

2006-02-13 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug #1425522, warning when calling
      a stored procedure, thanks to JTC - jcqns

2006-02-13 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php:
      - fixed bug #1416848 'Insert new row from Browse page'
    * libraries/common.lib.php:
      - fixed bug #1409893 - links in navigation frame opens new window
    * libraries/select_server.lib.php:
      - fixed bug #1425688 'Server Select quirk'
      - valid XHTML 1.0
      - code readability

2006-02-12 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/english and hebrew: bug #1429769, typo
    * tbl_change.php, tbl_replace.php: bug #1429074, "go back to this page"
      choice should be sticky

2006-02-10 Marc Delisle  <lem9@users.sourceforge.net>
    * .htaccess added to main directory for bug #1411996; at least on
      servers supporting .htaccess we can run even if session.auto_start
      is enabled
    * lang/belarusian updates, thanks to Jaska Zedlik
    * lang/catalan update, thanks to Xavier Navarro (xavin).

2006-02-09 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libararies/session.inc.php:
      stop execution and ommit warning on session.auto_start enabled

2006-02-09 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/mult_submit.inc.php: bug #1404565, left frame refresh on
      db drop from Databases link in main page

2006-02-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Config.class.php: leave the possibility of having a
      backslash in the path on non-Windows system, thanks to Michal;
      and bug #1418769, part 2: missing argument (PHP 4 constructor)

2006-02-06 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Fix typos (bug #1424923).

2006-02-05 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php:
       - fixed bug #1416848 'Insert new row from Browse page'
       - PMA_checkPageValidity() [bug #1416848]
    * scripts/setup.php:
      fixed bug #1424274 'Found a problem in the setup script'
      (ShowPHPInfo -> ShowPhpInfo)

2006-02-04 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Config.class.php: bug #1409770 auto-detection and dirname on
      Windows, thanks to Alex - nixniemand
    * libraries/mult_submits.inc.php, server_databases.php: array to string
      conversion
    * tbl_properties_operations.php, tbl_properties.php, tbl_import.php,
      tbl_change.php: bug #1415465, undefined $sql_query

2006-01-31 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php: bug #1412058, damaged table reporting
    * import.php: bug #1418382, CSV import does not work

2006-01-30 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1418145, missing global,
      thanks to Bananeweizen

2006-01-29 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/estonian updates, thanks to Marko Ellermaa - uhuu
    * lang/polish: updates, thanks to Jakub Wilk - ubanus
    * lang/japanese: Update, thanks to Tadashi Jokagi - elf2000.
    * lang/italian: update, thanks to Luca Rebellato
    * lang/norwegian: Update, thanks to Sven-Erik Andersen
    * db_details_structure.php: bug #1396998, notice for view row count
      in table list
    * libraries/session.inc.php: bug #1414628, session.save_handler might
      be set to something different than "files". Thanks to Nicola Asuni
    ### 2.8.0-beta1 released

2006-01-28 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1396998, avoid displaying exact row
    count for views, work in progress.

2006-01-26 Michal Čihař  <michal@cihar.com>
    * lang/czech: Translation update.

2006-01-25 Marc Delisle  <lem9@users.sourceforge.net>
   * db_details_qbe.php: use PMA_countRecords() when possible, to be able
     to centralise into it the VIEW detection logic
   * sql.php: affected rows are returned in case of DELETE with no WHERE
     clause, at least since MySQL 4.0.x, so no need to pre-count

2006-01-25 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * server_status.php:
      fixed bug: high ascii char in preg_match
    * lang/german-*: update

2006-01-24 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/*: strViewMaxExactCount for the VIEW row count detection
      I'm working on...

2006-01-23 Michal Čihař  <michal@cihar.com>
    * lang/czech: Translation update.

2006-01-22 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1410787, incorrect merging of parameters
      contained in an array

2006-01-21 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * tbl_printview.php: typo

2006-01-20 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: bug #1410078, error exporting query ending with semicolon,
      thanks to Ryan Schmidt

2006-01-19 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: already defined constant
    * libraries/display_create_table.lib.php: bug #1376314, I remove
      the check to detect the privilege to create a table (see comments
      in the code)

2006-01-19 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * pdf_schema.php, db_details_qbe.php, libraries\display_tbl.lib.php,
      libraries\export\htmlword.php, libraries\export\latex.php,
      libraries\import.lib.php, libraries\ip_allow_deny.lib.php,
      libraries\transformations.lib.php,
      libraries\transformations\text_plain__external.inc.php:
      fixed bug #1409972 PHP 5.1.2 compatibility
    * libraries\url_generating.lib.php:
      fixed bug: undefined index server ($GLOBALS['server'])

2006-01-18 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Add info about Apache CGI and http auth (patch
      #1375495).

2006-01-17 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/database_interface.lib.php:
      fixed bug: undefined index with empty database in db structure view
    * libraries/display_import.lib.php:
      fixed bug: display issues with Opera (and Safari?)
    * libraries/plugin_interface.lib.php:
      - fixed bug: display issues with Opera (and Safari?)
      - added source documentation
      - PEAR coding standard
      - clarified some variable names
    * db_sarch.php:
      fixed bug: Undefined variable: num_tables
    * [really much files]: (not complete) PEAR coding standard

2006-01-16 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: typo
    * libraries/check_user_privileges.lib.php: bug #1406499,
      a username containing an hyphen could not create a db under
      MySQL 4.0.x, thanks to "timeout-"
    * libraries/common.lib.php: bug #1405956, uninitialized variable $link,
      thanks to Sebastian Mendel

2006-01-14 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/sql_query_form.lib.php: undefined js variable
    * libraries/database_interface.lib.php: PMA_DBI_get_tables_full() first parameter
      now also accepts an array of database names not only a single name
    * libraries/common.lib.php: PMA_getTableList():
      added second parameter to pass tables (if already fetched from db)
    * left.php: make use of new functionality in PMA_getTableList() and
      PMA_DBI_get_tables_full(): reduce db server traffic (MySQL >=5.0)
    * libraries/common.lib.php:
      removed aditional check for table row count for left frame tree
      (bug #1397061 Left frame not loaded correct on MySQL error)
    * libraries/common.lib.php, left.php:
      bug #1392924 undefined index: tab_count
    * libraries/display_export.lib.php, css/phpmyadmin.css.php,
      themes/*/css/theme_right.css.php:
      'fixed' layout of export screen for buggy safari and opera
    * db_operations.php, export.php, index.php, left.php,
      libraries\auth\cookie.auth.lib.php, libraries\common.lib.php,
      libraries\db_details_common.inc.php, libraries\db_table_exists.lib.php,
      libraries\display_export.lib.php, libraries\display_tbl.lib.php,
      libraries\export\sql.php, libraries\footer.inc.php,
      libraries\header.inc.php, libraries\left_header.inc.php,
      libraries\mult_submits.inc.php, libraries\mysql_charsets.lib.php,
      libraries\relation.lib.php, libraries\server_common.inc.php,
      libraries\sql_query_form.lib.php, libraries\sqlparser.lib.php,
      libraries\tbl_indexes.lib.php, libraries\tbl_move_copy.php,
      libraries\url_generating.lib.php, querywindow.php, scripts\setup.php,
      server_databases.php, server_privileges.php, server_processlist.php,
      sql.php, tbl_addfield.php, tbl_alter.php, tbl_change.php, tbl_create.php,
      tbl_indexes.php, tbl_replace.php:
      allow 0 as name for database, table collumn, alias and index

2006-01-12 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: typo, thanks to Cédric Corazza
    * libraries/common.lib.php: remove high-ascii characters, and an
      assignment syntax that does not work on PHP 5.1.2
    * libraries/database_interface.lib.php: PHP 5.1.2 compatibility

2006-01-11 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php, libraries/sqlparser.lib.php: other fixes for bug #1394479

2006-01-11 Michal Čihař  <michal@cihar.com>
    * main.php: Do not fail if no server is defined.
    * main.php, libraries/left_header.inc.php,
      libraries/select_server.lib.php: Show server selection if no server set
      and we have one server configuration (bug #1399880).
    * libraries/import/sql.php: Fix hang on unclosed quoted string (bug
      #1402270).

2006-01-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php: bug #1394479, problem detecting ending
      semi-colon, generates a SHOW KEYS FROM no table name

2006-01-09 Michal Čihař  <michal@cihar.com>
    * import.php: Work on 10MB chunks if no memory limit is set (bug
      #1399477).

2006-01-07 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php: bug #1395590 Safari Bookmark query fieldset float problem,
      thanks to Ryan Schmidt
    * libraries/common.lib.php: bug #1397749, Safari: space before
      PMA_linkOrButton link is part of the link, thanks to Ryan Schmidt
    * server_privileges.php: bug #1398018, Safari fieldset float issue in
      privileges screens, thanks to Ryan Schmidt
    * libraries/Config.class.php: bug #1398931, incorrect detection of
      PmaAbsoluteUri in vhost situations, thanks to Ryan Schmidt

2006-01-06 Marc Delisle  <lem9@users.sourceforge.net>
    * db_datadict.php, pdf_schema.php: bug #1389165, data dict shows all
      columns as Null Yes
    * pdf_schema.php: display PDF schema did not work (missing dot)

2006-01-04 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: since we use DROP USER, some options to
      remove a user did not work under MySQL 4.1.x (only mode 2 worked),
      so I remove them from the dialog. Thanks to Ken Stanley for
      the bug report.
    * server_status.php: patch #1395031, not proper URL encoding,
      adapted from proposed solution by Matt LaPlante, thanks

2006-01-02 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_create_table.lib.php: bug #1389868,
      Safari's rendering of "Create table" fieldset, thanks to Ryan Schmidt

2006-01-01 Michal Čihař  <michal@cihar.com>
    * libraries/Config.class.php: Do not check permissions on Windows, it
      seems to be broken anyway.

2006-01-01 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/transformations.lib.php: remove some PHP3 compatibility code

2005-12-31 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1388167, deleting a row in a table
      without a primary key, handle correctly is_js_confirmed

2005-12-30 Marc Delisle  <lem9@users.sourceforge.net>
    * server_databases.php: bug #1388135, IE and dropping databases
    * librairies/mult_submits.inc.php: strong warning for DROP DATABASE
    * tbl_printview.php: bug #1389165, Print view shows all columns as Null Yes
      (MySQL 5.x)
    * libraries/Config.class.php: patch #1392181, typo,
      thanks to Luis Mirabal - normannormal

2005-12-27 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php, libraries/check_user_privileges.lib.php:
      - reenable a non-privileged user to change his password
      - display the Reload MySQL link only if user has proper rights
    * Documentation.html: bug #1389582, unclosed code tag,
      thanks to Isaac Bennetch

2005-12-25 Michal Čihař  <michal@cihar.com>
    * libraries/import.lib.php, libraries/import/sql.php: Handle correctly
      dumps with commented out commands (eg. from mysqldump).

2005-12-22 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php, libraries/common.lib.php: bug #1381856,
      Cannot edit a table having 40 columns
    * libraries/common.lib.php: bug #1388116, cannot pass TRUE by reference
      to PMA_setCookie, thanks to Isaac Bennetch
    * libraries/tbl_replace_fields.inc.php: recent fix introduced a bug:
      cannot change a value for a nullable field

2005-12-21 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat
    * lang/hungarian update, thanks to Mihály Mészáros <necronix@freemail.hu>
    * tbl_properties_operations.php, libraries/tbl_properties.inc.php:
      bug #1349262, mismatch between PMA and MySQL about Storage Engine
      and table type
    * server_status.php, lang/*: bug #1348249, add a warning hint about
      the possibility of some counters being overrun (stats from MySQL server)

2005-12-20 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: does not return to correct page after
      the creation of a bookmark
    * libraries/display_create_table.lib.php: bug #1376314, detection of
      privileges to create a table (fix for MySQL 4.0.x case)
    * tbl_change.php, tbl_replace.php, libraries/tbl_replace_fields.inc.php:
      bug #1385974, cannot un-null a value

2005-12-17 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * db_details_importdocsql.php, db_operations.php,
      libraries\relation.lib.php, libraries\relation_cleanup.lib.php
      libraries\tbl_move_copy.php, libraries\transformations.lib.php
      pdf_pages.php, pdf_schema.php, tbl_alter.php, tbl_relation.php:
      added database name to relation querys

2005-12-17 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/url_generating.lib.php: problem with accented table names

2005-12-16 Michal Čihař  <michal@cihar.com>
    * Documentation.html, libraries/common.lib.php,
      libraries/config.default.php, libraries/database_interface.lib.php: Add
      support for hiding databases (RFE #1372865).
    * Documentation.html, export.php, import.php,
      libraries/config.default.php: Configurable memory limit (RFE #1373904).

2005-12-14 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/Config.class.php:
      - added check is_readable for user config file
      - check config file also on wakeup (bug #1376522)
    * libraries/Config.class.php, libraries/common.lib.php:
      fixed handling of https and $cfg['ForceSSL'] (bug #1379491)
    * left.php, js/function.js: fixed undeclared javascript variables
    * js/keyhandler.js: fixed wrong spellt 'aplewebkit' (bug #1379034)

2005-12-14 Michal Čihař  <michal@cihar.com>
    * libraries/config.default.php, Documentation.html: Transliterate invalid
      chars by default (RFE #1380255).
    * left.php: Resurrect database link in light frame (bug #1373804).
    * index.php, js/querywindow.js: Move navigation frame to right for rtl
      languages.

2005-12-13 Michal Čihař  <michal@cihar.com>
    * querywindow.php: Fix query history displaying (bug #1374639).

2005-12-12 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Use same format of version file as in upgrade.pl.

2005-12-12 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.inc.php, libraries/grab_globals.inc.php:
      preprare removal of grab_globals:
       - moved stuff from grab_globals into common.inc.php
       - check/init global required variables like: $lang, $server, $db, $table,
         $convcharset, $goto, $back, $sql_query
       - introduced $goto-whitelist
       - PEAR coding standard
    * libraries/common.inc.php, libraries/auth/cookie.auth.lib.php,
      libraries/auth/http.auth.lib.php, libraries/grab_globals.lib.php,
      libraries/relation.lib.php, scripts/setup.php:
       - check magic_quotes only once in common.inc.php
    * css/phpmyadmin.css.php, tbl_properties_operations.php:
      styled table operations dialog
    * db_search.php: revised
    * libraries/common.inc.php: fixed high ascii char

2005-12-11 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/tbl_properties_links.inc.php: bug #1375752,
      wrong page after insert (losing many URL parameters)

2005-12-11 Michal Čihař  <michal@cihar.com>
    * scripts/create-release.sh, scripts/upgrade.pl: Use same URL for updating
      as for setup.php, this one is autogenerated so there is no need for more
      manual steps.
    * browse_foreigners.php, left.php, libraries/header_meta_style.inc.php:
      Drop <base href=".." />, it should not be needed at all.
    * lang/czech: Update.

2005-12-11 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/database_interface.lib.php::PMA_DBI_get_columns_full():
      - forgot debug code
      - correct result for non MySQL 5

2005-12-10 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_structure.php, lang/*: new $strBrowseDistinctValues
    * Documentation.html: anchors and formatting cleanup,
      thanks to Cédric Corazza
    * libraries/relation.lib.php: bug #1370785, error browsing a table under
      PHP 4 when no controluser is defined but a pmadb is defined

2005-12-09 Michal Čihař  <michal@cihar.com>
    * libraries/auth/http.auth.lib.php: Simplify code, use getenv, support for
      CGI (inspired by patch #1375495).
    * Documentation.html: Clarify http auth description.
    * scripts/setup.php: Show available version information even when using
      CVS version.
    * libraries/dbi/mysql.dbi.lib.php: This is mysql extension.

2005-12-09 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/dbi:
      PMA_DBI_free_result() now accepts more than one resource to be freed
    * libraries/database_interface.lib.php:
      - some comments, PEAR coding standard
      - PMA_DBI_get_tables(), PMA_DBI_get_fields(): use PMA_DBI_fetch_result();
      - added PMA_DBI_get_columns_full()
      - PMA_DBI_fetch_result() now accepts an array as $key parameter
        for multidimensional arrays (returns: $result[key1][key2][key3] = $row)
      - PMA_DBI_get_variable(): use PMA_DBI_fetch_value()

2005-12-08 Marc Delisle  <lem9@users.sourceforge.net>
    * scripts/setup.php: Typos
    * libraries/common.lib.php: unneeded parameter in PMA_safe_db_list()

2005-12-08 Michal Čihař  <michal@cihar.com>
    * tbl_change.php: Fix XHTML and thus action selection behavior (bug
      #1376391).
    * lang/czech: Fix typo.
    * tbl_select.php, libraries/display_tbl.lib.php,
      tbl_properties_operations.php, tbl_indexes.php, db_operations.php,
      server_privileges.php, server_binlog.php: Fix XHTML.
    * tbl_properties_export.php: Fix output before headers.
    * Documentation.html: Add commands how to setup config dir, note about
      changing permissions.
    * scripts/setup.php: Show Save and Load buttons disabled if saving not
      available.
    * libraries/Config.class.php: Refuse to load config file with world
      writable permissions, refuse to work with existing config dir.
    * lang/*, libraries/auth/config.auth.lib.php: Suggest to run setup script
      if auth with default values fails.
    * libraries/grab_globals.lib.php: Do not choke on arrays in $_SERVER
      array (bug #1370414).
    * libraries/sql_query_form.lib.php: Require bookmark code when we use it.
    * libraries/export/sql.php: Backquote database name (RFE#1376336).
    * libraries/plugin_interface.lib.php, import.php,
      libraries/display_import.lib.php, libraries/import/*: Generic plugin
      infrastructure and use it in import (needed for RFE#1325937), work in
      progress.

2005-12-08 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/tbl_move_copy.php: added PMA_table_rename()
    * tbl_properties_common.php, libraries/tbl_properties_links.inc.php:
      moved table related output after possible table changes
    * libraries/tbl_properties_table_info.inc.php:
      added some comments and made some code more readable
    * tbl_properties_operations.php:
      complete revise (xhtml output, fieldsets, forms merged)
    * tbl_rename.php: removed, deprecated by function PMA_table_rename()
    * db_search.php, libraries/common.lib.php, libraries/tbl_move_copy.php,
      pdf_schema.php: removed PMA_isInto(), deprecated by in_array()
    * libraries\mult_submits.inc.php, sql.php, tbl_addfield.php, tbl_alter.php,
      tbl_import.php, tbl_properties.php, tbl_properties_structure.php,
      tbl_properties_operations.php, tbl_properties_export.php, tbl_select.php
      tbl_relation.php: moved tbl_properties_common.php into libraries
    * libraries\common.lib.php, libraries\tbl_properties_common.php,
      libraries\tbl_properties_links.inc.php, tbl_properties_operations.php:
      global init of $GLOBALS['url_params']

2005-12-07 Michal Čihař  <michal@cihar.com>
    * lang/*: Unused messages cleanup, add missing ones.
    * lang/sync_lang.sh: Less verbose output to allow quick overview.
    * lang/czech: Update.
    * lang/galician: Update, thanks to Xose Calvo - xosecalvo.

2005-12-07 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/Config.class.php: clear old config values
    * libraries/engines/memory|ndbcluster|merge|mrg_myisam|binlog.lib.php: new
    * libraries/engines/myisam|bdb|berkeleydb.lib.php:
      - PEAR coding standard
      - added comments
      - added more status variables
    * libraries/storage_engines.lib.php, libraries/engines/innodb.lib.php:
      - added PMA_StorageEngine::getMysqlHelpPage()
    * server_engines.php:
      - display link to mysql manual for specific engine
    * css/phpmyadmin.css.php, libraries/engines/innodb.lib.php:
      arrange innodb buffer pool tables side by side
    * css/phpmyadmin.css.php, server_collations.php:
      - use style classes
      - PMA_NO_VARIABLES_IMPORT
    * server_variables.php:
      - use style classes
      - format numbers
      - display only global variables that differs from local/session
      - use PMA_DBI_fetch_result()
      - PMA_NO_VARIABLES_IMPORT
    * js/querywindows.js:
      - added setTable()
      - set empty table on db change (bug #1375387)
    * left.php: removed unsused javascript event
    * index.php, left.php, libraries/sql_query_form.lib.php:
      syncronize id and name attribute for frame tags but keep IE sending
      querywindow form to the correct window (bug #1374757, #1364470, #1297985)

2005-12-06 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1374236, sorting order
    * libraries/auth/cookie.auth.lib.php: bug #1374753, Language change on
      login panel not propagated

2005-12-06 Michal Čihař  <michal@cihar.com>
    * libraries/config.default.php: Modify default export configuration (RFE
      #1373891).
    * libraries/database_interface.lib.php: Do not add BINARY types multiple
      times (bug #1374457).
    * libraries/common.lib.php, libraries/config.default.php: Variable name
      should be ForceSSL and not ForceSLL (bug #1374452).

2005-12-06 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php:
      - wrong quote, thanks to Matt "Cyber Dog" LaPlante
      - PMA_getTab(): use $_SERVER['PHP_SELF']
    * libraries/display_import.lib.php: missing '/' for closing div tag
    * libraries/display_export.lib.php: no name attribute for sup tag
    * server_engines.php:
      - revised (style, code, xhtml output)
      - use variable name as title if title is empty
      - make use of PMA_formatNumber() for non byte numeric values
      - set PMA_NO_VARIABLES_IMPORT
    * libraries/storage_engines.lib.php: revised
      - added PHP 5 constructor
      - added comments
      - PEAR coding standard
    * libraries/engines/innodb.lib.php:
      - revised (style, code, xhtml output)
      - added more status variables
      - PEAR coding standard
      - make use of PMA_formatNumber()
      - added comments
    * libraries/grab_globals.lib.php: protect $import_blacklist from overwriting

2005-12-05 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php: added PMA_array_merge_recursive()
    * libraries/Config.class.php:
      - make use of PMA_array_merge_recursive()
      - correctly reset config variables on changes in config.inc.php
    * sql.php: hide edit/delete links for information_schema (bug #1373201)
    * db_operations.php: revised (style, code, xhtml output)

2005-12-05 Michal Čihař  <michal@cihar.com>
    * many files: Use same script tag, use CDATA for scripts (RFE #995065).
    * export.php: Check for correct parameters.
    * import.php, lang/*, libraries/import/csv.php, libraries/import/ldi.php:
      Fix import of some CSV files (bug #1373731), provide better error
      messages.
    * lang/czech: Update.
    * import.php, libraries/display_import.lib.php: Fix import layout (bug
      #1370416), prefer recoding of strings over changing MySQL charset as in
      this case we can show resulting queries.

2005-12-04 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/catalan update, thanks to Xavier Navarro (xavin).
    * server_privileges.php: do not use UNION DISTINCT, as it's not allowed
      before MySQL 4.0.17, and because "it does nothing" (cf manual)
      ### 2.7.0 released

2005-12-04 Michal Čihař  <michal@cihar.com>
    * pdf_schema.php: Bad copy and paste, here should be iso-8859-2 (thanks
      Marc!).
    * libraries/import/csv.php: Fix use of escaped chars (bug #1371249).
    * lang/czech: Update.

2005-12-03 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php, libraries/config.default.php, libraries/export/pdf.php,
      libraries/display_export.php, lang/*.php: experimental PDF export

2005-12-02 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/header.inc.php: missing ; for html entity,
      thanks to Matt "Cyber Dog"
    * tbl_properties_structure.php: fixed bdo tag and id names
      thanks to Matt "Cyber Dog"
    * libraries/tbl_indexes.lib.php: fixed missing quote
      thanks to Matt "Cyber Dog"
    * libraries/tbl_indexes.lib.php, tbl_properties_structure.php,
      tbl_indexes.php: revised XHTML output
    * themes/original/css/theme_left|right_css.php: use $GLOBALS

2005-12-01 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php, Theme.class.php:
      missing '/' in img path (bug #1370437)
    * libraries/Config.class.php:
      no error for missing config file (bug #1370269)
    * libraries/session.inc.php: session cookie path (bug #1370294)
    * libraries/Theme_Manager.class.php: update theme list on wakeup

2005-11-30 Michal Čihař  <michal@cihar.com>
    * lang/*: Messages for Sebastian.
    * libraries/Config.class.php: Actually load configuration.
    * Documentation.html, config.default.php (deleted),
      libraries/Config.class.php, libraries/config.default.php: Move
      config.default.php to librarires (bug #1365759).
    * scripts/setup.php: Adapted to new Config class, fix code generation.

2005-11-30 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/Config.class.php:
      - merged code from common.inc.php and defines.lib.php
      - allow to load without user config
    * libraries/common.inc.php:
      - make use of new PMA_Config class
      - merged PMA_dl() from libraries/defines.lib.php
    * libraries/defines.lib.php: removed
    * scripts/setup.php, scripts/upgrade.pl: use class PMA_Config
    * scripts/create-release.sh: removed references to defines.lib.php

2005-11-29 Michal Čihař  <michal@cihar.com>
    * lang/sync_lang.sh: Add workaround for multibyte chars that can contain \
      as last byte.
    * lang/japanese: Update, thanks to Tadashi Jokagi - elf2000.
    * lang/czech: Update.
    * scripts/setup.php: Added check for latest version and links to homepage
      and donations page.

2005-11-29 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php, libraries/tbl_replace_fields.inc.php:
      bug #1367549, handling of CURRENT_TIMESTAMP

2005-11-29 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php
      - added PMA_setCookie() and PMA_removeCookie()
    * index.php, libraries/common.lib.php:
      - moved setting of cookies from index.php into common.lib.php
    * index.php
      - revised the parameter passing code
      - make use of new functionality of PMA_generate_common_url()
    * css/phpmyAdmin.css.php:
      - removed some unused deprecated elements
    * libraries/Theme.class.php, libraries/Theme_Manager.class.php:
      - added some functionality
      - added PMA_Theme_Manager::printPreviews() and PMA_Theme::printPreview()
    * main.php, css/phpmyAdmin.css.php, libraries/common.lib.php,
      index.php, libraries/auth/config.auth.lib.php,
      libraries/auth/cookie.auth.lib.php, themes.php, test/theme.php:
      - make use of new PMA_Theme and PMA_Theme_Manager classes
      - remove libraries/select_theme.lib.php
    * libraries/Config.class.php:
      new class for handling config

2005-11-28 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/italian: update, thanks to Luca Rebellato

2005-11-28 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php:
        - Don't allow loading of configuration if there is no write permission
          on config.
        - Add links to documentation.
        - Document all functions.
        - Warn about missing mbstring and old PHP version.
        - Display all warnings in one place.
    * libraries/auth/cookie.auth.lib.php: Display PMA_errors on login form.
    * Documentation.html: Add anchors to configuration directives.
    * libraries/sqlparser.lib.php: Do not use functions not supported by older
      PHP (bug #1367782).
    * libraries/string.lib.php: This line should not be commented out.

2005-11-28 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/Theme.class.php, libraries/Theme_Manager.class.php:
      new classes for handling themes
    * libraries/select_lang.lib.php:
      - revised
      - added check for lang directory (./lang/)
      - check files for languages
      - use PMA_sendHeaderLocation()
    * libraries/common.lib.php: moved all function to top, to make this as
      early as possible available

2005-11-27 Michal Čihař  <michal@cihar.com>
    * Documentation.html, scripts/setup.php: Many new features to setup
      script.
    * pdf_schema.php: Do not use right_font_family.
    * lang/czech: Update.
    * libraries/auth/cookie.auth.lib.php: Fix undefined indexes.
    * libraries/display_select_lang.lib.php, libraries/select_lang.lib.php:
      Store HTML entities rather than relying on php functions to create them.

2005-11-24 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/grab_globals.lib.php: allow scripts to bypass importing vars
    * libraries/common.lib.php, libraries/export/sql.php,
      libraries/display_tbl.lib.php, libraries/mult_submits.inc.php, sql.php,
      tbl_replace.php, tbl_row_action.php:
      define variables only where needed, and use NULL to define them
      if some places test only for isset and not for content
    * libraries/select_lang.lib.php:
      - fixed unchecked variables as it was originaly in my mind
      - added error message if requested lang could not be set
      - set fallback to en-utf-8
      - minore fixes

2005-11-25 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: move server choice into MySQL container
    * libraries/select_server.lib.php: show currently selected server
    * libraries/select_lang.lib.php: undefined pma_lang the first time (cookie
      does not exist)

2005-11-24 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/url_generating.lib.php:
      - do not htmlentities on whole string
      - respect arg_separator.input from php.ini
    * libraries/common.lib.php:
      - make PMA_sendHeaderLocation() earlier available
      - add SID only if set
      - check for url params already exist or not (wether & . SID or ? . SID)
      - respect arg_separator.input from php.ini
    * libraries/auth/cookie.auth.lib.php: use PMA_sendHeaderLocation()
      and new functionality of PMA_generate_common_url()
    * themes/original: revised
    * themes/darkblue_orange: revised

2005-11-25 Michal Čihař  <michal@cihar.com>
    * Documentation.html, config.footer.inc.php(deleted),
      config.header.inc.php(deleted), libraries/common.lib.php,
      libraries/footer.inc.php, libraries/footer_custom.inc.php,
      libraries/header.inc.php, libraries/header_custom.inc.php,
      libraries/auth/cookie.auth.lib.php, libraries/auth/http.auth.lib.php:
      Header and footer per themes (RFE #984152) [this part removed later],
      config.{header,footer}.inc.php files are now optional.
    * libraries/select_lang.lib.php: Fix undefined indexes.
    * */.cvsignore: Ignore custom headers and temporary files from Vim.
    * libraries/footer.inc.php, lang/*: Better message for new window, thanks
      to Sebastian and Marc.
    * libraries/auth/cookie.auth.lib.php: Do not create URLs like index.php?&.
    * scripts/setup.php, Documentation.html, .cvsignore: Setup script (RFE
      #601016).

2005-11-24 Marc Delisle  <lem9@users.sourceforge.net>
    * js/querywindow.js: bug #1365503, "do not overwrite this query"

2005-11-24 Michal Čihař  <michal@cihar.com>
    * libraries/header_http.inc.php, libraries/header_meta_style.inc.php: Fix
      XSS on some libraries (CVE-2005-3665).
    * *.php, libraries/*.php: Move scritps that don't need direct access to
      libraries folder.
    * Documentation.html: Up to date information about relation stuff.
    * tbl_query_box.php: Remove unused file.
    * libraries/tbl_properties.inc.php: Disable clicking events on table
      creation (bug #1358896).
    * js/functions.js: Better support for noclickable rows (see above).
    * lang/swedish: Update, thanks to Björn T. Hallberg - bjornth.
    * lang/japanese: Update, thanks to Tadashi Jokagi - elf2000.
    * lang/czech: Updated.

2005-11-24 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * themes/original/*, css/phpmyadmin.css.php:
      - updated theme
      - added version, to include only needed styles
    * libraries/dbi/*: added PMA_DBI_get_client_info(), PMA_DBI_get_proto_info()
      PMA_DBI_get_host_info()
    * main.php, css/phpmyadmin.css.php:
      - replaced table layout
      - added some more infos
    * themes/original/css/theme_left.cs..php: fixed font size
    * libraries/url_generating.lib.php:
      - dont add variables already in cookie (reduces html output up to 30%)
      - can pass all url variables as array to function
    * main.php, index.php: moved setting of cookies into index.php
    * libraries/select_lang.lib.php: made code more reliable
    * index.php: wrong check for safari

2005-11-23 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * *REVERTED* libraries/display_select_lang.lib.php: correct lang definition
    * themes/original/*, libraries/auth/*.auth.lib.php, server_privilegs.php,
      db_printview.php, tbl_properties_structure.php, tbl_properties.inc.php,
      tbl_relation.php, browse_foreigners.php, css/phpmyadmin.css.php,
      header_printview.inc.php, header_meta_style.inc.php, themes.php:
      - drop PMA_setFontSizes()
    * browse_foreigners.php, css/phpmyadmin.css.php, querywindow.php, themes.php
      header.inc.php, libraries/auth/config.auth.lib.php, db_details_qbe.php
      libraries/auth/cookie.auth.lib.php, server_collations.php
      - moved styles into css
    * themes.php, css/phpmyadmin.css.php:
      - moved styles into css
      - no need for javascript
    * relation.lib.php: uninitialized variable
    * tbl_select.php, css/phpmyadmin.css.php:
      - moved styles into css
      - minor code improvements

2005-11-23 Michal Čihař  <michal@cihar.com>
    * config.default.php, libraries/import/csv.php, libraries/import/ldi.php:
      Drop optional escaping as this should not have any real functionality.
    * libraries/import.lib.php: Do not overwrite error message from import in
      case of single SQL query is being executed.
    * libraries/import/csv.php: Make enclosing behaviour same as in MySQL LOAD
      DATA (bug #1363532).
    * lang/*: Remove unused messages.
    * main.php, libraries/display_select_lang.lib.php,
      libraries/auth/cookie.auth.lib.php: Common code for language selection
      form.
    * libraries/display_select_lang.lib.php, libraries/select_lang.lib.php:
      Show native names of languages (RFE #1342726).
    * libraries/auth/cookie.auth.lib.php: Try to load mcrypt extension.
    * Documentation.html, config.default.php, libraries/common.lib.php:
      Configurable default connection collation (RFE #1025969).
    * css/phpmyadmin.css.php, libraries/auth/cookie.auth.lib.php: Use
      fieldsets on login form (RFE #1364546), use notice box for cookie
      information.
    * libraries/display_select_lang.lib.php,
      libraries/auth/cookie.auth.lib.php: Use fieldset for language selection.
    * main.php, libraries/left_header.inc.php,
      libraries/select_server.lib.php, libraries/auth/cookie.auth.lib.php:
      Functionalised server selection and use it in cookie auth (RFE
      #1362727).
    * libraries/common.lib.php: Do not complain if config file is not present,
      as we can still work in this case (bug #1364647).
    * lang/*: Added missing $strInvalidServerHostname.
    * libraries/auth/cookie.auth.lib.php: Move error message on top of page.
    * lang/swedish: Update, thanks to Bjorn T. Hallberg - bjornth.
    * header.inc.php: Remove unused code.
    * Documentation.html, tbl_properties.inc.php,
      transformation_overview.php, libraries/transformations/overview.php
      (deleted): Move transformation overview out of libraries folder.
    * js/*.js, libraries/*.js (deleted), browse_foreigners.php, calendar.php,
      header.inc.php, index.php, pdf_pages.php, querywindow.php,
      tbl_change.php, tbl_properties.inc.php,
      libraries/display_tbl_links.lib.php, test/theme.php: Move javascript
      stuff out of libraries folder.
    * libraries/.htaccess: Deny access to libraries folder over HTTP.
    * Documentation.html: Recommend disabling access to libraries folder.
    * libraries/display_export.lib.php, lang/*: Better description for
      filename format (RFE #1362423).
    * Documentation.html, index.php: Add target parameter to index.php to
      allow direct jump to any script.
    * libraries/auth/cookie.auth.lib.php: Remember selected page when login
      time outs.
    * footer.inc.php, server_links.inc.php, css/phpmyadmin.css.php, lang/*,
      libraries/common.lib.php: Add link for duplicating current frameset (RFE
      #1165206).
    * config.default.php, sql.php, Documentation.html: Allow browse page to be
      default (RFE #1228013).
    * db_details_structure.php, left.php, tbl_properties_links.php: Do not
      pass default query to sql.php as it is not needed right now.
    * tbl_change.php, tbl_printview.php, tbl_properties.inc.php,
      tbl_properties_structure.php, libraries/display_tbl.lib.php,
      libraries/export/htmlword.php, libraries/export/latex.php: Use native
      MySQL comments when applicable (RFE #1362923).

2005-11-22 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * added test/theme.php: for testing themes
    * phpinfo.php:
      - respect only $GLOBALS['cfg']['ShowPhpInfo']
      - minimum include
    * libraries/common.lib.php
      - merged two server array checks
      - dont exit if user config loading failed
      - dont exit with invalid server index
      - use file_get_contents() or file() if not present
      - removed wrong error message
      - check if $cfg['ServerDefault'] is in $cfg['Servers'] before usning it

2005-11-21 Michal Čihař  <michal@cihar.com>
    * libraries/import/sql.php: Fix query splitting in some cases (reported by
      Marc).
    * libraries/common.lib.php, lang/*: Translate message that has been
      ignored for 2.7.0 release.
    * libraries/common.lib.php: Make code more redable, default to MySQL 5.0
      documentation as it is latest stable version.
    * main.php, libraries/select_server.lib.php,
      libraries/auth/cookie.auth.lib.php: Escape verbose server name (bug
      #1362671).
    * index.php: Avoid XSS on HTTP_HOST.

2005-11-20 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.7.0-rc1 released
    * many files: $dbh becomes $controllink for better contrast with $userlink

2005-11-20 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php::PMA_showMySQLDocu()
      - undefined constant (if server connection fails)
    * libraries/select_theme.lib.php
      - undefined variable (if server connection fails)

2005-11-18 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/database_interface.lib.php: initialize in case there are
      no databases (MySQL < 5.0)

2005-11-18 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * server_databases.php:
      - require_once common.lib.php BEFORE ANYTHING else
      - unified style, removed tables
      - removed superuser check for dbstats
    * css/phpmyadmin.css.php:
      - small improvements
    * themes/darkblue_orange/css/*
      - fixed font sizes
    * lang/english-*: small improvements
    * tbl_properties_structure.php
      - do not truncate rowcount and next autoindex
    * /*
      - common.lib.php should REALLY REALLY and ALWAYS be the first include
      - no other calls to grab_gloabls.lib.php
    * fixed minimum_common for css files
    * header.inc.php: missing ; after &quot
    * libraries/function.js::pdfPaperSize()
      - function does not always return a vlaue
      - undeclared variables
    * libraries/display_export.lib.php
      - use superscript tag for comment
    * server_links.inc.php
      - require_once server_common.inc.php

2005-11-17 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: patch #1353283, thanks to Isaac Bennetch
    * lang/finnish: update, thanks to Jouni Kahkonen
    * lang/belarusian updates, thanks to Jaska Zedlik

2005-11-17 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/grab_globals.lib.php: just to be sure:
      - clean/empty $GLOBALS with $variables_whitelist
      - unset some vars after use
      - check all superglobals that could be imported by register_globals=on
        for GLOBALS key (not only _REQUEST and _FILES )
      - added $import_blacklist
        - added variables starting with pma_, numeric or containing spaces
        - *REVERT* do not prevent import pma_*
      - rewrote PMA_gpc_extract()
        - use $import_blacklist
        - documentation
    * libraries/common.lib.php, libraries/mysql_charsets.lib.php,
      libraries/select_lang.php: keep the global space clean
      - unset variables after use
      - commented out some never used variables
    * main.php, libraries/common.lib.php, libraries/dbi/*:
      - added $GLOBALS['PMA_errors'] array
    * libraries/database_interface.lib.php, libraries/dbi/*:
      fall back to alternative mysql extension if selected fails and switch to
      error.php if this fails too
       - moved loading of extension out of libraries/dbi/* into
         libraries/database_interface.lib.php
    * libraries/sanitizing.lib.php: dont use deprecated tags
    * lang/german-*: fixed $strCantLoad

2005-11-16 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_links.php: missing menu tabs
    * Documentation.html, config.default.php, footer.inc.php,
      querywindow.php, tbl_query_box.php, libraries/common.lib.php,
      libraries/left_header.inc.php, libraries/sql_query_form.lib.php:
      new Query Window behavior

2005-11-16 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * added missing themes/darkblue_orange/img/error.ico
    * themes/darkblue_orange/css/theme_right.css.php
      - wrong error.ico
    * themes/*/img/tbl_error.png, themes/original/img/tbl_*, themes/*/img/dot_*,
      themes/*/img/frm_linevrlt.png
      - removed

2005-11-15 Michal Čihař  <michal@cihar.com>
    * css/phpmyadmin.css.php: Do not use common header file, as there is
      nothing common at all.
    * libraries/header_http.inc.php: Allways send text/html content type.
    * libraries/db_table_exists.lib.php, libraries/header_http.inc.php,
      transformation_wrapper.php: Use define rather than variable for
      conditional paths.
    * libraries/display_create_database.lib.php: Add label for create database
      input.

2005-11-14 Michal Čihař  <michal@cihar.com>
    * libraries/sql_query_form.lib.php: Fix %f expansion (bug #1355776).

2005-11-14 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * themes/*/css/theme_right.css.php, css/phpmyadmin.css.php:
      bug #1342683 Wrong URL to error.ico
    * libraries/tooltip.js::pmaTooltip():
      - no return value (not always returns a value)
      - additional check
      - undefined variable docY
    * libraries/left_header.inc.php
      - added class icon
    * display_tbl.lib.php, libraries/display_tbl_links.lib.php:
      - added class icon to images
      - fixed select all rows
      - removed arrow_ltr/rtl.png for vertical display
      - cleaned up php code and html output
    * css/phpmyadmin.css.php:
      - removed space arround form elements

2005-11-13 Michal Čihař  <michal@cihar.com>
    * Documentation.html, config.default.php, main.php, server_links.inc.php,
      server_variables.php, server_status.php: Drop $cfg['ShowMysqlInfo'] and
      $cfg['ShowMysqlVars'] and show info in all cases. Drop $is_superuser
      condition from showing php info.
    * lang/czech: Small improvements.

2005-11-13 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * db_details_structure.php: wrong js function call
    * libraries/functions.js
      - removed deprecated function setCheckboxesRange()
      - rewrote setCheckboxes()
      libraries/server_privilegs.js
      - removed setCheckboxes()
      header.inc.php: include functions.js for server_privilegs.php
      server_privilegs.php
      - bug #1353437 Table/Column privileges brokeness new in HEAD
      - fixed proper display fo yes/no for column/table specific rights
      - fixed row selection
      - make use of javascript:un/markAllRows()
      - adapted layout like db, table and row lists
    * lang/german: fixed translation

2005-11-11 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/bulgarian: Update, thanks to Stanislav Yordanov - stanprog.
    * lang/finnish: update, thanks to Jouni Kahkonen

2005-11-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/session.inc.php, Documentation.html: bug #1352479, warn
      if PHP does not support session
    * server_privileges.php: bug #1353435, selecting users to drop is broken
      and bug #1353437, undefined index while editing a user

2005-11-10 Michal Čihař  <michal@cihar.com>
    * scripts/create-release.sh: = is correct for comparsion in shell.
    * server_privileges.php: Revert fix for #1353437, there are wrong data and
      not displaying of it, fix bad display of table privileges.

2005-11-09 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_pages.php: bug #1245891, too large scaling in PDF schema
    * libraries/bookmark.lib.php: bug #1339184 (for bookmark insertion)
    * tbl_properties.inc.php: superscript 1 for Length/Values

2005-11-09 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * server_databases.php, mysql_charsets-lib.php:
      bug #1351743 undefined function: pma_getservercollation()
    * database_interface.lib.php: added PMA_DBI_get_default_engine()
    * db_details_structure.php:
      - fixed display issues
      - display default engine in footer
    * libraries/common.lib.php: added PMA_getDbLink
    * libraries/display_create_table.lib.php: use fieldset
    * server_privilegs.php, libraries/server_privilegs.js:
       - db with only table specific rights where not displayed if there was not
         at least one db with db specfic rights
       - javascript errors
    * function.js, db_details_structure.php, tbl_properties_structure.php,
      display_tbl.lib.php, server_databases.php:
       - added js:markAllRows(), js:unMarkAllRows()
       - check/uncheck all rows now sets mark color for this rows

2005-11-08 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * Documentation.html, browse_foreigners.php, error.php,
      header_printview.inc.php, index.php, left.php, translators.html,
      libraries/header_meta_style.inc.php, scripts/decode_bug.php:
      fixed/added favicon
    * tbl_indexes.php: bug #1350872 Broken Link in Structure Tab

2005-11-07 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_links.php: undefined variable $db_is_information_schema
    ### 2.7.0-beta1 released

2005-11-06 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/display_tbl.lib.php:
      bug #985399 MIME-based in print view / need to select the pk
    * db_details_db_info.php: Undefined variable: db_is_information_schema
    * tbl_properties.inc.php: bug #1305585 Add field(s) -> type ENTER

2005-11-06 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/norwegian: Update, thanks to Sven-Erik Andersen

2005-11-06 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/database_interface.lib.php,
      libraries/dbi/*.dbi.lib.php:
      - added PMA_DBI_convert_message()
      - bug #1344654 Not converted mysql error message to chosen user language
    * sql.php: use fieldset for 'bookmark this'

2005-11-05 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * themes/*/css/theme_right.css.php:
      dropped deprecated style classes
    * server_databases, libraries/databases_interface.lib.php,
      libraries/mysql_charsets.lib.php:
      updated database list:
      - added PMA_getServerCollation()
        - display server collation in db list footer
      - added PMA_DBI_get_databases_full()
        - make use of info_schema on MySQL 5
        - always display db stats for MySQL 5
      - fixed html output
      - replaced " with ' in some queries
    * tbl_properties_structure.php, tbl_properties_common.php
      tbl_properties_links.php:
      - no drop, empty, operation, insert, import for information_schema tables
      - enabled export for views
    * db_details_common.php, db_details_structure.php, db_details_links.php:
      - no import, drop, rights, operation for information_schema

2005-11-04 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza)

2005-11-04 Michal Čihař  <michal@cihar.com>
    * db_details_structure.php: Read InnoDB exact count before rendering icons
      for truncating (bug #1337744).

2005-11-04 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * db_details_structure.php:
      fixed display of stats for InnoDB and information_schema
    * main.php:
      - bug #1348089 SQL and actions bellow should be same width
      - removed nowrap, vertical srcolling is really annoying
    * main.php, libraries/check_user_privileges.lib.php:
      - bug #1348189 after droping db some links in main.php are missing
    * header.inc.php, libraries/common.lib.php:
      - added class icon to img-tags
    * libraries/header_meta_style.inc.php:
      fixed position of link meta tag
    * libraries/select_server.lib.php
      fixed html output

2005-11-03 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php, tbl_replace.php, tbl_replace_fields.php:
      bug #1339184, problems in strict mode inserting auto-increment fields
    * libraries/header_meta_style.inc.php: favicon on login panel
    * lang/japanese: Update, thanks to Tadashi Jokagi - elf2000.

2005-11-03 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php: Incorrect message for validate links (bug
      #1346608).

2005-11-03 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * themes/dakrblue_orange/theme_right.css.php, css/phpmyadmin.css.php:
      fixed different font sizes
    * footer.inc.php, libraries/dbg/*:
      use $GLOBALS as this scripts can be included from inside a function
    * left.php, libraries/common.lib.php:
      fixed some rtl lang issues

2005-11-02 Michal Čihař  <michal@cihar.com>
    * config.default.php: This is not a configuration file.
    * config.default.php, Documentation.html, libraries/common.lib.php: Use
      $cfg['Servers'][1] from config.default.php as defaults for settings in
      config.inc.php (bug #1330847).

2005-11-02 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/dbg/setup.php:
      - display error in error box
      - fixed 'not defined function'
    * libraries/dbg/profiling.php:
      - minor fixes: html output, speed, rtl lang
    * tbl_realtion.php:
      - fixed html output of table
      - used fieldset for forms
    * libraries/common.lib.php, browse_foreigners.php:
      - replaced $cfg['Bgcolor*'] with classes
      - make use of fieldset
    * css/print.css, dbv_datadict.php:
      - replaced $cfg['Bgcolor*'] with classes
      - reduced output size by 40%
    * libraries/display_create_tbl.php
      - XHTML compl.
      - added class icon

2005-11-01 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: undefined variable when changing a password

2005-11-01 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php:
      bug #1342332 Error messages wrongly formatted.
    * themes/*/css/theme_right.css.php:
       - fixed some rtl languages issues
       - added style for notice box (server_export.php)

2005-10-31 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * themes/*/css/theme_right.css.php:
       - use right image path
       - fixed icon alignment for rtl languages
    * main.php, phpmyadmin.css.php, libraries/mysql_charsets.lib.php:
       - fixed some rtl language issues
    * favicon.ico: changed icon

2005-10-31 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: do not display No under the Password column
      if this is not a "real user" definition

2005-10-31 Michal Čihař  <michal@cihar.com>
    * libraries/select_lang.lib.php: Simplify code.
    * libraries/common.lib.php: Allow collation change for ENUM and SET
      columns (bug #1343627).
    * main.php: Use normal message on reload, not just plain text.
    * themes/darkblue_orange/css/theme_right.css.php,
      themes/original/css/theme_right.css.php: Fix URL for cursor (bug
      #1342683).

2005-10-30 Michal Čihař  <michal@cihar.com>
    * lang/slovak: Update, thanks to Ivan Kuriscak - shylauda69.
    * lang/*: Remove duplicite message.
    * lang/sync_lang.sh: Sync japanese also, it works now (at least for me).
    * lang/japanese: Update, thanks to Tadashi Jokagi - elf2000.
    * libraries/display_tbl.lib.php: Do not break on special chars in column
      name (bug #1180668).
    * libraries/common.lib.php: Do not escape SQL query twice while showing it
      in error message (bug #1336452).
    * left.php, querywindow.php, tbl_query_box.php: Fix including of files
      when search path does not contain current directory.
    * libraries/common.lib.php, libraries/left_header.inc.php: Use common code
      for generating links to documentation, fixes link to new style docs.

2005-10-29 Michal Čihař  <michal@cihar.com>
    * Documentation.html, config.default.php, libraries/common.lib.php: Link
      documentation to version we run (RFE #1334292), fix links for chapter
      documentation (bug #1341676), drop support for old links.
    * tbl_indexes.php, tbl_properties.inc.php, tbl_select.php,
      libraries/display_create_database.lib.php,
      libraries/sql_query_form.lib.php: Fix documentation links (bug
      #1341676).

2005-10-29 Olivier Mueller <om@omnis.ch>
    * scripts/upgrade.pl: various fixes (was not handling rc/pl correctely),
      and improvements (--force option, installation summary, backup
      directory timestamp)

2005-10-29 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: clarification on FAQ 6.20
    * server_privileges.php: respect the chosen initial
    * libraries/display_tbl.lib.php: patch 1328902 (adapted), format row count
      in the Browse header, thanks to Cal Henderson

2005-10-28 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * server_privilegs.php, libraries/common.lib.php,
      themes/*/theme_right.css.php:
       - minor tweak in display
       - added PMA_unescape_mysql_wildcards()
       - bug #1144110 Unable to escape "_"
       - now every user from every mysql table is displayed
       - no table specific rights for db wildcards
    * index.php, favicon.ico: added favicon.ico

2005-10-27 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php::PMA_formatNumber(),
      db_details_structure.php: do not truncate rowcount
    * libraries/mysql_charsets.lib.php::PMA_getDbCollation():
      - preserve selected db
      - make use of PMA_DBI_select_db()
      - documentation
    * tbl_properties_structure.php:
      - added browser icon for each field (count unique values)
      - removed styling
      - make use of global row highlighting/marking
      - display 'print table' and row stats for views
      - no actions for info_schema tables
    * css/phpmyadmin.css.php:
      - added style for class selectallarrow
      - added extra space between icons and text
    * browse_foreigners.php, header_printview.inc.php, left.php:
      bug #1334963 Per-server themes - left frame colors unthemed
    * server_privileges.php:
      - bug #1274032 Field privileges with database names containing underscores
      - use DROP USER
      - use db_name LIKE REPLACE( mysql.db.Db, \_, _ )
    * libraries/grab_globals.lib.php: [XSS] clean $_SERVER variables
    * left.php, libraries/common.lib.php: format rowcount in left frame
    * server_privileges.php:
      bug #688255 Can't edit priv. when different host in db and user

2005-10-26 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/french* updates

2005-10-26 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * themes/*/theme_right.css.php, libraries/auth/http.auth.lib.php,
      db_operations.php, mult_submits.inc.php, server_privileges.php,
      css/phpmyadmin.css.php, libraries/common.lib.php, sql.php,
      libraries/auth/cookie.auth.lib.php:
      unified message boxes (error, warning, confirmation)
    * server_privilegs.php: MySQL 5 requires CREATE USER before GRANT

2005-10-25 Michal Čihař  <michal@cihar.com>
    * lang/english: "Log in" is correct naming for action (RFE #945440).
    * tbl_properties_operations.php: Allow to change auto_increment for
      InnoDB (bug #1337873).
    * tbl_properties_operations.php: Reread table information after change, so
      that rendered page contains change, that has been just done.

2005-10-24 Michal Čihař  <michal@cihar.com>
    * tbl_properties_operations.php: Fix changing table attributes, reread new
      parameters after changing them (bug #1290413).
    * main.php: Remove useless isset.
    * lang/czech: Update.

2005-10-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php: there is already a function to do this
      sort (thanks to Sebastian)
    * tbl_change.php: bug #1334627, do not set NOW() as default function
      when the TIMESTAMP has a default value and does not have the
      ON UPDATE CURRENT TIMESTAMP attribute (phew! repeat this 3 times)

2005-10-21 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php: foreign dropdowns: sort id-content by id
      and content-id by content
    * libraries/common.lib.php: bug #1330847, undefined index connect_type

2005-10-21 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * db_details_export.php:
      - replaced for() with foreach()
      - dont pollute $GLOBALS['table']
    * libraries/mysql_charsets.lib.php:
      - make use of mysql variable collation_database
      - fixed call to PMA_DBI_fetch_value() (return second field, not first)
    * libraries/database_interface.lib.php:
      extended function PMA_DBI_get_tables_full():
       - make use of information_schema
       - always fill fields for information_schema and show table status
    * db_details_db_info.php: make use of function PMA_DBI_get_tables_full()

2005-10-20 Marc Delisle  <lem9@users.sourceforge.net>
    * server_databases.php: security fix
    * libraries/common.lib.php, /grab_globals.lib.php: security fix

2005-10-20 Alexander M. Turek  <me@derrabus.de>
    * libraries/mysql_charsets.lib.php:
      - On MySQL 5.0.6, we don't have to parse SHOW CREATE DATABASE anymore,
        if we just want to get to know a database's default collation;
     - Make use of this fancy new function PMA_DBI_fetch_value().

2005-10-20 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * sql.php, footer.inc.php: refresh left frame on view creation
    * left.php: view icon for views
    * libraries/left.js: dropped
    * libraries/function.js: tuned PMA_merkRowsInit():
      every table with class data now has mark and hover effect
    * css/phpmyadmin.css.php: nowrap for IE and pre for the rest
    * css/phpmyadmin.css.php, server_status.php: css cleanup
    * db_details_structure.php, db_details_db_info.php:
      - XHTML compliance, styling outsourced, row marker outsourced
      - do not too much if there is no table

2005-10-19 Alexander M. Turek  <me@derrabus.de>
    * lang/*.inc.php, libraries/mysql_charsets.lib.php: Correct description
      for collations utf8_esperanto_ci, ucs2_esperanto_ci.
    * lang/german-*.inc.php: Updated some untranslated strings.

2005-10-19 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/bookmark.lib.php: PHP 5.1.0-dev compatibility

2005-10-19 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * footer.inc.php, index.php, server_databases.php, libraries/querywindow.js:
      fix problem not remembering selected server
    * libraries/tooltip.js, themes/*/theme_right.css.php:
      moved not always needed code out of event handler, fixed display with larger font
    * libraries/function.js, css/phpmyadmin.css.php:
      added mark and hover effect to every table of class data
    * libraries/sql_query_form.lib.php: open db link from querywindow in main frame
    * footer.inc.php, header.inc.php, libraries/tooltip.js:
      moved tooltip javascript include into header

2005-10-18 Michal Čihař  <michal@cihar.com>
    * libraries/relation.lib.php: Do not set database if not needed.
    * libraries/common.lib.php: Use common infrastructure for getting tables.
    * Documentation.html, config.default.php, libraries/select_lang.lib.php:
      Allow to limit list of shown languages (RFE #1328003).
    * libraries/common.lib.php: Fix URL detection when not called from top
      level directory (eg. transformations overview).
    * Documentation.html, config.default.php, export.php, import.php,
      tbl_change.php, tbl_replace_fields.php, libraries/common.lib.php,
      libraries/display_export.lib.php, libraries/display_import.lib.php,
      libraries/sql_query_form.lib.php: Support for user specific upload and
      save directories (RFE #1260039).

2005-10-18 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * querywindow.php: wrong handling of linebreaks in query: bug #1243888
    * left.php, sql.php, tbl_change.php, libraries/common.lib.php,
      libraries/querywindow.js: update row count in left frame bug #1243908
    * libraries/common.lib.php:
      bug #1216521: display duplicate rows for failed unique key creation

2005-10-17 Michal Čihař  <michal@cihar.com>
    * lang/czech: Translation fixes.
    * libraries/common.lib.php: Group databases by rightmost separator (bug
      #1325651).
    * libraries/string.lib.php: Fix escaping detection on multi byte strings.
    * libraries/sql_query_form.lib.php: No warning if no db defined.
    * libraries/sqlparser.lib.php: Avoid warning if analyzing failed.

2005-10-17 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * css/phpmyadmin.css.php: border around tabs bug #1326730
    * libraries/header_meta_style.inc.php, themes/*: removed unused 'js_isDOM'
    * queryframe.php, db_operations.php, footer.inc.php, header.inc.php,
      header_printview.inc.php, left.php, querywindow.php,
      transformation_wrapper.php, left_header.inc.php:
      removed queryframe.php and references to it
    * index.php, footer.inc.php, left.php, querywindow.php, server_databases.php
      libraries/common.lib.php, libraries/left_header.inc.php,
      libraries/sql_query_form.lib.php, libraries/querywindow.js:
      code cleanup whole querywindow js stuff, moved all in one new js file,
      now included in index.php, bug #1327055

2005-10-16 Michal Čihař  <michal@cihar.com>
    * db_details_links.php: Disable drop tab on mysql database (RFE #1327514).
    * server_databases.php: Don't allow to check mysql database for dropping
      (RFE #1327514).
    * lang/*, libraries/transformations/text_plain__sql.inc.php:
      Transformation for SQL pretty printing (RFE #1327648).

2005-10-16 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_create.php, tbl_alter.php: undefined $field_collation under MySQL < 4.1.x
    * tbl_properties_structure.php, tbl_alter.php, libraries/sqlparser.lib.php:
      bug #1320470, timestamp is not shown as being NULL under MySQL < 4.1.x

2005-10-14 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysqli.dbi.lib.php: problem under MySQL 4.0.x
    * libraries/sql_query_form.lib.php: support MySQL < 4.1.x

2005-10-14 Michal Čihař  <michal@cihar.com>
    * libraries/sql_query_form.lib.php: Do not attempt to read upload dir when
      not configured.
    * libraries/sqlparser.lib.php: Do not walk chars for hex and numbers one
      by one, this boosts performance while inserting huge blobs (bug
      #1315232).
    * libraries/sqlparser.lib.php: Handle correctly float like .01 (bug
      #1252713).

2005-10-14 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * lang/*: typo 'unser' -> 'user'
    * lang/german: partial Update
    * libraries/import.lib.php: uninitialized variables

2005-10-13 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_addfield.php: undefined $field_collation under MySQL < 4.1.x

2005-10-13 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Fix URL rewriting not to match empty parts.
    * calendar.php, themes.php, libraries/auth/config.auth.lib.php,
      libraries/auth/cookie.auth.lib.php, libraries/auth/http.auth.lib.php:
      Use common header.
    * libraries/header_meta_style.inc.php: Add support for defining page
      title.
    * libraries/left.js, libraries/header_meta_style.inc.php: Move browser
      detection to only place where it is currently used.
    * header.inc.php, css/phpmyadmin.css.php: Define CSS normal way and not
      by writing through JavaScript.
    * libraries/get_foreign.lib.php: Free temporary query result.
    * lang/czech: Improve some translations.
    * sql.php: We need bookmark code to be included everytime.
    * libraries/common.lib.php: Allow editing of query without database.

2005-10-13 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * left.php: preselect db if only one db
    * server_privileges.php:
      XHTML compl., NOTICE, Icons for Edit/Revoke Links
    * server_processlist.php, libraries/display_import.lib.php,
      css/phpmyadmin.css.php: XHTML compl.
    * libraries/display_import.lib.php, css/phpmyadmin.css.php:
      JavaScript errors, layout errors
    * libraries/display_import.lib.php, css/phpmyadmin.css.php:
      small CSS fixes
    * libraries/display_export.lib.php, server_export.php:
      XHTML compliance, introduced fieldsets

2005-10-12 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * css/phpmyadmin.css.php, libraries/common.lib.php,
      themes/darkblue_orange/css/theme_right.css.php,
      themes/original/css/theme_right.css.php:
      use list for navigation tabs RFE #1290423
    * db_details_structure.php: fixed NOTICE
    * css/phpmyadmin.css.php, themes/*/css/theme_*.css.php:
      revert icon size to fixed width and height
    * libraries/session.inc.php:
      dont use 6-bit chars on windows
    * css/phpmyadmin.css.php:
      display bug in FF with tabs in querywindow
    * libraries/common.lib.php:
      fixed rowcount in left frame for tables in information_schema
    * libraries/sql_query_form.lib.php:
      XHTML compl.
    * css/phpmyadmin.css.php, server_status.php, server_databases.php
      server_collations.php, server_engines.php, server_privileges.php
      server_variables.php: XHTML compl.

2005-10-12 Michal Čihař  <michal@cihar.com>
    * libraries/get_foreign.lib.php: Fix paging.
    * tbl_properties_links.php: Make drop and empty tabs lead to structure
      instead of SQL.
    * libraries/common.lib.php: Use normal font sizes for Mozilla browsers.
    * querywindow.php: Add icon for history tab.

2005-10-11 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/grab_globals.lib.php: bug #1322871, local file inclusion

2005-10-11 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * footer.inc.php, index.php, left.php, queryframe.php, querywindow.php
      server_databases.php, css/phpmyadmin.css.php, libraries/common.lib.php
      libraries/left_header.inc.php, libraries/sql_query_form.lib.php
      themes/darkblue_orange/css/theme_left.css.php
      themes/original/css/theme_left.css.php:
      XHTML 1.0 trans. compliance and more semantic XHTML output
    * tbl_printview.php, tbl_properties_structure.php:
      no table statistics for information_schema
    * tbl_properties_table_info.php:
      bug #1317655 information_schema browsing
    * db_details_db_info.php, db_details_structure.php:
      fixed display table statistics for information_schema
    * db_details_links.php, header.inc.php:
      moved database comment into header (serverinfo) after database name
    * header.inc.php, main.php, libraries/header_meta_style.inc.php:
      XHTML 1.0 trans. compliance

2005-10-09 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_links.php: invalid js confirmation and operation feedback
      when dropping a view
    * server_privileges.php: bug #1226819, Accepting Negative values in
      Resource Limits in Privileges

2005-10-09 Michal Čihař  <michal@cihar.com>
    * libraries/display_export.lib.php, libraries/export/sql.php, lang/*,
      config.default.php: Add ability to limit maximal size of extended insert
      query, defaults to 50 KB (RFE #1015378).
    * import.php, libraries/common.lib.php, lang/*: Show message when
      bookmark has been created (RFE #477472), show deleted bookmark query.
    * server_privileges.php: Limit username and hostname to actual limits of
      MySQL (RFE #1178071).
    * config.default.php: Add COMPRESS and UNCOMPRESS functions.
    * tbl_change.php: Show functions for blobs when upload is enabled (RFE
      #1191792).
    * tbl_properties.inc.php: Remove unused code, show only available engines,
      remember value of seleted engine (bug #1239580).
    * browse_foreigners.php, libraries/get_foreign.lib.php: Support for
      searching in foreign keys (RFE #871091).
    * import.php, libraries/sql_query_form.lib.php, lang/*: Ability to replace
      existing bookmark (RFE #907438).
    * Documentation.html, libraries/ip_allow_deny.lib.php: Add more useful
      shortcuts for IP rules (RFE #1022831).

2005-10-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/session.inc.php: workaround for warnings on session_start()
      displayed on sf.net server
    * sql.php: remove old code
    * server_privileges.php, lang/*.php, libraries/sqlparser.data.php:
      support MAX_USER_CONNECTIONS

2005-10-08 Michal Čihař  <michal@cihar.com>
    * libraries/display_export.lib.php: Use same formatting for all options.
    * libraries/import/ldi.php: This one does not handle charset conversion.
    * sql.php: Work even if no db set.
    * server_status.php: Call sql.php directly, we don't need to care about
      query splitting done im read_dump.
    * libraries/import/sql.php: Fix import of queries containing `, fix import
      of queries not terminated by ;.
    * libraries/sqlparser.lib.php: Do not show error on empty query.
    * libraries/import.lib.php: Add support for DROP DATABASE checking.
    * libraries/display_tbl.lib.php, libraries/sql_query_form.lib.php,
      libraries/common.lib.php: Use import.php.
    * lang/*: New message for deleting bookmark.
    * import.php: Add support for bookmarks, support for goto URL, fail
      correctly if import plugin not found, commented some code.
    * sql.php, config.default.php: Remove references to read_dump.php.
    * read_dump.php: Remove unused code.
    * ldi_check.php, ldi_table.php: Remove unused code.
    * tbl_change.php: Remove references to ldi_*.
    * scripts/find_unused_messages.sh: Simplify and addapt to current
      messages.
    * import.php: Do not show query in different charset (bug #1028634).
    * libraries/auth/cookie.auth.lib.php: Keep database and table selection
      over login, needed for RFE #1278312.
    * Documentation.html: Add example for redirects like
      /phpMyAdmin/database/table (RFE  #1278312).
    * libraries/import.lib.php: Fix execution of single large queries.
    * import.php, lang/*: Try to detect that upload failed because of limits
      (RFE #1240480).
    * libraries/storage_engines.lib.php: Use defined messages.
    * libraries/auth/cookie.auth.lib.php: Removed unused code parts.
    * libraries/sqlvalidator.lib.php: Removed unused code.
    * server_privileges.php, lang/*: Better show error, define used message
      strDeleteNoUsersSelected.
    * tbl_properties_operations.php: Use strError instead of non existing
      strFailure.
    * lang/*: Remove unused messages.
    * sql.php: Use common code for superuser detection.
    * tbl_addfield.php, tbl_alter.php, tbl_create.php,
      libraries/common.lib.php, libraries/relation.lib.php: Use common code
      for CREATE/ALTER TABLE, set comments on creating table, so that user can
      see it in the query.
    * tbl_addfield.php, tbl_alter.php, tbl_create.php: Do not try to set
      comment and MIME transformation if field not named.
    * libraries/relation.lib.php: Fix reading native MySQL comments when no
      phpMyAdmin one defined (bug #1312758).
    * tbl_properties_structure.php: Removed query box as discussed on mailing
      list.
    * tbl_*: Use more require_once to avoid acquiring table info several
      times.
    * libraries/relation.lib.php: Do not try to restore database as control
      user, it has to fail.
    * libraries/import/sql.php: Fix query parsing when there is comment or
      string at the end.
    * import.php: Reenable LIMIT appending (bug #1318624).
    * sql.php: Fix appending LIMIT when there are comments.
    * libraries/common.lib.php: Parse query before inserting LIMIT to know
      where to place it.
    * lsng/czech: Update.

2005-10-07 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/check_user_privileges.lib.php: bug #1313821, dbname containing a
      hyphen was not detected as being already created

2005-10-07 Michal Čihař  <michal@cihar.com>
    * lang/bulgarian: Update, thanks to Stanislav Yordanov - stanprog.
    * libraries/common.lib.php: Drop some old code.

2005-10-06 Michal Čihař  <michal@cihar.com>
    * import.php: Correctly report that file could not be read.
    * libraries/import/sql.php: Fix handling of whitespace at the end of
      imported file.
    * calendar.php, libraries/tbl_change.js: Calendar improvements: add submit
      button (bug# 1312373) and fix entering time begining with 0 (bug
      #1312373).

2005-10-05 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php, tbl_properties_table_info.php: detect
      MySQL 5.0.13 views
    * libraries/display_tbl.lib.php: bug #1306833, full text link broken,
      thanks to Vernon Lyon - vlyon
    * libraries/charset_conversion.lib.php: PMA_MYSQL_INT_VERSION is not
      defined at login time but what tested
    * libraries/display_create_table.lib.php, bug #1311384, Create table
      dialog on escaped wildcard privileges

2005-10-04 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/functions.js, libraries/sql_query_form.lib.php:
      fixed JavaScript malfunction in querybox textarea with Opera

2005-10-03 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: support for Execute_priv

2005-10-01 Michal Čihař  <michal@cihar.com>
    * lang/czech: Update.

2005-09-30 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php, db_details_structure.php, db_operations.php,
      libraries/check_user_privileges.php, /display_create_database.lib.php,
      /display_create_table.lib.php: bug #1307208, detect lack of privileges
      before showing the "Create new table" dialog. Please test.
      TODO: detect escaped wildcard privileges

2005-09-30 Michal Čihař  <michal@cihar.com>
    * libraries/display_export.lib.php, libraries/export/sql.php,
      db_operations.php, tbl_properties_operations.php: Fix auto increment
      export (bug #1309257).

2005-09-28 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_alter.php, libraries/common.lib.php, /relation.lib.php:
      bug #1262250, cannot change ENUM default value to empty

2005-09-28 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/sql_query_form.lib.php: removed unneeded variable,
      dont display bookmark selection fieldset if no bookmark exists
    * libraries/session.inc.php: introduced PMA_secureSession()
    * sql.php: bug #1305830 wrong db choosen

2005-09-27 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/sql_query_form.lib.php, db_details.php, server_sql.php
      tbl_properties.php, tbl_properties_structure.php, sql.php,
      querywindow.php, read_dump.php: moved all code for queryboxes into
      libraries/sql_query_form.lib.php, replaced table with fieldsets, moved
      styles into css, minor interface changes related to queryboxes
    * libraries/sql_query_form.lib.php: completed function docblocks
    * css/phpmyadmin.css.php:
      partially fixed bug: odd display of navtabs in Gecko-Browsers
    * libraries/session.inc.php, libraries/grab_globals.lib.php,
      libraries/common.lib.php, libraries/auth/cookie.auth.lib.php:
      introducing sessions

2005-09-27 Michal Čihař  <michal@cihar.com>
    * lang/czech: Update.
    * server_status.php, lang/*: Separate some new information on MySQL 5.
    * lang/hebrew, translators.html: New Hebrew translation, thanks to Hadar
      Porat - hpman28.
    * lang/*: Add missing messages, remove duplicates and no longer used.
    * libraries/sql_query_form.lib.php: Do not use strOr, drop file upload
      from normal SQL dialogs.
    * libraries/display_import.lib.php, libraries/file_listing.php: Sort file
      list on import tab, prepare generic framework to be used elsewhere (RFE
      #1303145).
    * tbl_change.php: Use file common file listing.
    * libraries/common.lib.php, libraries/display_import.lib.php,
      libraries/file_listing.php, libraries/sql_query_form.lib.php: Use common
      file listing in query window, remove no more used functions. Please note
      that file import from query windows is currently half rewritten, so
      compressed imports will not work.

2005-09-26 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/database_interface.lib.php: fixed bug in PMA_DBI_fetch_*()
      using PMA_DBI_num_rows() on unbuffered queries

2005-09-26 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php: Fix constraint parsing (bug #1304600).
    * libraries/display_import.lib.php, libraries/import/csv.php: Rename
      plugin parameters to allow using same parameter by multiple plugins.
    * config.default.php, lang/*, libraries/import/ldi.php: Alternate LOAD
      DATA import plugin for CSV.
    * libraries/display_import.lib.php: Sort list of import plugins.
    * mult_submits.inc.php, tbl_properties_structure.php: Support for browsing
      selected columns (RFE #1275909).
    * libraries/common.lib.php: Do no try to parse empty SQL query (bug
      #1303994).
    * tbl_create.php, lang/*: Do not allow to create table that already exists
      (RFE #1255931).

2005-09-25 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: support MySQL 5 privileges

2005-09-25 Michal Čihař  <michal@cihar.com>
    * lang/*: Messages for Sebastian.
    * lang/czech: Partial update.

2005-09-25 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * left.php, queryframe.php, libraries/common.lib.php,
      libraries/left_header.inc.php, css/phpmyadmin.css.php:
      grouping databases (bug #1281262)
    * server_status.php, libraries/common.lib.php, css/phpmyadmin.css.php:
      extended server status information with description and warnings,
      added PMA_formatNumber()
    * server_privilegs.php: fixed bug table not found
    * tbl_properties_structure.php, css/phpmyadmin.css.php:
      made statistic tables floating, moved styles into css
    * css/phpmyadmin.css.php: set font-size in caption to normal

2005-09-24 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * querywindow.php, css/phpmyadmin.css.php:
      resize querywindow to content (bug #1277375)

2005-09-24 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_links.php, server_privileges.php, server_common.inc.php:
      bug #1302985, Privileges tab on database
    * tbl_change.php: bug #1272290, multiple MAX_FILE_SIZE limits BLOB
      insertion

2005-09-24 Michal Čihař  <michal@cihar.com>
    * lang/add_message_file.sh: Make it deal with regullar php file, do not
      mark english text as to translate.
    * lang/add_message.sh: Do not mark english text as to translate.
    * *import*, Documentation.html, lang/*, main.php, *links*,
      css/phpmyadmin.css.php, libraries/unzip.lib.php: New import system,
      please test it (patch #1288933, RFEs: 618255, 780754, 1017598, 1097670,
      1274500, 807830).
    * libraries/import.lib.php, libraries/import/csv.php,
      libraries/import/sql.php, libraries/import/README: Fix possible data
      leak when reading large buffer.

2005-09-23 Michal Čihař  <michal@cihar.com>
    * libraries/auth/cookie.auth.lib.php: Do not pass empty variables as
      haystack to strpos (bug #1299422).
    * server_privileges.php: Reload left frame if dropping database (bug
      #1298678).
    * libraries/fpdf/fpdf.php: Fix filename for PDF pages containing space in
      name (bug #1300837).

2005-09-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_export.lib.php, libraries/export/csv.php:
      bug #1301374, csv on-screen export broken

2005-09-20 Michal Čihař  <michal@cihar.com>
    * libraries/database_interface.lib.php: Added some useful functions to DBI
      layer (patch #1286451), thanks to Sebastian Mendel.
    * Documentation.html, config.default.php, libraries/common.lib.php: Add
      support for forcing https access to phpMyAdmin (RFE #1111333).

2005-09-20 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.data.php: patch #1295365, missing function
      definitions in parser, thanks to Sebastian Mendel
    * db_details_links.php: patch #1196806, Privileges link on db page

2005-09-18 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_export.lib.php: bug #1293937 Export compression
      default: bzip instead of bzip2, thanks to Rene Leonhardt

2005-09-15 Michal Čihař  <michal@cihar.com>
    * config.default.php, libraries/common.lib.php: Simplify loading of
      defaults, why did I write such crap before?
    * libraries/common.lib.php: Fail if pcre support is missing.

2005-09-14 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: bug #1290730, https export under MSIE fails

2005-09-14 Michal Čihař  <michal@cihar.com>
    * css/phpmyadmin.css.php: Do not wrap tabs (patch #1282247), thanks to
      Sebastian Mendel.
    * config.default.php: Do not set blowfish_secret here at all, this needs
      to be done by user (bug #1290990).
    * libraries/auth/cookie.auth.lib.php: Fix undefined variable warnings.
    * libraries/common.lib.php, lang/*: Detect wrong authentication method and
      warn user using error.php (bug #1290888).
    * tbl_properties_operations.php: Update auto_increment value (bug
      #1290413).
    * read_dump.php, server_links.inc.php, server_sql.php, sql.php, lang/*:
      Add SQL tab for server (patch #1291084), (RFE #1048090).
    * Documentation.html: We dropped support for PHP 3 some time ago, so let's
      drop mentions about it from documentation.

2005-09-13 Marc Delisle  <lem9@users.sourceforge.net>
    * scripts/create-release.sh: no longer copy config.inc.php to
      config.default.php to keep a backup of the previous version

2005-09-13 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php: Add support for lang/added_messages.php
      (mostly as feature for developer, to allow easilly adding messages
      while working on some features).
    * .cvsignore, Documentation.html, config.default.php,
      config.inc.php[removed], libraries/common.lib.php,
      libraries/config_import.lib.php[removed]: New configuration handling,
      use config.inc.php for configuration, default values are stored in
      config.default.php.
    * config.default.php: Remove non configuration stuff.
    * lang/.cvsignore: Ignore lang/added_messages.php.

2005-09-12 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_relation.php: bug #1287611, no Save button in Relation view
          when pmadb is not defined

2005-09-10 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.6.4 released

2005-09-09 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug #1283813, SHOW STATUS typed in a
      query box produces a SHOW CREATE TABLE STATUS under MySQL 5.0.x
    * lang/mongolian* update, thanks to Bayarsaikhan Enkhtaivan

2005-09-07 Michal Čihař  <michal@cihar.com>
    * main.php, libraries/auth/cookie.auth.lib.php: XSS on username (bug
      #1283552)
    * ChangeLog: Move vim modelines to correctly interpret et after setting
      file type (otherwise tabs were not expanded as changelog ft sets noet).

2005-09-06 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).

2005-09-05 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/defines.lib.php, themes/*/info.inc.php: about themes version,
      phpMyAdmin 2.6.4 needs generation 2, version 1;
      phpMyAdmin 2.6.5 (currently) needs generation 2, version 2
    * header.inc.php: XSS on $title, thanks to Christian Wenz

2005-09-05 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php: Do not treat BLOBs as number (bug #1277309).

2005-09-04 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties.inc.php: bug #1281533, collation not kept while
      changing table field count

2005-09-02 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/turkish update, thanks to boralioglu.

2005-08-28 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/belarusian updates, thanks to Jaska Zedlik
    ### 2.6.4-rc1 released
    * server_privileges, themes/*/css/theme_right.css.php: patch #1251692,
      fieldsets for privileges interface, thanks to Sebastian Mendel

2005-08-26 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/indonesian: update thanks to Rachim Tamsjadi - tamsy
    * lang/polish: update thanks to Jakub Wilk - ubanus

2005-08-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug #1267177, wrong return page
    * main.php, libraries/common.lib.php, Documentation.html,
      config.inc.php: patch #1257134, removed code to display the warning if
      PmaAbsoluteUri is not set. A notice will still display if the autodetect
      code is unable to figure out the proper URI. Thanks to Isaac Bennetch

2005-08-23 Michal Čihař  <michal@cihar.com>
    * libraries/database_interface.lib.php: Abide cfg['Lang'] settings even if
      using MySQL > 4.1.x (bug #1266626).
    * libraries/display_tbl.lib.php: Do not get TABLES as table name, it's
      used on some queries by MySQL 5.0.x (bug #1266623).

2005-08-22 Michal Čihař  <michal@cihar.com>
    * error.php, libraries/common.lib.php, libraries/sanitizing.lib.php:
      Protect against possible XSS (bug #1265740), move input sanitizing to
      special file.
    * config.inc.php, libraries/common.lib.php,
      libraries/config_import.lib.php, libraries/display_export.lib.php:
      Default charset for export is now configurable (RFE #1263772).

2005-08-20 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php, new error.php: patch #1258978, move common
      code for error pages out of common.lib.php, thanks to Sebastian Mendel
    * lang/german*: bug #1258956, typo
    * libraries/defines.lib.php, themes/original/info.inc.php,
      themes/darkblue_orange/info.inc.php: PMA 2.6.4 needs theme version 3

2005-08-19 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/chinese_traditional: Updates, thanks to Siu Sun.
    * lang/japanese: updated, thanks to Tadashi Jokagi (elf2000)

2005-08-18 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/indonesian: Update thanks to Rachim Tamsjadi - tamsy.
    * lang/galician: Updates, thanks to Xosé Calvo.
    * lang/brazilian-portuguese: update, thanks to Airon Luis Pereira
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.
    * lang/bulgarian:  Updated, thanks to Stanislav Yordanov (stanprog).
    * lang/estonian: Update thanks to Alvar Soome - finsoft.
    * lang/slovak: update, thanks to Ivan Kuriscak - shylauda69
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    * lang/catalan update, thanks to Xavier Navarro (xavin).
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza)
    * lang/norwegian: Update, thanks to Sven-Erik Andersen
    * lang/azerbaijani: update, thanks to Shehriyar Imanov (sheki).

2005-08-16 Marc Delisle  <lem9@users.sourceforge.net>
    * css/phpmyadmin.css.php, db_details_links.php, querywindow.php,
      server_links.inc.php, tbl_properties_links.php, libraries/common.lib.php
      themes/*/css/theme_right.css.php, themes/original/img/error.ico:
      patch #1252031, CSS for navigation tabs, thanks to Sebastian Mendel

2005-08-15 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1259951, invalid argument for foreach()

2005-08-14 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: $goto was not encoded in the form, resulting in a
      problem after editing/saving a row (seen in IE6)
    * libraries/common.lib.php, /display_tbl.lib.php, /functions.js, /grab_globals.lib.php:
      patch #1257955 for bug #1248577 (incorrect message "you should define a primary key")
      and bug #1253125 (request URI too large), thanks to Sebastian Mendel
    * (many files): patch #1253465, avoid error messages for unset variables
      in PHP functions that require a parameter passed by reference,
      thanks to Sebastian Mendel

2005-08-12 Marc Delisle  <lem9@users.sourceforge.net>
    * header.inc.php: remove the 'InnoDB free' segment from table comments
    * footer.inc.php: bug #1257106, display problem in the left frame (IE)

2005-08-11 Marc Delisle  <lem9@users.sourceforge.net>
    * queryframe.php: shorten the path of db subtree items,
      thanks to Edward Rudd - urkle
    * config.inc.php, header.inc.php, tbl_properties_links.php,
      themes/*/css/theme_right.css.php, tbl_properties_table_info.php,
      Documentation.html, libraries/config_import.lib.php: patch #1249528,
      move table comments to header and enable configuration of header for
      TRUE/FALSE/'both', thanks to Sebastian Mendel - cybot_tm
    * db_details.php: undefined $header_url_qry
    * sql.php: bug #1255869, "MySQL returned an empty result set" not
      displayed in all cases

2005-08-09 Marc Delisle  <lem9@users.sourceforge.net>
    * read_dump.php: add unique numbers to $strFileCouldNotBeRead to
      improve support when someone gets this error
    * Documentation.html: patch #1253248, links and anchors to every FAQ
      item, thanks to Alexander Schuch - ci-dev

2005-08-08 Michal Čihař  <michal@cihar.com>
    * libraries/export/htmlword.php: Fix undefined variable when exporting
      relations (bug #1253457).

2005-08-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysqli.dbi.lib.php: bug #1253453, using mysqli extension
      with MySQL 4.0.x
    * libraries/mysql_charsets.lib.php, /relation_cleanup.lib.php,
      /tbl_move_copy.php: patch #1253461 (code cleanup),
      thanks to Sebastian Mendel
    * libraries/sqlparser.lib.php: patch #1253478, variable initialization
      and code cleanup, thanks to Sebastian Mendel

2005-08-07 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: Save button for PDF schema coordinates,
      thanks to Ryan Schmidt
    * server_privileges.php: undefined index $GLOBALS[''],
      thanks to Ryan Schmidt
    * queryframe.php: need at least 2 items to display a group in the
      database selector, thanks to Ryan Schmidt

2005-08-06 Marc Delisle  <lem9@users.sourceforge.net>
    * queryframe.php: fixes for tree subgroups in databases selector:
      escaping of special characters, display a db name inside its own
      group, and proper closing of optgroup, thanks to Ryan Schmidt

2005-08-05 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html, readme.php, license.php:
      bug #965548, displaying README and LICENSE, thanks to Ryan Schmidt

2005-08-04 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php, export.php: Show error header on error to make
      clear that something bad has happened.

2005-08-04 Marc Delisle  <lem9@users.sourceforge.net>
    * queryframe.php: patch #1250899:
     - unified spaces between icons
     - cleaned html and php code
     - display of querywindow-icon now follows
       $cfg['QueryFrame']
     - always use no_js=1 if $cfg['QueryFrameJS'] == true
      thanks to Sebastian Mendel
    * Documentation.html: patch #1169308, FAQ 1.17a improved,
      thanks to Isaac Bennetch
    * queryframe.php, footer.inc.php, config.inc.php, Documentation.html,
      libraries/common.lib.php, /config_import.lib.php:
      patch #1246245, tree subgroups for databases (in selector),
      thanks to Edward Rudd - urkle
    * db_details.php, tbl_query_box.php: patch #1250935, interface
      improvements, thanks to Sebastian Mendel
    * tbl_create.php: bug #1252124, XSS on table creation page

2005-08-02 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: patch #1249363, remove unneeded wordwrap(),
      table width should be limited by template if necessary,
      thanks to Sebastian Mendel - cybot_tm
    * server_databases.php: patch #1249371, correct calculation of colspan,
      and patch #1249414, display improvements, thanks to Sebastian Mendel;
      also,  $dbstats should contain 0 or 1, not the colspan
    * sql.php: patch #1249451, display improvement for bookmark dialog,
      thanks to Sebastian Mendel
    * libraries/common.lib.php: patch #1249457, display improvements for Edit
      Explain etc dialog, thanks to Sebastian Mendel

2005-08-01 Michal Čihař  <michal@cihar.com>
    * lang/czech: Fix bad translation (is was translated to is not :-)),
      update.

2005-08-01 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1249239, XSS vulnerability on Create page
    * Documentation.html: "bug #1248598, explain another cause of the Missing
      parameter error

2005-07-29 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php, lang/*: new message $strAndThen
    * libraries/dbg/profiling.php: patch #1160439, improvements,
      thanks to Glen Arason
    * scripts/upgrade.pl: patch #1198492, current version check,
      thanks to Herman van Rink - helmo

2005-07-28 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_pages.php: Go button renamed to Save because it's really used to save coordinates

2005-07-26 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: bug #1243908, left panel browse icon alt tag not updated
      after inserting a row
    * config.inc.php, libraries/config_import.lib.php, /common.lib.php:
      RFE #1177459, BOOL column type

2005-07-26 Michal Čihař  <michal@cihar.com>
    * export.php: Use actual MIME type for CSV.

2005-07-25 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: insert another new row: dropdown choice should be sticky

2005-07-24 Michal Čihař  <michal@cihar.com>
    * libraries/check_user_privileges.lib.php: Undefined variable (bug
      #1243885).
    * libraries/config_import.lib.php: Do not override theme properties when
      path is not set.
    * libraries/select_theme.lib.php: Do not attempt to sort themes when
      themes are disabled (bug #1243883).

2005-07-23 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_structure.php, tbl_properties.inc.php:
      bug #1157230, escape special chars in ENUM or SET

2005-07-22 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php: table creation should not be possible
      in information_schema
    * db_operations.php: those operations do not make sense on
      information_schema
    * browse_foreigners.php: bug #1242805, Show All does not work while
      browsing foreign values
    * libraries/relation.lib.php: for the new ForeignKeyDropdownOrder, id and
      content were reversed (id-content showed content then id)

2005-07-21 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/auth/cookie.auth.lib.php: bug #1240880, XSS on the
      cookie-based login panel

2005-07-20 Marc Delisle  <lem9@users.sourceforge.net>
    * ChangeLog: automatic utf-8 encoding modeline, thanks to Michal

2005-07-19 Marc Delisle  <lem9@users.sourceforge.net>
    * translators.html: message about French translation will be in French

2005-07-16 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/string.lib.php: typo
    * libraries/sqlparser.data.php: bug #1238222, parsing of ISNULL()

2005-07-14 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/*: removed unused strInvalidRowCount

2005-07-13 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: how to enable the charset choice for exported file

2005-07-13 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php: Use eval for config file including to catch
      parse errors (bug #1223319), on error page display config file that
      actually failed.
    * main.php, server_databases.php, libraries/check_user_privileges.lib.php,
      libraries/display_create_database.lib.php: Show box for creating
      database only if user has privileges to do so (bug #1167892).
    * libraries/display_tbl.lib.php: Use better message, thanks to Marc for
      noticing this.

2005-07-12 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php: for Insert row and Export, use post when the query is too big
    * export.php: bug #1116026, export under IE 6 (XP SP2)

2005-07-11 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_relations.php: bug #1227710, unsaved relations lost when changing
      field to display

2005-07-11 Michal Čihař  <michal@cihar.com>
    * db_operations.php: Allow adding DROP TABLE when copying database (RFE
      #1235761).

2005-07-10 Robin Johnson <robbat2@users.sourceforge.net>
    * config.inc.php, Documentation.html, libraries/common.lib.php,
      libraries/config_import.lib.php:
      Document previous foreign-key dropdown work, and also ensure that the
      configuration import code works properly with it.

2005-07-10 Michal Čihař  <michal@cihar.com>
    * libraries/auth/http.auth.lib.php: Support FastGCI in http auth (patch
      #1192219)
    * Documentation.html, config.inc.php, left.php, queryframe.php,
      libraries/common.lib.php, libraries/config_import.lib.php,
      libraries/header_meta_style.inc.php, libraries/select_theme.lib.php:
      User can now have different theme per server (RFE #1231599).
    * config.inc.php: Add OLD_PASSWORD (bug #1216178).
    * main.php: Correct ALT attribute for image (bug #1232124).
    * mult_submits.inc.php, libraries/display_tbl.lib.php: Don't forget
      browsing state while deleting multiple rows (bug #1232624).
    * tbl_row_action.php: Fix undefined variable warning.
    * db_details_structure.php, db_operations.php, header.inc.php,
      querywindow.php, tbl_indexes.php, tbl_properties.inc.php,
      tbl_properties_structure.php, lang/*, libraries/display_tbl.lib.php,
      libraries/functions.js, libraries/indexes.js: Show better error messages
      when checking numerical inputs (bug #1207402).
    * sql.php, libraries/common.lib.php: Use post for print view when query is
      too big (bug #1203692).

2005-07-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug #1235473 display_tbl.lib.php,
      Undefined variable order_img
    * libraries/functions.js: bug #1234098, invalid "normal" cursor style
    * queryframe.php: bug #1231804, query windows does not open in new window,
      thanks to Michael Keck
    * db_details_qbe.php: bug #1234616, minor theme text color issue

2005-07-06 Marc Delisle  <lem9@users.sourceforge.net>
    * db_search.php: bug #1233349, db search in MySQL 5.0.x on fields
      without a charset

2005-07-04 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza)
      and Mastermnd for the 2.6.2 translation cleanup
    * tbl_properties_table_info.php: bug #1231917, commands out of sync

2005-07-03 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: link in doc, thanks to Cedric Corazza
    ### 2.6.3 released

2005-07-02 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php: bug #1230224, db rename and old pmadb information

2005-07-01 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: patch #1229673, improvement to big-file-import
      instructions, thanks to Isaac Bennetch - ibennetch

2005-06-30 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/hungarian update, thanks to Mihály Mészáros <necronix@freemail.hu>
    * lang/japanese: updated, thanks to Tadashi Jokagi (elf2000)
    * lang/chinese_traditional: Updates, thanks to Siu Sun
    * lang/catalan update, thanks to Xavier Navarro (xavin).
    * lang/lithuanian: Updated, thanks to Vilius Simonaitis - maumas98
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).

2005-06-29 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_table_info.php: bug #1228862, creating a table under
      MySQL 5.x with wrong table type

2005-06-28 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_operations.php: bug #1225635,
      cannot change table's collation under MySQL 5.0.4

2005-06-27 Michal Čihař  <michal@cihar.com>
    * config.inc.php: Better comments describing multi server setup (patch
      #1226666).
    * db_details_links.php: Place export tab on same place as on table page
      (RFE #1047874).
    * tbl_properties_links.php: Switch browse and properties tabs
    * db_details_structure.php: Make order of icons same as on table view (RFE
      #1047874).

2005-06-24 Michal Čihař  <michal@cihar.com>
    * tbl_change.php, tbl_properties_links.php, libraries/export/sql.php:
      Remove error reporting.
    * config.inc.php, libraries/common.lib.php,
      libraries/config_import.lib.php, libraries/display_export.lib.php:
      Configurable file name templates (RFE #1226941).
    * themes.php, libraries/select_theme.lib.php: Sort themes, use only one
      code for browsing directory with themes (RFE #1184251).
    * tbl_change.php: Use select instead of input, this saves some place and
      looks better (RFE #1169931).
    * tbl_change.php: Display column comment while editing data (RFE #860912).
    * lang/sync_lang.sh: Fix belarusian name.
    * libraries/transformations/application_octetstream__hex.inc.php, lang/*:
      Add hex transformation (RFE #1100068).

2005-06-24 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php: problem renaming a db

2005-06-24 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Updates.
    * db_operations.php: Cleaning up Marc's code... ;-p

2005-06-23 Robin Johnson <robbat2@users.sourceforge.net>
    * config.inc.php, libraries/relation.lib.php,
      libraries/get_foreign.lib.php, tbl_select.php, tbl_change.php: Support for
      customizing foreign-key dropdown, take #2, now very customizable, incl max
      item limit.

2005-06-23 Michal Čihař  <michal@cihar.com>
    * lang/czech: Update.

2005-06-22 Alexander M. Turek  <me@derrabus.de>
    * tbl_properties_structure.php: Undefined index.

2005-06-22 Robin Johnson <robbat2@users.sourceforge.net>
    * config.inc.php, libraries/relation.lib.php: Support for customizing
      foreign-key dropdown, take #1.

2005-06-22 Garvin Hicking  <rabustoldmethatiforgotmyemailaddress@supergarv.de>
    * server_databases.php: Bug #1225315, wrong message displayed
      when no databases were dropped.
    * tbl_properties.inc.php: Patch #1225452, JS error for
      getting the value of a select field in certain browsers.

2005-06-19 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/chinese_traditional: Updates, thanks to Siu Sun
    * lang/italian: Updates, thanks to Pietro Danesi
    * lang/finnish: update, thanks to Jouni Kahkonen
    * lang/norwegian: Update, thanks to Sven-Erik Andersen
    * lang/mongolian update, thanks to Bayarsaikhan Enkhtaivan
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).

2005-06-18 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php: bug 1221602, undefined variable when trying
      to use a reserved word as an identifier
    * db_operations.php, libraries/database_interface.lib.php:
      bug #1221359, Copying a db containing a MERGE table

2005-06-12 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties.inc.php: visually bind the Add x fields dialog to its
      submit button
    * db_operations.php: bug #1215688, Copying database does not preserve
      default charset and collation
    ### 2.6.3-rc1 released

2005-06-12 Olivier Mueller <om@omnis.ch>
    * lang/*, server_privileges.php: added strings for RFE #1197482:
      $strGeneratePassword, $strGenerate and $strCopy

2005-06-11 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_export.php: bug #1169791, exporting results from queries
      with limit keyword
    * lang/mongolian* update, thanks to Bayarsaikhan Enkhtaivan
    * lang/finnish: update, thanks to Jouni Kahkonen
    * lang/norwegian: Update, thanks to Sven-Erik Andersen
    * lang/galician: Updates, thanks to Xosé Calvo.
    * lang/belarusian, libraries/select_lang.lib.php:
      belarusian is now belarusian_cyrillic; added belarusian_latin,
      thanks to Jaska Zedlik

2005-06-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1216901, missing backquotes on the Browse
      feature in case of duplicate entry

2005-06-07 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/tatarish*: updates, thanks to Albert Fazlí
    * config.inc.php: bug #1215950, typo in comment

2005-06-06 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/tatarish*, /sync_lang.sh, libraries/select_lang.lib.php,
      translators.html: renamed "tatar" to "tatarish" (tatar is
      a different language and this translation is really tatarish)
    * lang/mongolian*, libraries/select_lang.lib.php,
      translators.html, Documentation.html, README:
      new language (mongolian), thanks to Bayarsaikhan Enkhtaivan

2005-06-05 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/functions.js: bug #1207405, invalid SQL when creating
      table with zero fields
    * sql.php: bug #1204951, left frame browse icon alt tag
      not updated on emptying table

2005-06-05 Michal Čihař  <michal@cihar.com>
    * lang/czech: Update.

2005-06-04 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/chinese_traditional: Updates, thanks to Siu Sun.
    * lang/finnish: update, thanks to Jouni Kahkonen
    * lang/norwegian: Update, thanks to Sven-Erik Andersen
    * db_details_structure.php: optional message $strNumberOfFields,
      will use $strFields if not defined
    * db_operations.php, lang/*: bug #1212997, db copy should not
      always perform CREATE DATABASE

2005-06-03 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/tatar*, /sync_lang.sh, libraries/select_lang.lib.php,
      translators.html, Documentation.html, README:
      new language (tatar), thanks to Albert Fazlí

2005-06-01 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: bug #1213761, hint about Hardened PHP
      and the Missing parameters problem, thanks to Klaus Dorninger

2005-05-31 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php: patch 1209863, XHTML validity,
      thanks to Ryan Schmidt

2005-05-29 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: bug #1184325, Label IDs mismatch for ENUM type,
      thanks to Ryan Schmidt
    * footer.inc.php: bug #1209891, db list not refreshed when the left
      frame is positionned on a db, then a manual DROP DATABASE it done
      on another db
    * db_operations.php, footer.inc.php: bug #1170227, copying a db does not
      refresh the queryframe

2005-05-27 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties.inc.php: bug #1205940, current timestamp checkbox
      when field type changes

2005-05-26 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_create.php: bug #1207406, undefined index from PMA_setComment()
    * sql.php: bug #1204913, left frame update on manual table rename

2005-05-25 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties.inc.php: bug #1207404, undefined variables

2005-05-24 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1207395, undefined theme_generation
      and theme_version, thanks to Ryan Schmidt
    * tbl_properties_operations.php: bug #1207212, changing table type
      under MySQL 5.0.4

2005-05-22 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/charset_conversion.lib.php: diacritics wrongly converted
      in Browse mode under MySQL 4.1.x if AllowAnywhereRecoding set to TRUE
    * tbl_properties_structure.php, tbl_properties.inc.php,
      libraries/sqlparser.lib.php: bug #1163595, NULL detection of TIMESTAMP
    * many files: bug #1193250, XHTML compliance, thanks to Ryan Schmidt
    * themes/[darkblue_orange|original]/css/theme_print.css.php:
      spelling error Hevetica -> Helvetica, thanks to Castorius and
      Isaac Bennetch - ibennetch

2005-05-19 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_select.php: bug #1204235, searching on a VARBINARY field

2005-05-18 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: bug #1193442, 8 extra spaces at end of export area,
      thanks to Ryan Schmidt
    * db_details_structure.php: bug #1193430, zero_rows parameter
      not url-encoded, thanks to Ryan Schmidt

2005-05-17 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php, libraries/server_privileges.js:
      make the password generator work also on user account editing

2005-05-17 Olivier Mueller <om@omnis.ch>
    * server_privileges.php, libraries/server_privileges.js: RFE #1197482,
      password generator on user creation.  RFC: ok like that?  TODO: add strings.

2005-05-15 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php, libraries/sqlparser.lib.php: bug #1120434, comment at the end
      of query is applied to appended LIMIT as well

2005-05-13 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_printview.php: bug #1178760, header not sent when displaying
      print view of multi tables, thanks to Hrvoje Novosel - interghost
    * libraries/functions.js: Patch #1191447, hand pointer on mouseover and
      mousedown, thanks to Ken Stanley - eclipsboi

2005-05-11 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties.inc.php: bug #1069012, table collation forgotten
      when adding fields
    * libraries/storage_engines.lib.php: bug 1180119, undefined variable when
      showing the details of a storage engine under MySQL 4.0.x

2005-05-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php: bug #1198156, undefined variable
      when exporting without enclosing with backquotes

2005-05-08 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_links.php: patch #1196806, add a Privileges tab
      in db view, thanks to Herman van Rink - helmo
    * server_privileges.php: add a back link to the db on which
      we are checking privileges
    * Documentation.html: FAQ 3.13 about the MySQL API having problem dealing
      with USE followed with a db name containing an hyphen
    * read_dump.php: bug #1189664, js error when 2 queries submitted at once

2005-05-08 Olivier Mueller <om@omnis.ch>
    * scripts/upgrade.pl: new script to let unix admins upgrade phpMyadmin
      with one command and 5 seconds. To be improved, but is working fine
      here (tm).  Based on: http://www.phpmyadmin.net/latest.txt
    * server_privileges.php: always display the "Add a new user" link
      on the User overview page (no more need to click on [show all] or
      an initial before)

2005-05-05 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/mysql_charsets.lib.php: bug #1186983, missing character
      sets and collations (temporary workaround)
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).

2005-05-04 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: improvement about PmaAbsoluteUri,
      thanks to Isaac Bennetch - ibennetch

2005-05-03 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1185152, setting collation for a field,
      thanks to Ryan Schmidt - ryandesign

2005-05-02 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: bug #1123284, avoid double compression when
      zlib.output_compression is On, thanks to unclef at users.sourceforge.net
    * libraries/common.lib.php: bug #1193223, undefined index htmlexcel_null,
      thanks to Ryan Schmidt - ryandesign

2005-05-01 Marc Delisle  <lem9@users.sourceforge.net>
    * server_status.php: bug #1193225, missing </ul>
    * tbl_properties.inc.php: bug #1193353, js error on creating table

2005-04-30 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php, libraries/tbl_move_copy.php:
      bug #1192468, bookmarks copied too many times

2005-04-27 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/finnish: update, thanks to Jouni Kahkonen
    * lang/russian: update, thanks to lobovich
    * libraries/sqlparser.lib.php: bug #1179887, ordering by count(*)

2005-04-26 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_structure.php, tbl_properties.inc.php:
      bug #1190092, wrong detection of NULL fields with MySQL 5.0.x
    * lang/finnish: big update, thanks to Jouni Kahkonen

2005-04-25 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser*: bug #1185173. A query using the Storage
      table name and an alias, returned no result. I changed the
      parser to add a list of "forbidden" reserved words, as listed
      in the MySQL manual (reserved words). Those are not allowed
      as a table/column name, but others (like Storage) are allowed.
      Now the query works. TODO: do not pretty print in color,
      in this case
    * libraries/common.lib.php: bug #1179241, wrong escaping of
      apostrophe in generated PHP code

2005-04-25 Michal Čihař  <michal@cihar.com>
    * lang/czech: Update.
    * lang/english: Fix typo.

2005-04-24 Marc Delisle  <lem9@users.sourceforge.net>
    * left.php, queryframe.php: bug #1168784, please respect the db order
      given in only_db

2005-04-16 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/chinese_simplified: Updates, thanks to mysf at etang.com
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    * lang/galician: Updates, thanks to Xosé Calvo.
    * new language: belarusian, thanks to Jaska Zedlik <jz53 at zedlik.com>
    * tbl_properties_export.php: bug #1180860, error going from Export
      to Insert tab
    ### 2.6.2 released

2005-04-14 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php: Search icon centering

2005-04-13 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_alter.php: undefined $field_comments

2005-04-10 Alexander M. Turek  <me@derrabus.de>
    * lang/*.inc.php: New messages for MySQL 5.0 privileges.

2005-04-10 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/bulgarian:  Updated, thanks to Stanislav Yordanov (stanprog).
    * server_privileges.php: bug #1179969, problem editing a user's profile
      (and there was a problem also with the detection of
       an already existing user)

2005-04-09 Alexander M. Turek  <me@derrabus.de>
    * libraries/sqlparser.data.php: Added keyword ROUTINE.

2005-04-08 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/catalan update, thanks to Xavier Navarro (xavin).

2005-04-07 Alexander M. Turek  <me@derrabus.de>
    * libraries/select_lang.lib.php, lang/english-iso-8859-15.inc.php:
      en-iso-8859-15.
    * lang/*.inc.php: New messages for MySQL 5.0 privileges.

2005-04-07 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties.inc.php, tbl_alter.php: bug #1176896, undefined variable
    * libraries/common.lib.php: wrong test when the field's type is
      TIMESTAMP ON UPDATE CURRENT_TIMESTAMP

2005-04-03 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.6.2-rc1 released

2005-04-01 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_addfield.php: TIMESTAMP options support
    * libraries/common.lib.php: DEFAULT CURRENT_TIMESTAMP is only
      for TIMESTAMP (bug when changing from a TIMESTAMP to a non-TIMESTAMP type)    * (same): bug #1163595, problem 4: a TIMESTAMP must be explicitely
      set to NULL to have the NULL attribute
    * libraries/tbl_move_copy.php: bug #1168996, error copying InnoDB table
      with FK constraints to a table in the same db

2005-03-31 Alexander M. Turek  <me@derrabus.de>
    * left.php: Undefined offset (Bug #1174045).

2005-03-31 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: added FAQ 5.17 about problem with
      Firefox when the Tabbrowser Extensions plugin is installed
    * tbl_properties.inc.php: TIMESTAMP options improved looks, thanks to Garvin
    * tbl_properties.inc.php: TIMESTAMP default CURRENT_TIMESTAMP checkbox
      made dynamic, depending on the field's type
    * tbl_create.php, libraries/relation.lib.php: TIMESTAMP options support

2005-03-30 Alexander M. Turek  <me@derrabus.de>
    * server_databases.php: Bug #1172782 (Don't allow to drop
      information_schema).
    * libraries/mysql_charsets.lib.php: Typo.
    * lang/german-*.inc.php: Better translation.

2005-03-30 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: Patch #1164699, clarification about PmaAbsoluteURI,
      thanks to Isaac Bennetch - ibennetch
    * lang/english: improvements, thanks to Ryan Schmidt - ryandesign
    * lang/*: removed unused message and modified strCheckOverhead
      where still untranslated
    * tbl_properties.inc.php: bug #1163595 (problem #5): after an error
      modifying TIMESTAMP options, the table structure editing form
      was shown without the new options.

2005-03-29 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: XSS vulnerability on convcharset

2005-03-29 Alexander M. Turek  <me@derrabus.de>
    * server_collations.php, libraries/mysql_charsets.lib.php: Don't offer
      unavailable collations (bug #1172517).

2005-03-28 Alexander M. Turek  <me@derrabus.de>
    * left.php: Implemented the forgotten view icon.

2005-03-27 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).
    * libraries/relation.lib.php: bug #1170549, adding fields NOT NULL
      under MySQL 4.1
    ### 2.6.2-beta1 released

2005-03-27 Alexander M. Turek  <me@derrabus.de>
    * libraries/defines.lib.php, themes/*/info.inc.php: Marked 2.6.0 / 2.6.1
      themes as imcompatible because of recent changes.
    * libraries/information_schema_relations.lib.php,
      libraries/relation.lib.php: information_schema relations.

2005-03-26 Alexander M. Turek  <me@derrabus.de>
    * libraries/engines/innodb.lib.php: Caught possible devision by zero.
    * lang/dutch-iso-8859-15.inc.php, lang/finnish-iso-8859-15.inc.php,
      lang/italian-iso-8859-15.inc.php, lang/portoguese-iso-8859-15.inc.php,
      lang/spanish-iso-8859-15.inc.php, libraries/select_lang.lib.php:
      Added more Latin9 language files.

2005-03-25 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties.inc.php: bug #1170255, undefined index: Field

2005-03-25 Alexander M. Turek  <me@derrabus.de>
    * db_details_structure.php: Let's prefer separate icons over CSS 3 hacks
      for marking a functionality as unavailable.
    * libraries/relation.lib.php:
      - Removed recoding function calls from controluser queries as they do
        not depend on the connection charset anymore;
      - Added emulated relations for some information_schema tables. To be
        continued.

2005-03-24 Alexander M. Turek  <me@derrabus.de>
    * libraries/dbi/*.dbi.lib.php, libraries/common.lib.php,
      libraries/database_interface.lib.php:
      - Force separate connection for controluser queries;
      - Don't apply collation_connection settings to controluser connections.
    * lang/galician-*.inc.php: Updates, thanks to Xosé Calvo.
    * lang/chinese_traditional-*.inc.php: Updates, thanks to Siu Sun.

2005-03-22 Marc Delisle  <lem9@users.sourceforge.net>
    * header.inc.php: undefined index tbl_is_view when copying a table
      with constraints and an error occurs

2005-03-20 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    * tbl_properties.inc.php: do not add ON UPDATE CURRENT_TIMESTAMP twice

2005-03-19 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Translations #1120157 (bad translation of
      $strAddSearchConditions).
    * libraries/select_lang.lib.php, lang/polish-windows-1250.inc.php:
      Translations #1161402 (added pl-win1250), thanks to Jakub Wilk (ubanus).
    * libraries/select_lang.lib.php, lang/german-iso-8859-15.inc.php,
      lang/french-iso-8859-15.inc.php: Added ISO-8859-15 (Latin9) editions of
      the German and French language files for testing.

2005-03-19 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/catalan update, thanks to Xavier Navarro (xavin).
    * lang/russian update, thanks to gunsky
    * lang/polish: Updated, thanks to Jakub Wilk (ubanus).

2005-03-18 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/estonian: Update thanks to Alvar Soome - finsoft.
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.
    * lang/brazilian-portuguese: big update, thanks to Airon Luis Pereira
      - thedarkness
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    * lang/japanese: updated, thanks to Tadashi Jokagi (elf2000)

2005-03-18 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Updates.

2005-03-17 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: bug #1165148, typo in Documentation.html
    * lang/indonesian: Update thanks to Rachim Tamsjadi - tamsy.
    * lang/galician: Updated, thanks to Xosé Calvo.

2005-03-16 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_structure.php, tbl_alter.php, tbl_properties.inc.php,
      config.inc.php (comment only), libraries/common.lib.php:
      experimental support for table structure editing with MySQL 4.1.2+
      TIMESTAMP options

2005-03-13 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_row_delete.php renamed to tbl_row_action.php (RFE 1097729)

2005-03-12 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_structure.php, libraries/sqlparser.lib.php:
      start merging code for MySQL 4.1.2 TIMESTAMP options support

2005-03-10 Alexander M. Turek  <me@derrabus.de>
    * libraries/relation.lib.php: Bug #1159415.

2005-03-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/database_interface.lib.php, libraries/relation.lib.php:
      problem with getting comments when creating a new table under MySQL 4.1.x
      with mysql extension

2005-03-09 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php: db comments updating broken
    * libraries/relation.lib.php: bug #1159415, data dictionary broken

2005-03-08 Michael Keck  <mkkeck@users.sourceforge.net>
    * themes/*/img/bd_insrow.png, themes/*/bd_insrow.png: Added disabled
      versions of insert-row icons.

2005-03-08 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/french update

2005-03-07 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php: db comments broken
    * libraries/dbi/*.php, lang/*: new $strSocketProblem message
    * db_details.php, tbl_query_box.php, libraries/bookmark.lib.php:
      bookmark improvement,
      based on patch #1034161 by Ryan Schmidt - ryandesign:
      sort bookmarks by label, remove the number before each bookmark
      in the drop-down choice. For this I had to change some logic in the
      calling scripts. It's still possible to have the same label more
      than once.

2005-03-07 Michal Čihař  <michal@cihar.com>
    * db_printview.php, tbl_printview.php, css/phpmyadmin.css.php,
      libraries/header_meta_style.inc.php: Actually use print style in themes,
      also fixes RFE #1120880.
    * sql.php: Better calculate inserted row id (bug #1156963).
    * db_details_links.php, db_details_structure.php: Show database comment on
      each tab (same as we do with table comments).

2005-03-06 Michael Keck  <mkkeck@users.sourceforge.net>
    * themes/*/img/bd_deltbl.png, themes/*/bd_drop.png: Added disabled
      versions of drop icons.

2005-03-06 Michal Čihař  <michal@cihar.com>
    * export.php, libraries/display_export.lib.php, config.inc.php,
      libraries/config_import.lib.php, libraries/export/htmlexcel.php,
      libraries/export/htmlword.php, lang/*: Added Microsoft Word and Excel
      2000 export (RFE #1155122).
    * lang/czech: Updated, thanks to Michal Marek (twofish) for "storage
      engine" translation.
    * lang/english: Nothing to translate here.
    * Documentation.html: Document new Excel export.
    * config.inc.php, libraries/config_import.lib.php,
      libraries/display_export.lib.php, libraries/export/htmlword.php: Word
      export now can contain table structure and better handles more
      tables/databases export.
    * db_operations.php, export.php, main.php, tbl_move_copy.php,
      libraries/common.lib.php, libraries/select_theme.lib.php,
      libraries/auth/cookie.auth.lib.php: Unified cookie path handling, added
      / to end of path (bug #1155373).

2005-03-06 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php, /display_export.lib.php,
      /export/sql.php: native comments. For MySQL 4.1.x+ I do not display
      the "Add into comments ... Comments" choice, since they are
      part of the structure

2005-03-06 Alexander M. Turek  <me@derrabus.de>
    * lang/*.inc.php, libraries/engines/innodb.lib.php: InnoDB buffer pool
      activity statistics.
    * server_status.php: Removed InnoDB Status sub-page. It is now part of
      server_engines.php.
    * lang/*.inc.php, libraries/engines/innodb.lib.php: Buffer pool size
      indicators.
    * libraries/mysql_charsets.lib.php: Don't check the character set of the
      virtual database "information_schema" (MySQL 5.0).
    * db_details_links.php, db_details_structure.php: Don't allow the user to
      change anything in MySQL 5.0's information_schema database.

2005-03-05 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_alter.php, tbl_addfield.php, db_datadict.php, pdf_schema.php,
      tbl_create.php, libraries/common.lib.php, /relation.lib.php,
      /database_interface.lib.php: MySQL 4.1.x native comments

2005-03-05 Alexander M. Turek  <me@derrabus.de>
    * server_engines.php, lang/*.inc.php, libraries/storage_engines.lib.php
      libraries/engines/berkeleydb.lib.php, libraries/engines/bdb.lib.php,
      libraries/engines/innobase.lib.php, libraries/innodb.lib.php,
      libraries/engines/myisam.lib.php:
      - Moved engine-specific settings into plugins;
      - Added ability to create multiple sub-pages in server_engines.php for
        a specific engine;
      - Added a few InnoDB variables. To be continued. :-)
      - New InnoDB buffer pool monitor for MySQL >= 5.0.2.

2005-03-04 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html, libraries/common.lib.php: new FAQ 2.8 about
      Missing parameters, and when the error happens, show a link to FAQ

2005-03-03 Alexander M. Turek  <me@derrabus.de>
    * libraries/grab_globals.lib.php: Bug #1153079 (Updating columns starting
      with "str").
    * header.inc.php: Wrong icon for views.
    * libraries/sqlparser.data.php: Added more missing date / time functions.

2005-03-02 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php, libraries/display_export.lib.php: Do not offer
      modes not available in current MySQL version, do not fail on error when
      setting SQL_MODE (bug #1155209).

2005-03-02 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: bug #1154307, wrong text for alt,
      thanks to Isaac Bennetch - ibennetch
    * Documentation.html: bug #1126156, FAQ 6.12 reworked,
      thanks to Isaac Bennetch - ibennetch

2005-03-01 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: bug #1153684, wrong doc for PDF pages generation,
      thanks to Ryan Schmidt
    * libraries/auth/config.auth.lib.php: bug #1149565, tooltip.js undefined
      var

2005-02-27 Alexander M. Turek  <me@derrab.us>
    * libraries/sqlparser.data.php: Added missing MySQL functions STR_TO_DATE
      and GET_FORMAT (bug #1152310).

2005-02-27 Michal Čihař  <michal@cihar.com>
    * server_binlog.php: MySQL 5 compatibility (bug #1151960).

2005-02-26 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: added FAQ 5.16 about various IE and Windows
      problems. Thanks to Michael Keck.
    * main.php: bug #1143528, Reload MySQL not seen on MySQL 4.1.2

2005-02-24 Alexander M. Turek  <me@derrabus.de>
    * libraries/grab_globals.lib.php: Fixed the fix, thanks to Marc. :-)

2005-02-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/auth/cookie.auth.lib.php: bug #1149373, error when
      blowfish_secret is empty

2005-02-23 Alexander M. Turek  <me@derrabus.de>
    * libraries/grab_globals.lib.php: More hotfixes against bug #1149381.
    * libraries/mysql_charsets.lib.php: Detection for new Japanese charsets
      (cp932 and eucjpms) that will be introduced with MySQL 5.0.3.
    * libraries/select_lang.lib.php: Removed the UTF-8 deactivation code that
      we had already commented out a long time ago.

2005-02-22 Alexander M. Turek  <me@derrabus.de>
    * libraries/grab_globals.lib.php: Hotfix against bug #1149381 and parts
      of bug #1149383.

2005-02-21 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_pages.php: patch #1120466 (modified): optional column names
      in visual scratchboard, thanks to Remco Aalbers - remcoa

2005-02-17 Marc Delisle  <lem9@users.sourceforge.net>
    * header.inc.php, queryframe.php: HTML improvement,
      thanks to Armel Fauveau
    * server_privileges.php: bug #1113788, escaping character removed by error

2005-02-16 Alexander M. Turek  <me@derrabus.de>
    * db_details_export.php: Views are not exportable yet.
    * themes/*/css/theme_right.css.php: Allow to mark a whole row as disabled.
    * server_engines.php: Use new CSS class 'disabled' for unavailable
      engines.

2005-02-14 Michal Čihař  <michal@cihar.com>
    * tbl_printview.php, libraries/tbl_indexes.lib.php: Fix displaying
      indexes for print view, use same function as for normal view (bug
      #1119388).
    * css/print.css, libraries/tbl_indexes.lib.php,
      libraries/header_meta_style.inc.php: Use CSS for hiding print button
      rather than javascript.

2005-02-14 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_table_info.php: avoid errors #1046, no database selected
      in MySQL 5.0.2
    * lang/romanian: Updated, thanks to Valics Lehel.

2005-02-13 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/french update
    * server_privileges.php: bug #1118137, host not changing when editing user

2005-02-10 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: new FAQ 1.32 about using HTTP auth under IIS

2005-02-09 Marc Delisle  <lem9@users.sourceforge.net>
    * config.inc.php, Documentation.html: bug #1115327, document the
      maximum number of characters for blowfish_secret

2005-02-09 Alexander M. Turek  <me@derrabus.de>
    * lang/italian-*.inc.php: Updates, thanks to Pietro Danesi.

2005-02-08 Michal Čihař  <michal@cihar.com>
    * export.php: Fix export of SQL for Safari (bug #1113015).

2005-02-07 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/*: bug #1116933, PMA_DBI_free_result():
      do not send a boolean to mysqli_free_result() or mysql_free_result(),
      it expects a result resource
    * libraries/tbl_move_copy.php: bug #1117112, commands out of sync when
      using "copy table" operation
    * libraries/common.lib.php: bug #1114363, error when SHOW DATABASES is
      disabled

2005-02-07 Alexander M. Turek  <me@derrabus.de>
    * libraries/mcrypt.lib.php: Bug #1117907 ("wrong parameter count" with
      php 4.1.x.

2005-02-06 Alexander M. Turek  <me@derrabus.de>
    * header.inc.php, tbl_properties_table_info.php: View detection for
      header.inc.php.
    * tbl_properties_links.php: Adjusted tab bar for views.

2005-02-05 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_relation.php: removed comments handling (pmadb-style) from relation view

2005-02-04 Michal Čihař  <michal@cihar.com>
    * tbl_change.php: Fix TIMESTAMP editing on MySQL 4.1 (bug #1114120).

2005-02-03 Alexander M. Turek  <me@derrabus.de>
    * tbl_addfield.php: Bug #1040682 (adding field with collation).

2005-02-02 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/*: PMA_DBI_num_rows(): do not send a boolean
      to mysqli_num_rows() or mysql_num_row(), it expects a result resource
    * tbl_properties.inc.php: bug #1114550, changing the type of
      a float unsigned column

2005-01-30 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/export/sql.php: bug #1108521, part 2: mysqli_num_rows
      cannot be used with MYSQL_USE_RESULT

2005-01-29 Alexander M. Turek  <me@derrabus.de>
    * lang/japanese-utf-8.inc.php: Bug #1111855 ("Undefined index" when using
      the Janapese language file under MySQL 4.1.

2005-01-28 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysqli.dbi.lib.php: bug #1111706, call to undefined
      function PMA_reloadNavigation(). A failed connection was not properly
      detected
    * libraries/export/sql.php: bug #1108521, mysqli_free_result() expects
      parameter 1 to be a result

2005-01-27 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/fpdf/fpdf.php: bug #1106146, missing header for PDF,
      thanks to Michal
    * libraries/display_tbl.lib.php: the LongOperation message should
      be just for InnoDB

2005-01-27 Michal Čihař  <michal@cihar.com>
    * read_dump.php: Fix detection of SELECT query to display on multiple
      submits (bug #1110727).

2005-01-23 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_query_box.php: bug #1107937, undefined $fields_list
    * lang/estonian: Update thanks to Alvar Soome - finsoft.
    ### 2.6.1 released

2005-01-23 Michal Čihař  <michal@cihar.com>
    * export.php: Back to Content-Type application/x-bzip2 on bzip2 export
      (bug #1106652).

2005-01-23 Alexander M. Turek  <me@derrabus.de>
    * libraries/sqlparser.data.php: Added some keywords.

2005-01-22 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/bookmark.lib.php: bug #1103289: num_rows and MYSQL_USE_RESULT,
      and fix a typo "boommark"
    * lang/galician: Updated, thanks to Xosé Calvo.
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).

2005-01-20 Michael Keck  <mkkeck@users.sourceforge.net>
    * libraries/tooltip.js: new JS library for tooltips (hints)
    * libraries/common.lib.php: img tag modified for mouseover / mouseout
      (show/hide tooltip)
    * header.inc.php: needed div-container for tooltips
    * footer.inc.php: linking to js-file tooltip.js
    * themes/.../theme_right.css.php: tooltip class
    * querywindow.php / tbl_query_box.php: resizing the querywindow if it
      to small
    * themes/.../layout.inc.php: increased QueryWindowHeight / QueryWindowWidth
    * themes/.../theme_right.css.php: new class for disabled (not available)
      text / values / messages
    * libraries/tooltip.js: removed wrong typos (sorry)

2005-01-20 Alexander M. Turek  <me@derrabus.de>
    * server_engines.php, server_links.inc.php: Use Michael's new icon for
      storage engines.
    * main.php: Added link to storage engines sub-page.

2005-01-18 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php, libraries/common.lib.php, /display_tbl.lib.php, /functions.js,
      lang/*.php: bug #1084820: ask a confirmation when a user wants to
      reach the End of rows, and count the exact number of rows to
      go to the real end
      TODO: page number selector
    * common.lib.php: PMA_showHint(): now the lightbulb is clickable,
      to reveal the full message for browsers who truncate it,
      thanks to Alexander for the suggestion

2005-01-18 Alexander M. Turek  <me@derrabus.de>
    * server_engines.php, server_links.php libraries/storage_engines.lib.php:
      - Emulation for < MySQL 4.1.2;
      - BerkeleyDB version information.
    * tbl_properties.inc.php, tbl_properties_operations.php,
      libraries/storage_engines.lib.php: Auto-generated engine selection
      dropdown.
    * header.inc.php, libraries/common.lib.php: Finger pointer for lightbulbs.

2005-01-17 Michael Keck  <mkkeck@users.sourceforge.net>
    * libraries/common.lib.php: modified function for
      Add a link by MySQL-Error #1062 - Duplicate entry
      (feature request #1036254)

2005-01-17 Michal Čihař  <michal@cihar.com>
    * lang/czech: Fix typos (translation #1103785).

2005-01-17 Alexander M. Turek  <me@derrabus.de>
    * server_engines.php, lang/*.inc.php: Nice output for some MyISAM
      parameters.

2005-01-16 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1103201, wrong treatment of MySQL error
      #1060 in the logic for error #1062

2005-01-15 Alexander M. Turek  <me@derrabus.de>
    * server_engines.php, server_links.inc.php, lang/*.inc.php,
      libraries/storage_engines.php: Detailed storage engines status
      information.

2005-01-12 Alexander M. Turek  <me@derrabus.de>
    * tbl_properties_table_info.inc.php: Basic view detection.
    * tbl_properties_structure.php: Disabled table-specific interface elements
      for views.

2005-01-11 Alexander M. Turek  <me@derrabus.de>
    * libraries/relation.lib.php:
      - Removed redundant code;
      - Fixed some comments.
    * tbl_properties_structure.php: Corrected TH numbering.
    * db_details_structure.php: Small design glitch with "in use" tables.
    * db_details_structure.php, mult_submits.inc.php, lang/*.inc.php:
      - Views are now displayed correctly within the table list;
      - Added ability to drop views from the db structure page.
        TODO: It is not yet possible to drop a view from the table sub pages.

2005-01-11 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysqli.dbi.lib.php: bug #1076213, headers sent
      on invalid login

2005-01-10 Michal Čihař  <michal@cihar.com>
     * lang/czech: Fix typo (translation #1099459).

2005-01-10 Olivier Mueller <om@omnis.ch>
    * README: copyright, we're in 2005

2005-01-09 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.
    * lang/catalan update, thanks to Xavier Navarro (xavin).
    * lang/japanese: updated, thanks to Tadashi Jokagi (elf2000)
    * lang/dutch: Updates, thanks to Ivo Teel.
    * lang/indonesian: Update thanks to Rachim Tamsjadi - tamsy.
    * lang/galician: Updated, thanks to Xosé Calvo.
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    ### 2.6.1-rc2 released

2005-01-07 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_addfield.php: bug #1082680, undefined $field_charset when adding
      a FLOAT field in MySQL 4.1.x

2005-01-07 Michal Čihař  <michal@cihar.com>
    * Documentation.html, tbl_change.php, tbl_properties.inc.php,
      libraries/functions.js, libraries/tbl_change.js,
      libraries/keyhandler.js: Use Option key for Safari for moving (bug
      #1094137), move key handler function to separate file so we have only
      one, make movement work correctly in vertical display of properties.
    * libraries/common.lib.php: Fix timestamp in uva condition with MySQL 4.1
      (bug #1097593).

2005-01-06 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: removed old PHP3-workaround that caused problems
      with field names like '000'

2005-01-05 Michal Čihař  <michal@cihar.com>
    * tbl_properties_operations.php: Fix changning table parameters if it has
      no auto increment (bug #1096246).

2005-01-04 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php:
      - Updates and small corrections;
      - Synchronized translation with the German MySQL documentation.

2005-01-03 Michal Čihař  <michal@cihar.com>
    * export.php: Use standardised mime types and use content encoding for
      gzip/bzip2. I hope this will fix double gzip compression as in bug
      #1094649.

2005-01-01 Michal Čihař  <michal@cihar.com>
    * tbl_alter.php: Don't try to set collation for non text fields (bug
      #1094109).
    * sql.php: Do not forget reloading when launching multiple queries (bug
      #1090818).

2004-12-30 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    * lang/norwegian: Update, thanks to Sven-Erik Andersen
    * lang/latvian: Updated, thanks to Sandis Jerics (saaa2002).

2004-12-30 Michal Čihař  <michal@cihar.com>
    * libraries/fpdf/ufpdf.php: Fix some warnings.

2004-12-29 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php: Fix typo.
    * server_databases.php: Use same sort order as in left frame (bug
      #1087244), allow sorting even if not showing stats.
    * pdf_schema.php, libraries/fpdf/fpdf.php, libraries/fpdf/ufpdf.php,
      libraries/fpdf/font/FreeSans*: Added support for PDF output in utf-8,
      uses UFPDF class from http://www.acko.net/node/56. NOTE: We now have a
      bit modified FPDF class. (bug #1046051)
    * Documentation.html: Added info about UFPDF library.
    * lang/czech, lang/english: Improved some texts, also bug #1009667.

2004-12-28 Michal Čihař  <michal@cihar.com>
    * libraries/tbl_move_copy.php: Fix constraints copying (bug #1085900).
    * config.inc.php, lang/*, libraries/common.lib.php,
      libraries/config_import.lib.php, libraries/display_export.lib.php,
      libraries/export/sql.php: Support for selecting SQL export compatibility
      (RFE #1060040).
    * libraries/tbl_change.js: Faster navigation in calendar (RFE #1090315).
    * mult_submits.inc.php, tbl_row_delete.php: Fix % escaping (bug #1082954).
    * read_dump.php: Fix database name extraction from use statement (bug
      #1084777).
    * css/phpmyadmin.css.php, libraries/common.lib.php: Disabled theme manager
      still allows to select theme in configuration (bug #1084712).
    * tbl_replace.php: Remove unused code.
    * main.php, lang/*, libraries/string.lib.php: Added warnings about
      mbstring - one to disable function overloading and one for requesting
      mbstring for multibyte charsets (bugs #1063149 and #1063821).
    * tbl_change.php, tbl_replace.php, lang/*, libraries/common.lib.php:
      Support for editing next entry (when numeric primary key) (RFE
      #1074906).

2004-12-26 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/database_interface.lib.php: bug #1085647, wrong parameters
      for strpos(), thanks to Meithar - meithar
    * libraries/select_server.lib.php, bug #1073056, unable to submit selected server,
      thanks to jamaz - jamaz
    * tbl_change.php: bug #1090608, undefined variable, thanks to peterinsb
    * scripts/upgrade_tables_mysql_4_1_2+.sql: bug #1084426, misleading comments
    * tbl_create.php: bug #1085494, illegal length value for LONGTEXT, thanks to mjec

2004-12-16 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/blowfish.php: bug #1085997, undefined variables,
      patch thanks to Chandrakumar Muthaiah - sudhach

2004-12-14 Alexander M. Turek  <me@derrabus.de>
    * libraries/sqlparser.data.php: Added keywords NAMES and VIEW.

2004-12-13 Michal Čihař  <michal@cihar.com>
    * libraries/tbl_change.js: Do not catch Alt and Shift keys (bug #1082315).
    * libraries/export/sql.php: Do not duplicate constraints when exporting
      multiple databases (bug #1084459).

2004-12-12 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/japanese: updated, thanks to Tadashi Jokagi (elf2000)
    * lang/latvian: Updated, thanks to Sandis Jerics (saaa2002).
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).
    * lang/catalan update, thanks to Xavier Navarro (xavin).
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.
    * lang/galician: Updated, thanks to Xosé Calvo.
    * lang/polish: Updated, thanks to Jakub Wilk (ubanus).
    * lang/chinese_traditional-*.inc.php: Updates, thanks to Siu Sun.
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    * lang/turkish update, thanks to boralioglu.
    ### 2.6.1-rc1 released

2004-12-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/transformations/text_plain__external.inc.php:
      security fix: no longer use the shell to execute external program
    * Documentation.html: mention the new need of PHP >= 4.3.0 to run
      external programs

2004-12-09 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_row_delete.php, libraries/display_tbl.lib.php:
      cannot drop or export multiple rows under IE6

2004-12-07 Marc Delisle  <lem9@users.sourceforge.net>
    * read_dump.php: security fix on $sql_localfile
    * lang/norwegian: Update, thanks to Sven-Erik Andersen
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.
    * lang/indonesian: Update thanks to Rachim Tamsjadi - tamsy.

2004-12-01 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php, lang/*: added hint strApproximateCount referring
      to FAQ 3.11 (bug #1075658)

2004-11-30 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/auth/cookie.auth.lib.php: Avoid displaying the
      "No activity" message if more than 4 times the LoginCookieValidity
      timeout has passed: no need to alert users the next morning
      (for example) that they have been inactive.

2004-11-25 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/auth/cookie.auth.lib.php, lang/*: "No activity" message
      to explain to users why they have to relogin

2004-11-25 Michal Čihař  <michal@cihar.com>
    * libraries/mcrypt.lib.php: Trim result, because it can be paded with \0s.

2004-11-24 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/mcrypt.lib.php, /libraries/blowfish.php,
      libraries/auth/cookie.auth.lib.php: support of mcrypt
      library (blowfish) for speed improvement in auth_type cookie

2004-11-23 Marc Delisle  <lem9@users.sourceforge.net>
    * user_password.php: wrong generated cookie name

2004-11-21 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: bug #1067626, column privileges while copying user
    * libraries/common.lib.php: bug #1070197, not connecting if using
      a non-standard HTTP port (bug introduced in 2.6.0-pl3)

2004-11-19 Garvin Hicking <pma@supergarv.de>
    * libraries/bookmark.lib.php, left.php:
      Massively speed up table display for left frame, if
      PMA infrastructure is used. Use native PHP function
      for indenting.
    * libraries/mysql_charsets.lib.php: Use a static
      array cache to speed up returning the same collation
      information.

2004-11-19 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: we have the PMA_get_indexes() function,
      let's use it!
    * tbl_indexes.php: bug #1068994, undefined variable
    * libraries/dbg/profiling.php: bug #1068318, call-time pass-by-reference

2004-11-16 Michal Čihař  <michal@cihar.com>
    * left.php: Possible undefined index (bug #1067199).
    * Documentation.html: Warn about Excel export problems in documentation
      (bug #1063082).

2004-11-14 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_relation.php: bug #1050437, intercept constraint failure
      and do not offer to add an InnoDB foreign key if the field
      does not have a key

2004-11-13 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: bug #1056706: table specific privs for a db containing an escaped wildcard character
    * libraries/display_tbl.lib.php: bug #1065688: display the Full text link
      on the results for PROCEDURE ANALYSE

2004-11-11 Michal Čihař  <michal@cihar.com>
    * tbl_properties_operations.php: Allow InnoDB text to be included in user
      comment.

2004-11-09 Michal Čihař  <michal@cihar.com>
    * browse_foreigners.php, server_binlog.php: Truncate text according to
      text length and not byte count.

2004-11-07 Alexander M. Turek  <me@derrabus.de>
    * Documentation.html, README: Updated credits.

2004-11-07 Marc Delisle  <lem9@users.sourceforge.net>
    * mult_submits.inc.php: bug #1054720, multi-row delete

2004-11-06 Michael Keck  <mkkeck@users.sourceforge.net>
    * queryframe.php: bug #1046434 (Light mode does not work)

2004-11-06 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: put sanitize logic in PMA_sanitize()
    * sql.php: sanitize confirm page
    * db_details_structure.php: bug #1049553, undefined $db_collation

2004-11-05 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: new controluser behavior starting from MySQL 4.1.2

2004-11-04 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php, tbl_replace.php, sql.php, read_dump.php,
      server_privileges.php: now PMA_showMessage() sanitizes the message
      to defeat XSS attacks. Calling scripts use special tags like
      [br], [i], [/i], [b], [/b] in the message.
    * main.php: bug #1058692, call-time pass-by-reference error
    * sql.php, libraries/sqlparser.lib.php: bug #1054590, handling of OFFSET

2004-11-10 Garvin Hicking
    * config.inc.php: Reverted commenting out of QueryWindowWidth/Height
      settings. Those can be overriden by a themes layout.inc.php,
      but not neccessarily so.

2004-11-03 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php: More robust PmaAbsoluteUri detection.
    * libraries/sqlparser.lib.php: Escape html special chars in parser bugs.
    * libraries/common.lib.php: HTTP_HOST might be unset (bug #1053310).

2004-11-02 Michal Čihař  <michal@cihar.com>
    * tbl_indexes.php: Fix index editing.
    * sql.php: Decode table name.
    * lang/czech: Updated.

2004-11-09 Garvin Hicking
    * libraries/display_tbl.lib.php, libraries/common.lib.php,
      browse_foreigners.php: RFE #925817 - Abstracted page selector to
      its own function, now create sloped pagination to easily jump
      to any wanted page.
    * read_dump.php: RFE #1053039, show filename of uploaded SQL file
    * sql.php, tbl_indexes.php, libraries/tbl_indexes.lib.php,
      lang/*: Added checks for common problems with table indices.
      Serves as a stub for future checks, currently implemented are
      the ones mentioned in RFE #1044677. The check can be performed
      on multiple tables by using "check table" on selected tables in
      DB structure.

2004-11-02 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: MySQL 4.1.x compatibility for list of initials

2004-11-01 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: for MySQL 4.1.2+ a non-privileged user can do
      a simple SHOW GRANTS to fetch current privileges, so we no longer
      need the control user for this check

2004-11-01 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php: Comparsion is == and not = (bug #1054758).

2004-10-29 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php (top index): MySQLi compatibility,
      use PMA_convert_using() in case of non-latin1 user table,
      and fix bug #1054467 (in case of BINARY User field)
    * header.inc.php: bug #1053310, undefined index under OmniSecure server
    * tbl_relation.php: bug #1050424, not positionned on current db
    * tbl_alter.php: bug #1054756, duplicate top menu
    * lang/english: bug #1056724, typo

2004-10-28 Alexander M. Turek  <me@derrabus.de>
    * user_password.php, lang/*.inc.php: Allow usage of old password hashing
      function.

2004-10-27 Alexander M. Turek  <me@derrabus.de>
    * config.inc.php, libraries/config_import.lib.php,
      libraries/sqlparser.data.php: Added function OLD_PASSWORD().

2004-10-26 Alexander M. Turek  <me@derrabus.de>
    * libraries/sqlparser.data.php: Added OFFSET.

2004-10-25 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php: Fix URI detection in case REQUEST_URI contains
      full URI (patch #1044123).
    * tbl_properties_structure.php, libraries/display_tbl.lib.php: Fix typo
      that broke multi submits for MSIE (bug #1052674).

2004-10-24 Michael Keck <mkkeck@users.sourceforge.net>
    * config.inc.php, themes/*/layout.inc.php:
      bug #1050666 - Query window too small darkblue/orange theme

2004-10-23 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: top index for user initials

2004-10-22 Alexander M. Turek
    * lang/english-*.inc.php: Grammar fix.

2004-10-22 Michal Čihař  <michal@cihar.com>
    * db_details_structure.php: Use "Structure" instead of "Properties" for
      link to table structure.
    * db_operations.php, lang/*: We switch to database here. not table.
    * lang/*: strProperties is not used anywhere now.
    * config.inc.php: Mention db_operations.php possibility.
    * libraries/transformations/text_plain__external.inc.php: Unless admin
      specifies there programs to use, it does nothing now.

2004-10-21 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_query_box.php: bug 1050691, missing parameters

2004-10-21 Michael Keck <mkkeck@users.sourceforge.net>
    * libraries/common.lib.php: feature request #1036254
      Add a link by MySQL-Error #1062 - Duplicate entry

2004-10-21 Michal Čihař  <michal@cihar.com>
    * [too many files to mention]: Cleanup of message displaying and
      navigation reloading. Messages are now displayed bellow tabs (RFE
      #1005511), navigation is reloaded once in header (I'm not sure whether I
      choose correct version of reload code, we have several diferent, but it
      seems to work well).
    * tbl_properties_structure.php, libraries/common.lib.php,
      libraries/display_tbl.lib.php: New function PMA_buttonOrImage to display
      button or image to submit form and not to duplicate code on all places.
    * tbl_addfield.php: Display tabs.
    * mult_submits.inc.php, tbl_properties_structure.php: Allow index creating
      on multiple fields (RFE #990136).
    * db_operations.php: Duplicate create new table dialog (see RFE #808029).
    * main.php: Don't display server choice here, if also in left frame (RFE
      #984153).
    * libraries/common.lib.php: Fix navigation reloading.
    * server_databases.php: Show box for creating database here (RFE #869814).

2004-10-20 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: there was already a tip icon in our collection,
      thanks to Michael Keck

2004-10-20 Michal Čihař  <michal@cihar.com>
    * lang/czech: Update.
    * tbl_relation.php: Backquote table name (bug #1050441).
    * db_details_qbe.php: Backquote table name.
    * libraries/display_tbl.lib.php: Comments now work for multi table selects
      (bug #789647).
    * server_processlist.php: Display executed SQL.
    * main.php, server_common.inc.php, server_links.inc.php,
      server_binlog.php, lang/*: Added support for displaying bin logs (RFE
      #1011770).
    * Documentation.html, config.inc.php, libraries/common.lib.php,
      libraries/config_import.lib.php, libraries/auth/config.auth.lib.php,
      libraries/auth/cookie.auth.lib.php: Allow simple blocking of root login
      (RFE #1012971), show just Access denied in case we denied it.
    * db_operations.php, db_details_links.php, db_details_structure.php:
      Separate operations from structure (RFE #808029).
    * tbl_move_copy.php: Remove unused PMA_myHandler().
    * lang/*, libraries/tbl_move_copy.php, libraries/export/sql.php,
      db_operations.php, tbl_move_copy.php: Implemented database copying (RFE
      #996730), this forced separating code for copying tables.

2004-10-19 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/database_interface.lib.php: bug #1041667, correctly
      check the server version instead of the client API version
    * tbl_change.php, libraries/common.lib.php, lang/*: new function
      PMA_showHint($message), new $strUseTabKey,
      new light bulb image (temporary)
    * server_privileges.php: bug #916117, PMA_showHint($strEscapeWildcards)

2004-10-19 Michal Čihař  <michal@cihar.com>
    * export.php: Use just \n for SQL exports (bug #1042521).
    * libraries/read_dump.lib.php: Set correct return value (bug #1048861).
    * sql.php: Fix undefined index.
    * libraries/sqlparser.lib.php: Return raw query in case of error (bug
      #1048826).
    * main.php, queryframe.php: Handle correctly situation with no default
      server (bug #1049107).
    * tbl_create.php, libraries/common.lib.php: 0 as field name causes
      problems (bug #1042235).
    * read_dump.php, server_privileges.php, server_status.php, sql.php: Work
      better in ANSI mode (bug #816858).
    * lang/czech: Reordered some words.
    * libraries/select_server.lib.php: Clickable active server in left frame
      (RFE # 1044678).
    * db_details_structure.php, tbl_move_copy.php, libraries/common.lib.php:
      Fix left frame reloading after dropping table (bug #1034531).
    * config.inc.php, libraries/config_import.lib.php: Offer UNIX_TIMESTAMP
      also for numeric fields.
    * tbl_replace.php: UNIX_TIMESTAMP can take optional parameter (bug
      #1039193).
    * server_privileges.php: Make non-js checkall work also for adding new
      user (bug #1028055).
    * libraries/zip.lib.php: Drop unneed part of header which causes troubles
      to some programs (bug #1037737).
    * index.php: Add frame spacing (RFE #1036013).
    * libraries/db_table_exists.lib.php: Allow work on temporary tables (bug
      #864984).

2004-10-17 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/turkish update, thanks to boralioglu.
    * lang/estonian: Update thanks to Alvar Soome - finsoft.

2004-10-16 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysqli.dbi.lib.php: support for compressed protocol
      and CLIENT_LOCAL_FILES in mysqli

2004-10-15 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_schema.php: new way to define font path,
      needed with the new fpdf library; also now output inline,
      I find it faster this way, please tell me if you prefer
      the old dialog method and why.
    * tbl_change.php: bug #1038401, tabbing from value to value
    * sql.php: detect this case:
      SELECT DISTINCT x AS foo, y AS bar FROM sometable
      and count rows correctly (in MySQL 3),
      thanks to Matthias Pigulla (mp@webfactory.de)
    * server_privileges.php: cosmetic: title for Edit privileges
    * lang/galician: Updated, thanks to Xosé Calvo.
    * lang/italian: Updates, thanks to Pietro Danesi
    * lang/norwegian: Update, thanks to Sven-Erik Andersen

2004-10-13 Michal Čihař  <michal@cihar.com>
    * libraries/fpdf/fpdf.php: Updated to 1.52.

2004-10-13 Alexander M. Turek  <me@derrabus.de>
    * Documentation.html: Mike Beck's e-mail address has changed.

2004-10-13 Michal Čihař  <michal@cihar.com>
    * lang/sync_lang.sh: Do not overwrite utf-8 files in some cases.
    * lang/czech: Fix some translations.
    * libraries/transformations/text_plain__external.inc.php: Handle better
      backslash.
    * themes/*/img/*.gif: Remove unused gif images.

2004-10-12 Alexander M. Turek  <me@derrabus.de>
    * db_search.php, tbl_select.php, libraries/database_interface.lib.php:
      - bug #1033388 (Illegal mix of collations for converted strings),
      - don't convert if column charset and connection charset match.
    * main.php, libraries/select_lang.lib.php,
      libraries/auth/cookie.auth.lib.php: Automatically select Traditional
      Chinese for users with a Hong Kong locale (zh-hk), as discussed in the
      translations tracker (#1036528).
    * lang/sync_lang.sh: Base charset for German is now UTF-8.
    * lang/german-*.inc.php: Updates.

2004-10-12 Michal Čihař  <michal@cihar.com>
    * sql.php: Don't try to require sql.php with parameters, rather redirect
      to it.
    * libraries/transformations.lib.php: Strip slashes to behave like
      documentation says.
    * libraries/transformations/text_plain__external.inc.php: Escape special
      shell chars to avoid their interpretation (bug #1044864).

2004-10-11 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: typos and XHTML validity, thanks to Cedric Corazza
    * libraries/export/sql.php: bug #1039639: under mysqli, some field types
      were wrongly exported as binary
    * libraries/sqlparser.lib.php, /display_tbl.lib.php: bug #967610, double
      column sort with JOIN

2004-10-11 Michal Čihař  <michal@cihar.com>
    * tbl_query_box.php: Don't try to replace %t and %f when table name is empty.
    * libraries/export/sql.php: Convert end of line chars we get from MySQL
      (bug #1042521).

2004-10-08 Garvin Hicking <pma@supergarv.de>
    * lots of files: Adjusted superfluous spaces, added
      more CSS-ID attributes for better themeability.

2004-10-04 Michal Čihař  <michal@cihar.com>
    * tbl_query_box.php: Reenabled %f substitution.

2004-10-02 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_alter.php: field structure changes not applied (CVS version only)
    * export.php: bug #1038804, insufficient space to save

2004-09-30 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_addfield.php: bug #1037744 (CVS version only): cannot add a field
    * tbl_create.php: cannot create a new table (CVS version only)

2004-09-29 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php, libraries/common.lib.php: bug #1036678, incorrect appending
      of LIMIT to queries, and bug #1037004, UPDATE statement not showing
    * tbl_properties_operations.php: bug #1035524, cannot add comments to table

2004-09-29 Michal Čihař  <michal@cihar.com>
    * tbl_addfield.php, tbl_create.php, tbl_properties.inc.php, lang/*: Better
      wording when adding fields (bug #991096).
    * tbl_query_box.php, lang/*: Not translated text (bug #1010656).
    * themes.php, lang/*: Not translated text (bug #1016610).
    * tbl_properties_structure.php: Use also $strAddFields (as suggested by
      Marc).

2004-09-28 Alexander M. Turek  <me@derrabus.de>
    * libraries/dbi/mysql.dbi.lib.php: Compatibility fix for php < 4.3
      (bug #1033360), thanks to Claude Theroux.
    * lang/chinese_traditional-*.inc.php: Updates, thanks to Siu Sun.
    * lang/dutch-*.inc.php: Updates, thanks to Ivo Teel.
    * lang/persian-*.inc.php: Added missing $timespanfmt variable.

2004-09-27 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.6.0 released

2004-09-26 Marc Delisle  <lem9@users.sourceforge.net>
    * read_dump.php: improvements in detection and reload
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.

2004-09-25 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/norwegian: Update, thanks to Sven-Erik Andersen - sven-erik.
    * lang/indonesian: Update thanks to Rachim Tamsjadi - tamsy.
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    * lang/catalan update, thanks to Xavier Navarro (xavin).
    * lang/polish: Updated, thanks to Jakub Wilk (ubanus).
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).

2004-09-24 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php: following the fix for bug #978930, the added LIMIT was
      not displayed anymore
    * read_dump.php: bug #1033133, left frame not reloaded after dump read
    * db_datadict.php: bug #1034299, error in SHOW KEYS for data dict
    * read_dump.php: bug #1034216 open_basedir and file upload,
      thanks to Dominique Rousseau - domi

2004-09-24 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php: Fixed export of '0' string (bug #1033869).

2004-09-23 Marc Delisle  <lem9@users.sourceforge.net>
    * all themes: item_ltr.png and item_rtl.png: new solid arrow
      that looks better, thanks to Efim Shuvikov

2004-09-23 Michal Čihař  <michal@cihar.com>
    * themes.php, css/phpmyadmin.css.php, libraries/common.lib.php: Do not
      prepend $cfg['ThemePath'] with another './'.

2004-09-22 Alexander M. Turek  <me@derrabus.de>
    * config.inc.php, libraries/config_import.lib.php: Added "./" to the
      default value of $cfg['ThemePath']. Thanks to Donny Simonton for
      pointing this out.
    * lang/chinese_simplified-*.inc.php: Updates, thanks to Simon (simon2san).
    * lang/italian-*.inc.php: Updates, thanks to Pietro Danesi and "Vincenzo".
    * lang/persian-*.inc.php: Updates, thanks to Parham Ghaffarian.

2004-09-22 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_query_box.php, read_dump.php: bug #1032066: when no db was
      selected from the left panel, the query window's Import Files had
      no submit button; also, read_dump always tried a PMA_select_db($db)
      even if $db was empty

2004-09-22 Michal Čihař  <michal@cihar.com>
    * lang/czech: Update.
    * lang/sync_lang.sh: Default to iconv, as it doesn't break some
      translations as recode does.
    * lang/japanese-euc.inc.php: Don't allow recoding for this one.

2004-09-22 Alexander M. Turek  <me@derrabus.de>
    * lang/turkish-*.inc.php: Update, thanks to boralioglu.
    * lang/sync_lang.sh: Switched turkish base charset to UTF-8.

2004-09-21 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysql.dbi.lib.php: typo, thanks to Matthias Pigulla
    ### 2.6.0-rc3 released

2004-09-21 Alexander M. Turek  <me@derrabus.de>
    * db_details.php, read_dump.php, tbl_query_box.php: Allow import of
      non-UTF-8 SQL dumps. Thanks to Marc for the initial patch.
      FIXME: The current solution breaks the display of the executed queries.
    * lang/*.inc.php, libraries/mysql_charsets.lib.php: Made
      PMA_getCollationDescr() recognize the new Persian collations that will be
      included in MySQL 4.1.5.

2004-09-20 Marc Delisle  <lem9@users.sourceforge.net>
    * read_dump.php, libraries/read_dump.lib.php: bug #1030644,
      error importing when last table exported was empty
    * libraries/dbi/mysql.dbi.lib.php: tell the client library to use
      CLIENT_LOCAL_FILES (flag 128), thanks to Matthias Pigulla

2004-09-20 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Add info about theme generations.

2004-09-19 Alexander M. Turek  <me@derrabus.de>
    * Documentation.html: Clarification.

2004-09-19 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/latvian: Updated, thanks to Sandis Jerics (saaa2002).

2004-09-18 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/russian updated, thanks to "nobody"
    * lang/albanian: Updated, thanks to Laurent Dhima (laurenti).

2004-09-16 Marc Delisle  <lem9@users.sourceforge.net>
    * config.inc.php, Documentation.html: clarifications about QueryFrame
    * queryframe.php: bug #1027321, drop-down databases list keeps focus,
      thanks to Michael Keck

2004-09-16 Garvin Hicking <me@supergarv.de>
    * libraries/display_export.lib.php: Bug #1010752 - Remove space
      before <label> to be consistent throughout the panel.

2004-09-15 Garvin Hicking <me@supergarv.de>
    * browse_foreigners.php, libraries/functions.js, tbl_select.php:
      Fixed foreign key browser window to also work from within
      Search-subpanel.

2004-09-14 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: stay on the form when passwords don't match
      (after the js alert)
    * left.php: bug #1006514, top left frame does not load in Safari 1.2.3,
      workaround thanks to Ryan Schmidt

2004-09-14 Michal Čihař  <michal@cihar.com>
    * themes.php, libraries/common.lib.php, libraries/defines.lib.php,
      libraries/select_theme.lib.php, themes/darkblue_orange/info.inc.php,
      themes/original/info.inc.php: Better theme version check (bug #1023029).
    * libraries/auth/cookie.auth.lib.php: Remember database when using cookie
      login (bug #1027873).

2004-09-13 Garvin Hicking <me@supergarv.de>
    * browse_foreigners.php: bug #1027204 - paging did not
      work in foreigner browsing window.

2004-09-12 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php: bug #988723, sql error when ordering by count( * )

2004-09-11 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/dutch: small update
    * lang/chinese_simplified: updated, thanks to Simon - simon2san
    * server_privileges.php: bug #1003238, cannot manipulate a username
      like "example@nothost" where the "@" is part of the username

2004-09-10 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: grammar.

2004-09-09 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: bug #1022338: clarify about needed chown -R
      on the scripts (otherwise, problems in PHP safe mode)
    * tbl_change.php: bug #1024434, undefined sql_query when clicking
      on Insert tab from the Insert textfile sub-page

2004-09-07 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: bug #992211, wrong parameters to
      PMA_generate_common_hidden_inputs(), thanks to Ryan Schmidt

2004-09-07 Michal Čihař  <michal@cihar.com>
    * calendar.php: Minimal common.lib.php doesn't fix absolute path, so use
      full one (bug #1023444).

2004-09-07 Alexander M. Turek  <me@derrabus.de>
    * main.php: Typo.
    * libraries/sqlparser.data.php: Added keyword "SESSION".

2004-09-06 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.6.0-rc2 released

2004-09-05 Marc Delisle  <lem9@users.sourceforge.net>
    * ldi_table.php: bug #1010652, wrong label,
      thanks to Ryan Schmidt - ryandesign for the patch

2004-09-05 Alexander M. Turek  <me@derrabus.de>
    * libraries/sqlparser.data.php: Parser support for SHOW STORAGE ENGINES and
      SHOW TABLE TYPES.
    * tbl_create.php: Use default tab.
    * tbl_properties.inc.php: Don't offer the BINARY field attribute in
      MySQL 4.1.
    * main.php: Check the privileges of the anonymous user, too.

2004-09-05 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Add information about theme versions and names.

2004-09-04 Alexander M. Turek  <me@derrabus.de>
    * tbl_select.php: No quotes were added when querying (VAR)BINARY fields.
    * db_search.php, tbl_select.php: Made search independant from the
      connection charset.

2004-09-04 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php: bug #899430: left frame problem when lower_case_table_names==2
    * libraries/database_interface.lib.php: bug #1009791: now remove non-UTF-8
      choices from the drop-down (in main) for MySQL 4.1.x
    * Documentation.html: added some missing variables and new FAQ 2.7
      about using and creating themes

2004-09-03 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php, server_privileges.php, libraries/common.lib.php:
      replace charset introducers by CONVERT USING,
      to support servers where the mysql.* tables are not in latin1
    * libraries/database_interface.lib.php: do not add BINARY and VARBINARY
      twice in the drop-down list of field types

2004-09-03 Alexander M. Turek  <me@derrabus.de>
    * Documentation.html: Typos; added a note about the deprecated MySQL
      versions 4.1.0 and 4.1.1.

2004-09-03 Michal Čihař  <michal@cihar.com>
    * libraries/string.lib.php: Encoding tis-620 is not multibyte (bug
      #1013787).
    * libraries/display_export.lib.php: Updated texts to fit Excel 2003
      behaviour (bug #1018457).
    * main.php, themes.php: Escape theme names (bug #1016608).
    * lang/hebrew-utf-8.inc.php, lang/sync_lang.sh,
      libraries/select_lang.lib.php: Hebrew now also has utf-8 version.

2004-09-01 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/auth/cookie.auth.lib.php: bug #939531: when people upgrade
      phpMyAdmin on the same directory, the previous cookie pma_cookie_username
      was used but produced an Undefined offset in blowfish.php, because
      on previous PMA versions it was not encoded the same way. Now this old
      cookie is not used. Users have to reenter their username (not a big
      impact IMO)

2004-09-01 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php: Fix empty BLOB export (bug #1020052).

2004-08-29 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: bug #1007870, illegal mix of collations
      for operation UNION

2004-08-28 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_structure.php, tbl_properties.inc.php,
      libraries/sqlparser.data.php, /database_interface.lib.php:
      support for VARBINARY and BINARY field types

2004-08-27 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_relation.php, libraries/display_tbl.lib.php: bug #1016997,
      wrong db name generated in SHOW KEYS

2004-08-26 Marc Delisle  <lem9@users.sourceforge.net>
    * index.php, libraries/common.lib.php: bug #1006011: now we save
      the chosen connection collation into a cookie
    * lang/japanese: updated, thanks to Tadashi Jokagi (elf2000)
    * lang/hebrew, turkish: bug 1016609: <br> tags

2004-08-25 Michal Čihař  <michal@cihar.com>
    * main.php: Don't show port after verbose name (bug #1013401).

2004-08-23 Michal Čihař  <michal@cihar.com>
    * scripts/create-release.sh: Support for snapshots outside sourceforge.
    * libraries/export/sql.php: Fix exporting of TIMESTAMP (bug #1013730).

2004-08-22 Michal Čihař  <michal@cihar.com>
    * sql.php: Don't unset $sql_limit_to_append, we need it later (bug
      #978930, found by Marc).

2004-08-22 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/norwegian: Update, thanks to Sven-Erik Andersen - sven-erik.
    * lang/estonian: Update thanks to Alvar Soome - finsoft.
    * lang/chinese_simplified: updated, thanks to Simon - simon2san
    * lang/latvian: Updated, thanks to Sandis Jerics (saaa2002).
    * lang/bulgarian:  Updated, thanks to Stanislav Yordanov (stanprog).
    * lang/thai: Updated, thanks to Arthit Suriyawongkul.

2004-08-21 Marc Delisle  <lem9@users.sourceforge.net>
    * themes/darkblue_orange/img/logo_left.php: transparent version,
      thanks to Michael Keck
    * db_datadict.php, tbl_printview.php, transformation_wrapper.php:
      commands out of sync
    * tbl_indexes.php: optimize: remove unneeded row count
    * libraries/display_tbl.lib.php: foreign key tooltip not displaying
      in mysqli
    * tbl_replace.php: could not upload a binary field in mysqli
    * libraries/transformations.lib.php: could not change MIME type, etc
      in mysqli
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.

2004-08-19 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/*: bug 1009667: do not spell Ms Excel but MS Excel

2004-08-19 Michal Čihař  <michal@cihar.com>
    * read_dump.php: Fixed one case of reload detection (I forgot to update
      second regexp on 2004-08-16) (bug #1011479).

2004-08-17 Michal Čihař  <michal@cihar.com>
    * sql.php: Work with $display_query only if set (Marc spotted this out).
    * libraries/display_export.lib.php: No options text should not be bold red
      (bug #1010759).

2004-08-17 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_select.php, config.inc.php, libraries/config_import.lib.php,
      libraries/common.lib.php: bug #983735: move search operators to
      config file, and set "LIKE" as default operator instead of "LIKE %...%",
      for performance reasons

2004-08-16 Alexander M. Turek  <me@derrabus.de>
    * libraries/relation.lib.php: Fixed some collation problems with the
      relational tables (bug #995359).

2004-08-16 Marc Delisle  <lem9@users.sourceforge.net>
    * all .../theme_right_css.php: bug #1009661, typo,
      thanks to Ryan Schmidt (ryandesign)

2004-08-16 Michal Čihař  <michal@cihar.com>
    * read_dump.php: Fix handling of comments -- and # (bug #1009494).
    * libraries/relation.lib.php: Fix typo, CONVERT is for MySQL >= 4.1 and
      not for MySQL >= 4.0.
    * sql.php, libraries/common.lib.php: Better appending of LIMIT (bug
      #978930).

2004-08-15 Marc Delisle  <lem9@users.sourceforge.net>
    (Patches from Michael Keck)
    * left.php, queryframe.php, themes.php: bug #1005479: was using
      a hardcoded charset
    * themes/.../themes_left.css, /themes_right.css: new style for
      better vertical alignment

2004-08-13 Michal Čihař  <michal@cihar.com>
    * libraries/read_dump.lib.php: Fix possible undefined index (bug
      #1008232).
    * scripts/create-release.sh: Rename config.default to config.default.php.

2004-08-12 Michal Čihař  <michal@cihar.com>
    * db_details_structure.php: Inconsistency of drop/empty links (bug
      #989705).
    * tbl_addfield.php, tbl_properties.inc.php, tbl_properties_structure.php:
      Change look of adding fields into table (bug #991095).
    * many files: I again did some XHTML validation, so removed few of most
      obvious errors, but there are still many, mostly missing alt attributtes
      for images and wrongly nested tags.
    * left.php, queryframe.php: Replace htmlentities with htmlspecialchars
      (bug #1008002).
    * libraries/config_import.lib.php: Remove compatibility code for colors.
    * lang/czech: Improved message.\
    * main.php, themes.php, libraries/common.lib.php,
      libraries/defines.lib.php, libraries/select_theme.lib.php,
      themes/darkblue_orange/info.inc.php, themes/original/info.inc.php:
      Implemeted versioning and naming for themes (RFEs #991642 and #991645).
    * left.php: Use always natsort and not natcasesort in one case, it caused
      inconsistency (bug #1008120).

2004-08-11 Michal Čihař  <michal@cihar.com>
    * tbl_replace.php: Do not empty protected values (bug #1006812).
    * libraries/display_tbl.lib.php: Wrong parameters for PMA_DBI_free_result
      (bug #1007287).
    * tbl_indexes.php, libraries/display_tbl.lib.php: Fix grabing indexes with
      MYSQLI_USE_RESULT (bug #1007286).

2004-08-10 Michal Čihař  <michal@cihar.com>
    * libraries/tbl_change.js: Forcibily use 10 as base for parsed numbers,
      otherwise accidentally octal numbers are expected (part of bug
      #1005865).

2004-08-09 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/turkish update, thanks to Bora Alioglu
    * libraries/get_foreign.lib.php: bug 1005826, problem with foreign key
      dropdowns, thanks to Joerg Klein (j0erch) for the fix

2004-08-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php:
        bug 1005414, undefined offset when no display field has been defined;
        bug 1004546, sort error in dropdown list of foreign values;
        incorrect result was freed
    * libraries/relation.lib.php: use natural order sort according to config
    * db_details_structure.php, pdf_pages.php, pdf_schema.php: make it work
      with mysqli extension
    * scripts/upgrade_tables_mysql_4_1_2+.sql: new script to upgrade pmadb
      on MySQL 4.1.2
    * libraries/bookmark.lib.php: bug (mysqli)
    * tbl_query_box.php: field list does not show (mysqli)
    * libraries/sqlparser.lib.php: cannot copy a table structure (MySQL 4.1.x)
    ### 2.6.0-rc1 released

2004-08-08 Michal Čihař  <michal@cihar.com>
    * calendar.php: Include correct stylesheet (bug #1005421).

2004-08-07 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/turkish update, thanks to Bora Alioglu
    * lang/slovak: Updated, thanks to Lubos Klokner (erkac)
    * lang/polish: Updated, thanks to Jakub Wilk (ubanus).
    * lang/dutch: bug 1000683, backslash typo
    * libraries/mysql_charsets.lib.php: bug 1005120, duplicated line

2004-08-06 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_operations.php: bug 1004523, now display table options
      according to the possibilities of the table types

2004-08-06 Michal Čihař  <michal@cihar.com>
    * tbl_change.php: Do not free result, we need it later.
    * tbl_relation.php: Some functions do not take parameters (bug #1000021).

2004-08-05 Marc Delisle  <lem9@users.sourceforge.net>
    (Patches from Michael Keck)
    * index.php: names and ids for framesets in the noscript section
    * updated themes screenshots
    * left.php: bug 998698, db dropdown refresh
    (me)
    * lang/galician: Updated, thanks to Xosé Calvo.
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    * lang/japanese: updated, thanks to Tadashi Jokagi (elf2000)

2004-08-03 Marc Delisle  <lem9@users.sourceforge.net>
    (Patches from Michael Keck)
    * libraries/display_tbl.lib.php: bug 993694, clicking on last record
      button reaches a page where the current page number is not the last one
    * main.php: - removed bug with hashform.hash
                - removed id for input field 'new_database', because it may be
                  too large for the one lined create db form
                - bug #980232 'Javascript error on index page'
    * db_details_common.php: removed bug with hashform.hash
    * index.php: - given names and ids for framesets, please see below 'queryframe.php'
    * queryframe.php - javascript function for dynamic resizing the rows
                       in the left frameset 'leftFrameset'.
                       (bugs: #993648, #989581, #988897)

2004-08-02 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/database_interface.lib.php, /select_lang.lib.php:
      bug 968174: now, in MySQL 4.1.0+ we auto-switch the language to
      the corresponding -UTF-8 version (if it exists); also, now
      the default language is the non-UTF-8 one

2004-08-02 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php: Removed unused code.

2004-08-01 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php, libraries/relation.lib.php: bug 1001159, Commands
      out of sync on Insert
    * tbl_move_copy.php: bug 995098, cannot copy table data only
    * libraries/dbi/mysqli.dbi.lib.php: use faster AND comparison for flags,
      as suggested by Michal
    * libraries/export/sql.php: workaround for datetime export because
      mysqli under MySQL 4.1.3 reports a datetime as binary

2004-07-31 Alexander M. Turek  <me@derrabus.de>
    * tbl_change.php, tbl_replace.php, libraries/relation.lib.php: Small
      optimizations, freed some results (thanks to Marc for the one in
      tbl_replace.php).
    * lang/sync_lang.sh: Updated sync script for the new names of the chinese
      language files.

2004-07-30 Alexander M. Turek  <me@derrabus.de>
    * lang/chinese_*.inc.php, libraries/select_lang.lib.php: More consistant
      naming for the chinese language files.

2004-07-30 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/hungarian: updates, thanks to Peter Bakondy
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.

2004-07-29 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser*.php: bug 965026, support of GROUP_CONCAT()

2004-07-28 Michal Čihař  <michal@cihar.com>
    * tbl_properties_structure.php: Allow to create primary key when there was
      none before (bug #996246).

2004-07-27 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser*.php: bug 981343,
      cannot copy a table with a timestamp (MySQL 4.1.2)

2004-07-25 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php, libraries/common.lib.php: bug 997682:
      illegal mix of collations
    * server_privileges.php: same bug
      FIXME: check privileges for a db

2004-07-23 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: take into account the new script to
      create tables for the infrastructure

2004-07-23 Alexander M. Turek  <me@derrabus.de>
    * config.inc.php, libraries/config_import.lib.php,
      libraries/select_lang.lib.php: Made phpMyAdmin aware that there is a
      charset called gbk.

2004-07-20 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).
    * lang/catalan update, thanks to Xavier Navarro (xavin).

2004-07-20 Alexander M. Turek  <me@derrabus.de>
    * Documentation.html: added note about php5.

2004-07-18 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: doc link for connection collation

2004-07-17 Alexander M. Turek  <me@derrabus.de>
    * libraries/database_interface.lib.php, libraries/dbi/*.dbi.lib.php:
      moved redundant post-connect code into database_interface.lib.php.
    * libraries/url_generating.lib.php: Added ability to skip certain hidden
      input fields.
    * libraries/database_interface.lib.php: Added new function for retreiving
      MySQL variables.
    * libraries/mysql_charsets.lib.php: Added optional onchange-submit feature
      to collation dropdown box.
    * main.php, lang/*.inc.php, libraries/database_interface.lib.php,
      libraries/url_generating.lib.php: The user may now choose his connection
      character set. This should fix bug #984912.
      WARNING: The pmadb needs to be converted to UTF-8 now!
      TODO: Handle non-UTF-8 pmadb more nicely.

2004-07-16 Marc Delisle  <lem9@users.sourceforge.net>
    * index.php: left frame display problems under IE

2004-07-16 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php: Remove code for old MySQL version, do not
      store query, better handle various end of lines (probably bug #979635).

2004-07-15 Alexander M. Turek  <me@derrabus.de>
    * scripts/create_tables.old.sql, scripts/create_tables.sql: Force UTF-8
      for PMA database in MySQL 4.1 and above.
      TODO: - Update docs
            - Add conversion code to the docs
            - add charset checks to pmadb validation code
    * main.php: bug #991887.
    * server_databases.php: Add database collations to statistics.
    * lang/german-*.inc.php: Grammar.

2004-07-15 Michal Čihař  <michal@cihar.com>
    * tbl_properties_export.php: Fix export of queries with empty WHERE clause
      (bug #990330).
    * libraries/display_export.lib.php: Display SQL export after saving file
      on server    (bug #989657).
    * tbl_properties_export.php: In case we don't need to reconstruct complete
      query just drop LIMIT part (workaround for bug #955175 and should fix
      bug #990724).
    * libraries/export/sql.php: Fix export of '0' strings (bug #990398).

2004-07-15 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: bug 990959, undefined index for DATETIME
      field (problem in UTF-8 only!)
    * main.php: bug 984136: other fix for RTL and logo

2004-07-14 Marc Delisle  <lem9@users.sourceforge.net>
    * index.php, libraries/common.lib.php: bug 989581 and left panel
      display problems when switching themes
    * tbl_relation.php: bug 978111, out of sync in Relation view
      (note: we need to use the PMA_DBI_QUERY_STORE option in a mysqli query
       when we later do a PMA_DBI_num_rows() on the results)

2004-07-13 Michal Čihař  <michal@cihar.com>
    * lang/czech: Updated.

2004-07-13 Alexander M. Turek  <me@derrabus.de>
    * libraries/dbi/mysqli.dbi.lib.php: avoid php errors if result set is
      FALSE.
    * libraries/mysql_charsets.lib.php, lang/*.inc.php: Updated collation
      definitions for MySQL 4.1.3 and 4.1.4.
    * lang/german-*.inc.php: Updates.
    * db_details_db_info.php: Fixed a few "out of sync" errors.
    * Documentation.html: removed a pre-php-4.1 note.

2004-07-12 Marc Delisle  <lem9@users.sourceforge.net>
    * all themes/colors.inc.php, libraries/common.lib.php,
      config.inc.php, Documentation.html: rename colors.inc.php to
      layout.inc.php, thanks to Garvin for the suggestion

2004-07-10 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/catalan update, thanks to Xavier Navarro (xavin).
    * lang/galician: Updated, thanks to Xosé Calvo.
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).

2004-07-09 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: bug 981793, cross-window update message when inserting
      a record and fetching a value from the browse foreigners window,
      thanks to Michael Keck

2004-07-08 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_qbe.php: undefined offset and undefined variable

2004-07-07 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: bug 984136, wrong alignment in RTL languages
    * lang/arabic-utf-8, lang/sync_lang.sh: bug 984176, wrong encoding
      for arabic UTF-8. sync with --iconv works.
    * tbl_relation.php: use PMA_DBI_try_query() to be able to catch the
      missing index error (InnoDB) and give appropriate advice

2004-07-06 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/export/xls.php: enable user to specify './tmp' as the
      TempDir -- use realpath() to find the complete path. Add error trap
      in case OLE cannot write to directory. Add setTempDir() to enable OLE
      write in this directory.
    * Documentation.html: document the TempDir creation and PHP safe mode
      issues with PEAR

2004-07-05 Marc Delisle  <lem9@users.sourceforge.net>
    * footer.inc.php, index.php, queryframe.php: bug 981939, database
      selection in left frame under Opera, and problems with dropdown
      in left frame when many databases are there (original theme),
      thanks to Michael Keck
    * header.inc.php: bug 965594: spaces after colons, and remove old code
    * libraries/sqlparser.lib.php: bug 983992, error in search mode because
      MySQL 4.0.18+ has changed the way to report the foreign key references
      when the foreign key is in a different db

2004-07-02 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: put Create button on the same line as the input field

2004-07-01 Michal Čihař  <michal@cihar.com>
    * lang/czech: Updated.

2004-07-01 Marc Delisle  <lem9@users.sourceforge.net>
    * queryframe.php: improve XHTML
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    * lang/dutch: Update thanks to Ivo Teel - calimonk.

2004-06-30 Marc Delisle  <lem9@users.sourceforge.net>
    * left.php: fix against security alert, thanks to Garvin
    * Documentation.html: FAQ 8.2 for security alert
    * config.inc.php, lang/*, libraries/display_export.lib.php,
      libraries/config_import.lib.php, libraries/common.lib.php,
      libraries/export/sql.php: bug 981359: now the hexadecimal encoding
      of binary fields is optional, because there are fields marked binary
      that have text contents, like mysql.user
    ### 2.5.7-pl1 released

2004-06-30 Alexander M. Turek  <me@derrabus.de>
    * libraries/common.lib.php: Fix against $_REQUEST['cfg'] exploits.

2004-06-29 Michal Čihař  <michal@cihar.com>
    * lang/check_lang.sh: Checks for diffstat presence.

2004-06-28 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/slovak: Updated, thanks to Lubos Klokner (erkac)
    ### 2.6.0-beta2 released


2004-06-27 Michal Čihař  <michal@cihar.com>
    * lang/*: Make all export choices look simmilar ('drop table' -> DROP
      TABLE), removed unused strings (there vere MANY!), fixed some czech
      texts.
    * scripts/find_unused_messages.sh: New script to find unused messages in
      translations.

2004-06-27 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_query_box.php: bug #975382, fields list on a non-existing table

2004-06-27 Alexander M. Turek  <rabus@users.sourceforge.net>
    * libraries/dbi/mysql.dbi.lib.php: bug #980594.

2004-06-26 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/hungarian: updates, thanks to Peter Bakondy

2004-06-25 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    * main.php: js error when switching theme, thanks to Michael Keck

2004-06-25 Michal Čihař  <michal@cihar.com>
    * main.php, libraries/select_lang.lib.php: Remember selected charset in
      cookie.
    * libraries/display_export.lib.php: Add back key checking disabling.
    * libraries/export/sql.php: Brand new CREATE query rewriter from LinuxTag,
      fixes bug #979635.
    * read_dump.php: Lets handle better comments, current detection still
      doesn't work with comments inside checked SQL commands, but I thing
      checking these would be overhead (bug #978114).

2004-06-25 Alexander M. Turek  <rabus@users.sourceforge.net>
    * queryframe.php: Undefined index errors.
    * footer.inc.php: bug #979610.
    * server_privileges.php: bug #979596 (granting privileges doesn't take
      wildcards in account).
    * lang/catalan-*.inc.php: Updates, thanks to Xavier Navarro (xavin).
    * lang/german-*.inc.php: Updates.

2004-06-24 Marc Delisle  <lem9@users.sourceforge.net>
    * left.php, config.inc.php, Documentation.html,
      libraries/config_import.lib.php + common.lib.php, all colors.inc.php:
      $cfg['LeftPointerEnable']
    * db_details_structure.php, server_variables.php,
      tbl_properties_structure.php, config.inc.php, Documentation.html,
      libraries/config_import.lib.php + common.lib.php + display_tbl.lib.php,
      all colors.inc.php:
      $cfg['BrowsePointerEnable']
    * db_details_structure.php, tbl_properties_structure.php, config.inc.php,
      Documentation.html, all colors.inc.php,
      libraries/config_import.lib.php + common.lib.php + display_tbl.lib.php:
      $cfg['BrowseMarkerEnable']
    * themes/.../img/logo_left.png + logo_right.png: new logo,
      thanks to Michael Keck (mkkeck)
    * index.php: compute queryframe_height from image size, thanks to
      Michael Keck
    * footer.inc.php: sync left frame when choosing a db from server_databases,
      thanks to Michael Keck
    * export.php: no longer auto-select the textarea containing exported data
    * queryframe.php: bug #977790, missing library,
      thanks to Anthony Parsons (anthony.parsons at manx.net)
    * footer.inc.php: sync left-frame dropdown for databases when the
      number of tables changes, thanks to Michael Keck
    * lang/bulgarian:  Updated, thanks to Stanislav Yordanov (stanprog).
    * lang/indonesian: Update thanks to Rachim Tamsjadi - tamsy.
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    ### 2.6.0-beta1 released

2004-06-24 Alexander M. Turek  <me@derrabus.de>
    * libraries/dbi/mysqli.dbi.php: Undefined variable if PMA_DBI_getError() is
      called although no error occured.

2004-06-24 Michal Čihař  <michal@cihar.com>
    * main.php, changelog.php: Add headers to ChangeLog display.
    * scripts/create_tables.sql: Add IF EXISTS.
    * libraries/read_dump.lib.php: Ignore comments for SQL splitting,
      otherwise unmatched quotes cause problems (bug #978113).
    * libraries/common.lib.php: Use read_dump.php instead of sql.php for
      links, otherwise we'll fail on commas.
    * read_dump.php, libraries/read_dump.lib.php: Show last SELECT result also
      when there are comments behind last query.

2004-06-23 Marc Delisle  <lem9@users.sourceforge.net>
    * many files: remove references to older /images, and
      erase /images contents

2004-06-22 Marc Delisle  <lem9@users.sourceforge.net>
    * config.inc.php, themes/.../colors.inc.php: remove color-related
      parameters from config.inc.php, and non-color-related from colors.inc.php
    * config.inc.php, libraries/common.lib.php, libraries/config_import.lib.php:
      missing parameter for the Refresh link feature

2004-06-22 Michal Čihař  <michal@cihar.com>
    * libraries/relation.lib.php: Fix possible error on non existant pma db.

2004-06-20 Marc Delisle  <lem9@users.sourceforge.net>
    * themes.php: use standard headers. A iso-8859-1 charset was hardcoded
      in this script, but it's better to use libraries/header_http.inc.php

2004-06-18 Marc Delisle  <lem9@users.sourceforge.net>
    * themes/original/img/item*.png, themes/original/css/theme_right.css.php,
      libraries/common.lib.php, libraries/display_export.lib.php,
      db_details_structure.php, tbl_select.php:
      fix IE font size problem, redesign search and export pages,
      thanks to Michael Keck (mkkeck)
    * libraries/string.lib.php: bug #975290, wrong internal encoding
      for hebrew, thanks to Moshe Bergman (moshe_be)

2004-06-17 Alexander M. Turek  <me@derrabus.de>
    * libraries/dbi/mysql.dbi.php: Removed debug code.
    * libraries/dbi/mysqli.dbi.php: If connecting fails, we don't know the
      MySQL version.

2004-06-17 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: fix "original" theme colors
    * db_details_structure.php: cosmetic fix in error message
    * tbl_properties_structure.php, tbl_relation.php:
      enable Relation view for InnoDB, even if the internal
      relational infrastructure is not available
    * libraries/common.lib.php: undefined $unparsed_sql when fmtType=='none'
    * config.inc.php: clarify MainPageIconic comments

2004-06-16 Marc Delisle  <lem9@users.sourceforge.net>
    Changes, thanks to Michael Keck (mkkeck):
    * libraries/auth/config.auth.lib.php +  http.auth.lib.php:
      style for error messages
    * main.php, themes.php, libraries/select_theme.lib.php,
      css/phpmyadmin.css.php, themes/original/img + css:
      put original theme under the same structure as darkblue_orange

2004-06-16 Michal Čihař  <michal@cihar.com>
    * header.inc.php: Use rather _SERVER than GLOBALS, should fix bug #973602.

2004-06-15 Marc Delisle  <lem9@users.sourceforge.net>
    * queryframe.php: undefined $cfgRelation, thanks to Michael Keck (mkkeck)
    * export.php, sql.php, db_details_importdocsql.php, ldi_check.php,
      tbl_replace.php, libraries/common.lib.php,
      libraries/transformations.lib.php: new function PMA_securePATH()
    * main.php, tbl_properties_structure.php: theme "none" should be "original",
      thanks to Michael Keck (mkkeck)
    * left.php, tbl_properties.inc.php, librairies/common.lib.php:
      missing title tags

2004-06-15 Michal Čihař  <michal@cihar.com>
    * lang/czech: Updated.
    * config.inc.php, libraries/config_import.lib.php,
      libraries/common.lib.php: Support for SHA1 function (RFE #971703).
    * queryframe.php: Do not show <hr /> when no logo is shown.
    * main.php: Generate hidden inputs nicely.
    * main.php, libraries/common.lib.php, libraries/select_theme.lib.php: Use
      pma_theme as cookie name, default theme to some reasonable value to
      avoid undefined variables all around the code.
    * main.php, lang/*: strSelectTheme is IMHO not needed.
    * Documentation.html, config.inc.php, index.php, left.php, main.php,
      queryframe.php, libraries/config_import.lib.php,
      libraries/select_server.lib.php: Use same code for all server selection,
      possibly display server links also in right frame, show server links in
      query frame when possible.
    * libraries/display_export.lib.php: Fix broken choice switching.
    * tbl_change.php: Fix wrong path to image.
    * tbl_properties_operations.php: Define sort order for sorting tables
      (RFE #971314).
    * libraries/common.lib.php: On error show edit link with table context if
      possible.

2004-06-15 Alexander M. Turek  <me@derrabus.de>
    * libraries/config_import.lib.php: The default settings should be merged.

2004-06-14 Marc Delisle  <lem9@users.sourceforge.net>
    Changes, thanks to Michael Keck (mkkeck):
    * images/b_tblops.png, themes/darkblue_orange/img/b_tblops.png: new icon
    * both themes: new screen.png reflecting current logo
    * db_details_structure.php: improve background image in error section
    * main.php: $theme='none' no longer a possible choice
    * open.php: permits access to message strings in theme manager
    * themes/index.php: new calling
    My changes:
    * libraries/common.lib.php: proper revision check
    * libraries/select_theme.lib.php: remove unneeded counter, and fix
      undefined $PHP_SELF
    * libraries/dbi/mysql.dbi.lib.php: errors on mysql_errno() when the
      login is invalid

2004-06-13 Marc Delisle  <lem9@users.sourceforge.net>
    * many files: redesign part 3, thanks to Michael Keck (mkkeck).
      New /themes structure for Theme management
      TODO: code improvement, access to /lang from themes/index.php,
            possible logo change

2004-06-11 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).

2004-06-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/auth/config.auth.lib.php, libraries/dbi/mysql.dbi.lib.php,
      libraries/dbi/mysql.dbi.lib.php,
      lang/*: bug 968089: catch error when server is not responding
      and show an appropriate message
    * left.php: undefined variable

2004-06-09 Alexander M. Turek  <me@derrabus.de>
    ### 2.5.7 released from MAINT_2_5 branch.

2004-06-08 Michal Čihař  <michal@cihar.com>
    * config.inc.php, lang/*, libraries/common.lib.php,
      libraries/config_import.lib.php, libraries/display_export.lib.php,
      libraries/export/sql.php: Add FOREIGN_KEY_CHECKS=0 to export (RFE
      #966038).

2004-06-08 Alexander M. Turek  <me@derrabus.de>
    * libraries/common.lib.php: backwards compatibility.
    * config.inc.php: typo.

2004-06-07 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysqli.dbi.lib.php: omit last parameter when calling
      mysqli_connect() to enable the use of default socket

2004-06-07 Michal Čihař  <michal@cihar.com>
    * lang/czech: Updated.
    * libraries/charset_conversion.lib.php: Do not convert, if charsets are
      same.
    * config.inc.php, export.php, lang/*, libraries/config_import.lib.php,
      libraries/display_export.lib.php, libraries/export/xls.php,
      Documentation.html: EXPERIMENTAL native MS Excel export support, using
      PEAR module Spreadsheet_Excel_Writer (RFE #968110).
    * Documentation.html: Described older config.inc.php support (RFE
      #968177).

2004-06-07 Alexander M. Turek  <me@derrabus.de>
    * css/phpmyadmin.css.php: beautifications.
    * server_databases.php, server_privileges.php, css/phpmyadmin.css.php:
      Enabled new icons for privileges administration (patch #947190).
    * lang/*.inc.php, libraries/mysql_charsets.lib.php: The new collation page
      latin1_spanish_ci (introduced with MySQL 4.1.2) is now described
      correctly.
    * lang/german-*.inc.php: Updates.
    * scripts/create-release.sh: Create backup config file (RFE #968177).

2004-06-06 Garvin Hicking <me@supergarv.de>
    * libraries/display_tbl.lib.php, libraries/functions.js,
      css/phpmyadmin.css.php: Further fixing of broken vertical
      column highlighting; empty repeated header cells are now <th>, not
      <td>. Adjusted CSS to not change visual display of those.
    * (same files): Optimized unneccessary preg_replace.

2004-06-04 Michal Čihař  <michal@cihar.com>
    * libraries/read_dump.lib.php: Do not strip comments here.
    * libraries/sqlparser.lib.php: Handle correctly all MySQL comments (-- can
      be followed with any control char) (patch #965106).
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.

2004-06-04 Garvin Hicking <me@supergarv.de>
    * Bug #959320: Broken row highlighting in vertical
      browsing mode fixed. The pointer will now highlight
      columns as expected and unmark the row after unclicking.

2004-06-03 Alexander M. Turek  <me@derrabus.de>
    * header.inc.php: Undefined variable.

2004-06-03 Michal Čihař  <michal@cihar.com>
    * db_details_links.php, header.inc.php, server_links.inc.php,
      tbl_properties_links.php, css/phpmyadmin.css.php: Use classes for
      heading (RFE #965542).
    * libraries/common.lib.php: Add drop class also to td (RFE #946540).
    * db_details.php, db_details_structure.php, css/phpmyadmin.css.php: CSSize
      error messages.
    * header.inc.php: Remove spaces before colons (bug #965594).
    * lang/*, libraries/common.lib.php: Remove spaces from strServer,
      strDatabase (needed for above fix).
    * libraries/config_import.lib.php: Do not override
      $cfg['ShowHttpHostTitle'].
    * config.inc.php, css/phpmyadmin.css.php, libraries/config_import.lib.php:
      Can disable main page icons (bug #965550).
    * header.inc.php, css/phpmyadmin.css.php: Use span insted of div, div is
      not allowed here.
    * tbl_query_box.php: Fix default query generating.

2004-06-02 Alexander M. Turek  <happybirthdaytome@derrabus.de>
    * db_details_db_info.php, tbl_properties_tbl_info.php: Table type is called
      "Engine" in MySQL 4.1.2 (bug #964011).

2004-05-31 Marc Delisle  <lem9@users.sourceforge.net>
    * header.inc.php: bug #963414, when PropertiesIconic was false,
      the code did not define the icon variables. Also, remove hardcoded
      'Server' string
    * pdf_schema.php: bug #915735, dictionary cropped in landscape letter

2004-05-30 Michal Čihař  <michal@cihar.com>
    * libraries/display_tbl.lib.php: Return back to browsing after editing
      row.

2004-05-29 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php: bug #956828, deleting last row gives an error. I could not
      find a case where we need the line I just removed, which was
      causing the bug.
    * tbl_properties.inc.php: missing statement group {}, was causing
      the display of part of the changing amount of columns dialog
      when editing a field structure

2004-05-28 Michal Čihař  <michal@cihar.com>
    * libraries/display_tbl.lib.php: Decrease limit for query truncating (see
      comments in bug #951744).
    * Documentation.html, config.inc.php, tbl_query_box.php: Default query can
      contain field names (RFE #948590, patch #961726).

2004-05-26 Michal Čihař  <michal@cihar.com>
    * lang/norwegian: Update, thanks to Sven-Erik Andersen - sven-erik.
    * lang/estonian: Update thanks to Alvar Soome - finsoft.
    * lang/indonesian: Update thanks to Rachim Tamsjadi - tamsy.
    * lang/dutch: Update thanks to Ivo Teel - calimonk.
    * lang/german-utf-8: Remove duplicated string.
    * lang/*: Remove allow_recoding from non utf-8 translations.
    * tbl_properties.inc.php, tbl_properties_operations.php: PMA_DBI_num_rows
      is not needed and does not work with MYSQL_USE_RESULT (bug #952162).

2004-05-26 Alexander M. Turek  <me@derrabus.de>
    * translators.html: Linked to Indonesian translator's SF page instead of
      his email address.

2004-05-25 Michal Čihař  <michal@cihar.com>
    * main.php, libraries/select_lang.lib.php: Use pma_lang cookie instead of
      just lang.
    * libraries/select_lang.lib.php: Fix language dialects detection (based on
      patch #958994).

2004-05-23 Garvin Hicking <pma@supergarv.de>
    * db_details.php: Fixed broken file upload since redesign-patch.

2004-05-20 Michal Čihař  <michal@cihar.com>
    * many files: Little code reorganistaion (RFE #957308), removed some
      remaining php3 compatibility code in SQL parser.

2004-05-20 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_schema.php: set contents page (first page)'s orientation
      to the same asked for the data dictionary

2004-05-19 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_select.php: bug 956137, undefined $data: on the search page,
      PMA_foreignDropdown() must be called with no current value for
      the data

2004-05-19 Michal Čihař  <michal@cihar.com>
    * libraries/auth/cookie.auth.lib.php: Show login form in top frame.

2004-05-16 Alexander M. Turek  <me@derrabus.de>
    * db_details.php, db_details_structure.php, sql.php, tbl_indexes.php,
      tbl_properties_structure.php, tbl_query_box.php,
      images/b_dbstatistics.png, images/b_tbloptimize.png,
      images/b_useradd.png, images/b_usercheck.png, images/b_userdrop.png,
      images/b_useredit, libraries/display_tbl.lib.php,
      libraries/display_tbl_links.lib.php:
      Patch #947190 (Redesign) - Part 2, thanks to Michael Keck (mkkeck).
    * libraries/functions.js: Bugfix for (un)check all features if
      $cfg['ModifyAtLeft'] and $cfg['ModifyAtRight'] are enabled both, thanks
      to Michael Keck (mkkeck).
    * Documentation.html: Let's use a hyperlink instead of referring to the
      chapter, as the chaper numbers might change.

2004-05-14 Michal Čihař  <michal@cihar.com>
    * libraries/auth/cookie.auth.lib.php: Use one cookie set for each server,
      not just one global (patch #952917, bug #687009).

2004-05-13 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php: Minor optimalisations.
    * sql.php, tbl_replace.php, libraries/display_tbl.lib.php: Use same code
      for generating INSERT and UPDATE queries (also fixes bug #953250).
    * tbl_replace_fields.php: When field is not set, it is not set :-) (bug
      #953295).
    * tbl_change.php: Repeat Go button every 15 rows globally and not per
      record.
    * tbl_change.php, libraries/tbl_change.js: Uncheck Ignore checkbox for
      inserting when multiple inserts after changing value (RFE #749733).
    * header.inc.php: Simplified title generating.
    * lang/czech: Fixed untranslated word (translation #952551).
    * scripts/create_tables.sql: Cleaned up description, regenerated dump.
    * tbl_row_delete.php: Highlight correct tab for multi row editing/export.
    * tbl_properties_export.php: Generate better query for multi row export.
    * tbl_row_delete.php, lang/*: Handle situation, where user didn't select
      anything, display DROP query on better place (bellow tabs).
    * libraries/common.lib.php: Show refresh link only for SELECT and SHOW
      queries.
    * main.php, css/phpmyadmin.css.php: Let's get rid of some tables.
    * libraries/sqlparser.lib.php, lang/*: Report syntax error when there is
      a broken comment (bug #905066).
    * db_details_structure.php: Fixed colspan.
    * tbl_properties_table_info.php: Do not fail on broken table.

2004-05-12 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php: bug #951143, undefined $header_url_qry

2004-05-11 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_replace.php, tbl_indexes.php, sql.php, db_details_common.php,
      libraries/db_table_exists.php: use PMA_sendHeaderLocation()

2004-05-11 Michal Čihař  <michal@cihar.com>
    * libraries/sqlparser.lib.php: Modified pretty printer to display nicer
      queries generated by our db search.
    * db_search.php: Do not generate search query to include all fields, just
      SELECT * is enough.
    * libraries/display_tbl.lib.php: Use shorter query for edit/delete if
      original one is too long (bug #951744).

2004-05-10 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).
    * left.php: commit for Garvin: fix for wrong group expanding (group
      name containing foreign characters)

2004-05-10 Michal Čihař  <michal@cihar.com>
    * libraries/dbi/mysql.dbi.lib.php: Fix PMA_DBI_field_name, fixes also bug
      #951226.

2004-05-10 Garvin Hicking <pma@supergarv.de>
    * db_details_structure.php, tbl_properties_structure.php: Fixed
      row-selection Javascript for Internet Explorer.

2004-05-09 Garvin Hicking <pma@supergarv.de>
    * main.php, css/phpmyadmin.css.php: Corrected <form> position
      to XHTML compliance. Introduced "nospace" class.

2004-05-09 Michal Čihař  <michal@cihar.com>
    * lang/czech: Updated.
    * tbl_properties_operations.php: Fixed documentation link.

2004-05-09 Alexander M. Turek  <me@derrabus.de>
    * db_datadict.php: Patch #950726 (minor CSS fixes) thanks to
      Adam Shantz (musus).
    * lang/german-*.inc.php: Updates.
    * db_details_structure.php, main.php:
      - coding standards;
      - removed debug code.

2004-05-09 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_operations.php, lang/*: InnoDB table defragmentation

2004-05-08 Alexander M. Turek  <me@derrabus.de>
    * config.inc.php, db_details_structure.php, Documentation.html,
      header.inc.php, left.php, main.php, images/*, libraries/common.lib.php,
      libraries/config_import.lib.php:
      Patch #947190 (Redesign) - Part 1, thanks to Michael Keck (mkkeck).

2004-05-07 Alexander M. Turek  <me@derrabus.de>
    * calendar.php: Added missing CVS-ID-Tag.

2004-05-07 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.6.0-alpha2 released

2004-05-07 Garvin Hicking <pma@supergarv.de>
    * db_details_db_info.php: When $cfg['ShowTooltipAliasTB'] is set to
      'nested', the displayed table names should always be the real names,
      not the table comments.
    * libraries/display_tbl.lib.php, libraries/display_tbl_links.lib.php,
      librarries/functions.js: RFE #856208 - Show (un)check all boxes
      for query results.
    * tbl_create.php, tbl_addfield.php, tbl_properties.inc.php:
      RFE #949594 - Allow changing amount of columns for adding fields/
      creating table (without losing previous data)

2004-05-07 Alexander M. Turek  <me@derrabus.de>
    * README: Updated copyright as discussed a couple of days ago.

2004-05-06 Garvin Hicking <pma@supergarv.de>
    * libraries/display_tbl.lib.php: Bug #949087 - Fixed JS error for
      mousepointer hovering on rows w/o checkboxes.

2004-05-05 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_select.php: patch #939197, new choice of operator LIKE %...%
      because this syntax is so often used, thanks to Ruben Barkow (rubo77)

2004-05-05 Garvin Hicking <pma@supergarv.de>
    * db_details_db_info.php, db_details_structure.php, left.php: Speed
      up table fetching when using $cfg['ShowTooltips']. Allow to only
      see the grouped/nested tables in properties panel when clicking on
      a table group on the left frame.
    * db_details_structure.php: If JS is enabled, take away <label> link
      functionality because of onmousedown-handler duplicating this
      effect.
    * tbl_properties_structure.php: RFE #947467 - coloured mousecursor
      for column overview.

2004-05-05 Michal Cihar  <michal@cihar.com>
    * config.inc.php, tbl_change.php, tbl_replace.php,
      libraries/common.lib.php, libraries/config_import.lib.php: Support for
      insert multiple rows at once (RFE #749733).
    * scripts/extchg.sh, scripts/inno2pma.sh: Removed unneeded scripts.

2004-05-04 Michal Cihar  <michal@cihar.com>
    * libraries/sqlparser.data.php: Add ENGINE to reserved words (used instead
      of TYPE in MySQL 4.1.1).
    * libraries/export/sql.php: Fix handling of multi column foreign keys (bug
      #946861).

2004-05-04 Garvin Hicking <pma@supergarv.de>
    * db_details_structure.php: RFE #947467 - Made coloured Mousecursor
      available in tables overview, clicking on a cell in the table
      selects the checkbox next to it.
    * Documentation.html, config.inc.php, left.php: Use NaturalOrder
      for Non-Light left frame. Introduce new option 'nested' for
      $cfg['ShowTooltipAliasTB']. With this set Aliases are used for
      virtual nested grouping, but for the tablename itself the tablename
      will be show, not the Alias.

2004-05-03 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Clarification.

2004-05-03 Michal Cihar  <michal@cihar.com>
    * querywindow.php: Fix javascript error (bug #946823).
    * tbl_query_box.php: Stray <li> (bug #946530).
    * querywindow.php, tbl_query_box.php: A bit more XHTML validity.
    * css/phpmyadmin.css.php, libraries/common.lib.php: Make tabs CSS styled
      (RFE #946540).
    * db_details.php, tbl_change.php, tbl_query_box.php,
      css/phpmyadmin.css.php: Get rid of wrap="virtual" to achieve more XHTML
      validity.
    * libraries/common.lib.php, lang/*: Add Refresh link (RFE #942110).
    * sql.php, libraries/display_tbl.lib.php: Export only SELECT queries, do
      not show multi row actions when no checkboxes shown.

2004-05-03 Garvin Hicking <pma@supergarv.de>
    * lang/german* - Translation
    * left.php: Bug #946501 - Nested table now also work with aliased
      tablenames.
    * config.inc.php, libraries/config_import.lib.php, querywindow.php,
      footer.inc.php, Documentation.html: Removed obsolete
      QueryFrameDebug configuration directive
    * tbl_row_delete.php: Multi Row edit/delete: Fixed wrong switch
      structure to take previous settings into account.

2004-05-02 Michal Cihar  <michal@cihar.com>
    * tbl_change.php: Unclosed tag written by javascript (bug #945905).

2004-04-30 Michal Cihar  <michal@cihar.com>
    * libraries/auth/cookie.auth.lib.php: Do not double frames on login (bug
      #944870).

2004-04-29 Garvin Hicking <pma@supergarv.de>
    * db_details_structure.php: Bug #942362 - Colspan off by one
    * left.php: Modified js function to fit typecasting of Safari
    * browse_foreigners.php: Bug #928328 - Use correct urlencoding() of
      the primary key reference.

2004-04-29 Marc Delisle  <lem9@users.sourceforge.net>
    * scripts/create-release.sh: keep only one previous version in cvs-prev
    * lang/estonian: Updated, thanks to Alvar Soome (finsoft).
    * lang/norwegian:  Updated, thanks to Sven-Erik Andersen (sven-erik).
    * lang/slovak: Updated, thanks to Lubos Klokner (erkac).
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    * lang/slovenian update, thanks to Kositer Uros
    * libraries/common.lib.php: patch #859034, better BLOB comparison

2004-04-29 Michal Cihar  <michal@cihar.com>
    * libraries/display_tbl.lib.php, libraries/sqlparser.lib.php,
      libraries/string.lib.php, libraries/dbi/mysql.dbi.lib.php: SQL parser
      now correctly works with multibyte strings (bug #936161).
    * libraries/dbi/mysql.dbi.lib.php: Do not break TEXT fields (bug #860160).
    * libraries/display_tbl.lib.php: Show if BLOB is null (RFE #941528).
    * tbl_properties_structure.php: Forgotten </nobr> -> </div>.
    * libraries/display_tbl.lib.php: Fixed class="nobr" -> class="nowrap".

2004-04-28 Michal Cihar  <michal@cihar.com>
    * css/phpmyadmin.css.php: Force <button> to be displayed inline.
    * libraries/common.lib.php: When only_db matches no database, do not show
      any (bug #943626).
    * css/phpmyadmin.css.php: Not .nowrap, but div.nowrap should have zero
      margin/padding.
    * server_privileges.php: No ugly message when editing privileges for
      non-existant database (bug #942357).

2004-04-28 Garvin Hicking <pma@supergarv.de>
    * left.php, main.php, server_databases.php, common.lib.php,
      db_details_common.php: Bug #942296 - Safari can't handle
      location.replace() redirects correctly
    * libraries/tbl_change.js: Restrict calendar to maximum values for
      days/hours/minutes/seconds.
    * tbl_change.php: Bug #913600 - Made tabindex/id of multi-edit table
      unique.
    * left.php, libraries/left.js: Fixed unneeded spacing between items
      and wrong collapsing in nested mode (Bug #943140). Removed
      some debugging non-xhtml tags.
    * css/phpmyadmin.css.php: Added zero margin/padding to nowrap element
      for compatibility to the good old nobr-tag

2004-04-27 Michal Cihar  <michal@cihar.com>
    * calendar.php, libraries/tbl_change.js: Don't reset clock when moving in
      calendar.
    * Almost everything: Be valid XHTML 1.0 (probably still not completely),
      lists items now have padding, so no more magins and <br />'s inside of
      them are needed.
    * main.php, css/phpmyadmin.css.php: Main page now uses lists instead of
      nested tables.
    * libraries/display_tbl.lib.php: Sort query generating now uses parsed
      query (bug #885497).

2004-04-27 Garvin Hicking <pma@supergarv.de>
    * libraries/display_tbl.lib.php: Bug #942392 - Wrapping sort order
      link in a way that the image always belongs to the last word
    * libraries/display_tbl.lib.php: RFE #867284 - Click on result row
      to mark the checkbox.
    * tbl_select.php: RFE #940194 - Add REGEXP to table search options
    * read_dump.php: Bug #925913 - Uploading with UploadDir/open_basedir
      fails.
    * querywindow.php: Bug #942395 - Missing space
    * libraries/display_tbl.lib.php: Bug #942362 - Colspan of results
      table off by one.
    * db_datadict.php: Bug #942359 - Data dictionary had wrong <div>-
      count. Replace h1 with h2 for consitency
    * libraries/display_tbl.lib.php, tbl_row_delete: Bug #942356,
      missing localization for multi-row edit/delete/export feature.
    * footer.inc.php: Fixed bug #942316 - Consistent window layout for
      query window.
    * left.php: Fixed bug #942374 - Undefined indizes in left frame
      for light mode. Improved performance. Fixed tab-formatted code and
      adjusted to coding guidelines.
    * read_dump.php: Fixed bug #942390 - When entering a "USE database"
      query together with multiple other queries, the db was reset to
      the first one.

2004-04-26 Marc Delisle  <lem9@users.sourceforge.net>
    * config.inc.php, left.php, Documentation.html,
      libraries/config_import.lib.php, libraries/common.lib.php:
      $cfg['LeftDisplayServersList'] to display the server choice as links,
      thanks to Cal Henderson

2004-04-26 Michal Cihar  <michal@cihar.com>
    * libraries/string.lib.php: mb_* functions don't know some windows-*
      charsets (bug #940638).
    * tbl_indexes.php: Remove print_r (bug #942383).

2004-04-22 Michal Cihar  <michal@cihar.com>
    * libraries/export/sql.php: Invalid SQL on empty table export (bug
      #939918).

2004-04-21 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.6.0-alpha1 released
    * (after the release) user_password.php: undefined offset in blowfish.php

2004-04-20 Alexander M. Turek  <me@derrabus.de>
    * Documentation.html, README:
      - The MySQL 4.1 support is not experimental anymore;
      - Updated credits.
    * server_privileges.php: Fixed an error that occured when trying to add
      privileges to non-existant tables.

2004-04-20 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/tbl_change.js: was always returning current day

2004-04-20 Michal Cihar  <michal@cihar.com>
    * libraries/tbl_change.js, css/phpmyadmin.css.php: Added time editing to
      calendar.

2004-04-19 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Clarification.
    * config.inc.php, Documentation.html, libraries/config_import.lib.php:
      Updated path to MySQL's searchable online documentation.
    * ChangeLog: Recoded to UTF-8.
    * server_privileges.php: Illegal mix of collations.
    * libraries/dbi/*.dbi.lib.php: Don't touch character_set_connection
      (bug #902414). This should fix many "Illegal mix of collations" errors.

2004-04-19 Marcel Tschopp  <ne0x@users.sourceforge.net>
    * libraries/export/sql.php, libraries/export/latex.php: Fixed a few
      mysqli-specific export-bugs

2004-04-19 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php: bug 780516: capitalizing keywords: we no longer
      put the formatted query into $sql_query, due to better pattern matching

2004-04-19 Michal Cihar  <michal@cihar.com>
    * libraries/tbl_change.js: Better return value formatting.
    * Documentation.html: Mentioned header and footer customization.

2004-04-18 Michal Cihar  <michal@cihar.com>
    * libraries/tbl_change.js: Fixed calendar behaviour for DATE fields.
    * libraries/auth/cookie.auth.lib.php: Fix LoginCookieValidity behaviour.
    * libraries/tbl_change.js, tbl_change.php: Add support for DATETIME.

2004-04-18 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Updates.
    * server_privileges.php:
      - $url_query was not visible in function scope;
      - Hotfix to avoid "MySQL out of sync" errors.
    * libraries/dbi/*.dbi.lib.php: Allow the $link argument of
      PMA_DBI_affected_rows() to be left out.

2004-04-17 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysql.dbi.lib.php: was still using PMA_mysql_field_flags

2004-04-17 Alexander M. Turek  <me@derrabus.de>
    * db_create.php, db_details_structure.php, db_details_common.php, main.php,
      tbl_alter.php, tbl_create.php, tbl_properties.inc.php,
      tbl_properties_operations.php, tbl_properties_structure.php,
      tbl_properties_table_info.php, libraries/mysql_charsets.lib.php:
      Added ability to set / alter collations for databases, tables and fields.
    * tbl_alter.php: Charset information got lost when changing fields.
    * libraries/common.lib.php, libraries/mysql_wrappers.lib.php:
      Removed mysql_wrappers library.

2004-04-16 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/french update
    * scripts/create-release.sh: daily snapshots

2004-04-16 Michal Cihar  <michal@cihar.com>
    * libraries/common.lib.php, libraries/export/sql.php: ANSI compatible
      exports (RFE #859815).
    * images/button_export.png: At least some export icon.
    * libraries/display_tbl.lib.php: Fix image sizes.
    * calendar.php, tbl_change.php, css/phpmyadmin.css.php,
      images/button_calendar.png, libraries/tbl_change.js, lang/*: Pop-up
      calendar for date fields (RFE #880647).

2004-04-15 Marc Delisle  <lem9@users.sourceforge.net>
    * ldi_table.php: allow longer field terminator (was 2 now 4);
      for example, to load a file where each line represents one field
      and the end of line is \r\n

2004-04-15 Michal Cihar  <michal@cihar.com>
    * tbl_properties_export.php, tbl_row_delete.php,
      libraries/display_tbl.lib.php: Support for exporting selected rows (RFE
      #927554).
    * libraries/auth/cookie.auth.lib.php: Fix possible undefined variable use.
    * libraries/display_tbl.lib.php: Convert charset for column fields (thanks
      to Marc for noticing this).

2004-04-15 Olivier Mueller <om@omnis.ch>
    * left.php: RFE #859208, Logout button in left frame

2004-04-14 Michal Cihar  <michal@cihar.com>
    * lang/czech: Updated.
    * tbl_select.php: Fixed undefined variable warning.
    * libraries/common.lib.php, libraries/display_tbl.lib.php,
      libraries/export/sql.php: Really support export of UPDATE queries (bug
      #914237), condition generation used from previous implementation in
      display_tbl.lib.php and moved to common.lib.php.
    * config.inc.php, export.php, lang/*, libraries/common.lib.php,
      libraries/config_import.lib.php, libraries/display_export.lib.php,
      libraries/export/*: Support for enclosing SQL export in transaction (RFE
      #930827).
    * libraries/export/csv.php: Do not strip export too much (bug #913988).
    * libraries/export/xml.php: Use PMA_DBI_fetch_row and drop PHP 3
      compatibility code.

2004-04-13 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php: bug 930445 when PMA_table_info not defined,
      thanks to Philippe Jausions (jausions)
    * Documentation.html: new faq links and cleanup, thanks to Cédric Corazza
    * tbl_replace.php, libraries/defines.lib.php, /common.lib.php:
      bug 898484, IIS crash: do not use header('Location: ')

2004-04-12 Marcel Tschopp <marcel.tschopp@gmx.net>
    * left.php, tbl_properties_structure.php, libraries/mysql_charsets.lib.php,
      libraries/relation.lib.php: Changed some queries to use
      MYSQLI_STORE_RESULT.

2004-04-10 Marcel Tschopp <marcel.tschopp@gmx.net>
    * db_datadict.php, db_details_db_info.php, db_details_qbe.php,
      db_details_structure.php, db_printview.php, left.php, main.php,
      pdf_pages.php, read_dump.php, server_privileges.php, sql.php,
      tbl_change.php, tbl_indexes.php, tbl_properties_structure.php,
      tbl_relation.php, tbl_select.php, libraries/database_interface.lib.php,
      libraries/db_table_exists.lib.php, libraries/mysql_charsets.lib.php,
      libraries/relation.lib.php, libraries/dbi/mysqli.dbi.lib.php:
      Changed some queries to use MYSQLI_STORE_RESULT. phpMyAdmin now works
      with MYSQLI_USE_RESULT as default.
    * libraries/display_tbl.lib.php: Use PMA_DBI_fetch_row instead of
      PMA_DBI_fetch_array.

2004-04-07 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_select.php, lang/*: feature 788608: new features for Search:
      DISTINCT, IS NULL, IS NOT NULL, NOT LIKE, multiple select for ENUM,
      and column title is now Operator, thanks to Philippe Jausions (jausions)

2004-04-08 Marcel Tschopp <marcel.tschopp@gmx.net>
    * phpinfo.php, tbl_relation.php, libraries/display_tbl.lib.php
      libraries/mysql_wrappers.lib.php, libraries/dbi/mysql.dbi.lib.php
      libraries/dbi/mysqli.dbi.lib.php, libraries/export/*.php:
      phpMyAdmin should now be fully compatible with the new mysqli
      extension. All extension specific functions are wrapped now.
    * libraries/dbi/mysqli.dbi.lib.php: code optimizations
    * tbl_replace.php: bug 926986, "multi-edit: updates completely ignored",
      thanks to Wandering Zombie (wanderingzombie).

2004-04-07 Marcel Tschopp <marcel.tschopp@gmx.net>
    * multi_submits.inc.php, lang/german: bug 930714, wrong spelling and
      query display. Thanks to Daniel Marschall (blackdrake)

2004-04-07 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php, bug 931034, big numbers data entry,
      thanks to Dmitry (yrtimd)
    * tbl_row_delete.php, libraries/display_tbl.lib.php: bug 921939,
      problem with multi-row delete and quotes in WHERE clause,
      thanks to Ryan Schmidt (ryandesign)

2004-04-06 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php, complete the fix for bug 922054

2004-04-04 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/polish: Updated, thanks to Jakub Wilk (ubanus).
    * lang/norwegian:  Updated, thanks to Sven-Erik Andersen (sven-erik).
    * lang/malay: updated, thanks to nobody
    * lang/lithuanian: Updated, thanks to Vilius Zigmantas (viliusz).

2004-04-03 Olivier Mueller <om@omnis.ch>
    * server_privileges.php, libraries/server_privileges.js: added
      (un)checkall links to the "Global privileges" edition form.
      Todo: make it work even if JS is disabled + local links
      for the "Data" and "Structure" checkboxes groups.

2004-04-02 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Fixed a typo.

2004-04-01 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: bug 922054, when there is no control user, the detection
      of the grants does not take into account all cases;
      thanks to Thomas ( jacob@internet24.de)

2004-03-30 Michal Cihar  <michal@cihar.com>
    * tbl_indexes.php: Use properly $cfg['PropertiesIconic']  (bug #918072).

2004-03-29 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: bug 923171, password error when copying a user
    * server_privileges.php: bug 923227, copying a user with table privs

2004-03-26 Marc Delisle  <lem9@users.sourceforge.net>
    * left.php, db_details_structure.php, config.inc.php, Documentation.html,
      libraries/common.lib.php, libraries/config_import.lib.php:
      Sort database and table names in natural order,
      thanks to Hoo Jia Xiong (hoojx)

2004-03-25 Marcel Tschopp <marcel.tschopp@gmx.net>
    * libraries/display_tpl.lib.php, mysqli.dbi.lib.php:
      Mysql4.1 specific fix in function PMA_displayTableBody() (character set
      conversions).

2004-03-25 Marcel Tschopp <marcel.tschopp@gmx.net>
    * tbl_change.php, libraries/dbi/mysql.inc.php, libraries/dbi/mysqli.inc.php:
      Added wrapping function PMA_DBI_field_len.
    * libraries/dbi/mysqli.inc.php: Set default value '' for parameter $link
      from function PMA_DBI_insert_id().

2004-03-25 Michal Cihar  <michal@cihar.com>
    * libraries/bookmark.lib.php: Fix errors when bookmarktable does not
      exists (bug #922509).
    * lang/sync_lang.sh: I switched to utf-8 so default for czech is utf-8.
    * lang/czech: Fixed typos and improved some texts.

2004-03-24 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug 922553, wrong boundary check in
      PMA_flipstring(), thanks to Virgile Petit (pvtc)

2004-03-24 Michal Cihar  <michal@cihar.com>
    * lang/*: Added missing "$strConnectionError" (bug #922006).

2004-03-23 Olivier Mueller <om@omnis.ch>
    * libraries/mysql_wrappers.lib.php: added mysqli support to the
      PMA_mysql_field_flags function because mysqli does not know the function
      mysqli_field_flags (submitted by Marcel Tschopp - aka 'ne0x' on SF).
    * libraries/dbi/mysqli.dbi.lib.php: changed default query mode from
      MYSQLI_USE_RESULT to MYSQLI_STORE_RESULT in the
      PMA_DBI_try_query function (ne0x)
    * libraries/dbi/mysql.dbi.lib.php, libraries/dbi/mysqli.dbi.lib.php:
      Added wrapping function PMA_DBI_fetch_array() (ne0x)
    * libraries/display_tbl.lib.php: PMA_displayTableBody() function now uses
      the new PMA_DBI_fetch_array() function instead of
      PMA_mysql_fetch_array() (ne0x)

2004-03-22 Michal Cihar  <michal@cihar.com>
    * libraries/auth/config.auth.lib.php: Set correct variable to avoid
      attempting sending headers twice.

2004-03-22 Garvin Hicking <pma@supergarv.de>
    * lang/german-*: Update

2004-03-18 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/romanian: Updated, thanks to Valics Lehel.
    * libraries/common.lib.php: bug 913704, delete link in db search
    * libraries/sqlparser.lib.php: bug 906551, GRANT...TO: another case

2004-03-13 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php: bug 913630: did not detect correctly DELETE FROM table
      and even if detected, was calling a non-existent PMA_DBI_result()

2004-03-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php: bug 877359, no CONSTRAINT in
      SHOW CREATE TABLE on older MySQL versions

2004-03-10 Michal Cihar  <michal@cihar.com>
    * export.php: Correctly report error when export fails.
    * libraries/database_interface.lib.php, libraries/dbi/mysql.dbi.lib.php,
      libraries/dbi/mysqli.dbi.lib.php: Support for unbuffered queries -
      PMA_DBI_QUERY_UNBUFFERED and fix support of PMA_DBI_QUERY_STORE.
    * libraries/export/*.php: Use unbuffered queries (patch #890075).
    * libraries/export/sql.php, libraries/display_export.lib.php, lang/*,
      config.inc.php, libraries/common.lib.php,
      libraries/config_import.lib.php: Add support for INSERT IGNORE and
      UPDATE IGNORE.
    * config.inc.php, lang/*, libraries/common.lib.php,
      libraries/config_import.lib.php, libraries/display_export.lib.php,
      libraries/export/sql.php: Add support for IF NOT EXISTS in CREATE TABLE
      export (RFE #913421).
    * lang/czech: Updated.
    * libraries/export/sql.php, lang/*: Remove some hardcoded strings.
    * tbl_change.php, tbl_replace.php, lang/*: New "Go back to this page"
      while editing.
    * db_details_structure.php, lang/*: Implement database renaming (RFE
      #792463).
    * tbl_properties_operations.php: Copy table defaults to structure and data
      (RFE #856517).

2004-03-09 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php, libraries/display*, lang/*:
      bug 887933: avoid generating a nested form, and show a warning
      when user should define a primary key to get the Edit and Delete links
    * lang/norwegian:  Updated, thanks to Sven-Erik Andersen (sven-erik).
    * lang/indonesian: Updated, thanks to Rachim Tamsjadi (tamsy).

2004-03-09 Michal Cihar  <backtowork@cihar.com>
    * libraries/dbi/mysql.dbi.lib.php: Remove possible double charset
      conversion.
    * libraries/dbi/mysql.dbi.lib.php, libraries/dbi/mysqli.dbi.lib.php: Fix
      PMA_mysql_fetch_array return value for last result (bug #905223).
    * browse_foreigners.php, libraries/common.lib.php,
      libraries/display_tbl.lib.php, libraries/relation.lib.php,
      libraries/sqlparser.lib.php, libraries/string.lib.php,
      libraries/transformations/text_plain__substr.inc.php: Use charset aware
      substr and strlen functions (bugs #854755 and #910575).
    * export.php: Fix buffer length counting, fix error detection (bug
      #909710).
    * libraries/export/latex.php: Fix undefined variable warning.
    * libraries/config_import.lib.php, libraries/common.lib.php,
      libraries/display_export.lib.php, libraries/export/sql.php, lang/*: Can
      add custom text to SQL export headers (RFE #874361).
    * config.footer.inc.php, config.header.inc.php, footer.inc.php,
      header.inc.php, libraries/auth/cookie.auth.lib.php,
      libraries/auth/http.auth.lib.php: Support for site configurable header
      and footer (patch #893477).

2004-03-05 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php: bug 909752, floating point digit
    * libraries/sqlparser.lib.php: bug 906551, GRANT...TO

2004-03-03 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php, tbl_replace_fields.php: bug 907510, invalid
      escaping of + in ENUM

2004-03-01 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.5.6 released from branch MAINT_2_5
    * libraries/common.lib.php: change Revision number to trigger execution
      of compatibility module config_import.lib.php, because cookie
      login does not work if LoginCookieValidity is not defined

2004-02-29 Alexander M. Turek  <howcanisleepwithyourvoiceinmyhead@derrabus.de>
    * tbl_select.php: Fixed bug #887505 (PMA does not add MySQL charsets to
      WHERE clauses).
    * libraries/dbi/mysql.dbi.lib.php: Yet another ungly fix concerning the
      missing mysql_get_client_info() function.

2004-02-27 Michal Cihar  <imback@cihar.com>
    * config.inc.php, libraries/config_import.lib.php,
      libraries/auth/cookie.auth.lib.php: Encrypted password is working only
      for limited (configurable) time, user name is encrypted (RFE #902295).

2004-02-26 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php: bug 905066, memory eater, thanks to xuefer

2004-02-24 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_pages.php: bug 903450, typo
    * tbl_row_delete.php: bug 878995: mult_submits.inc.php should not be
      called twice

2004-02-18 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: bug 899610, undefined variable $save_filename

2004-02-15 Alexander M. Turek  <onehotminute@derrabus.de>
    * libraries/select_lang.lib.php: Deactivated the code part that disables
      the UTF-8 language files if $cfg['AllowAnywhereRecoding'] is set to FALSE
      (bug #887183).
    * lang/russian-dos-622.inc.php, lang/russian-cp-622.inc.php,
      lang/snyc_lang.sh, libraries/select_lang.lib.php:
      - Changed charset definition from dos-622 into cp-622. Both definitions
        describe the same charset, but cp-622 is recognized better by some
        browsers;
      - File was broken due to some bad typos.
    * lang/korean*.inc.php, lang/sync_lang.sh, libraries/select_lang.lib.php:
      - Changed Korean charset to EUC-KR. The old charset is a subset of EUC-KR,
        so this change shouldn't cause big problems. The support for EUC-KR is
        wider and we are now able to create a Korean UTF-8 language file;
      - Added korean-utf-8 translation.
    * config.inc.php, libraries/config_import.lib.php: Added missing Arabic
      Windows-1256 charset to the default value of $cfg['AvailableCharsets'].
    * libraries/select_lang.lib.php, libraries/dbi/*.dbi.lib.php: When connected
      to a MySQL 4.1 server, we now pick the MySQL charset that fits the one of
      the selected language file.
    * main.php:
      - Removed MySQL charset selection for MySQL 4.1.
      - Instead, the MySQL charset we picked is displayed.

2004-02-14 Alexander M. Turek  <thewall@derrabus.de>
    * libraries/database_interface.lib.php, libraries/dbi/*.dbi.lib.php:
      Introduced options parameter for query functions.
    * libraries/mysql_charsets.lib.php: Fixed a "MySQL out of sync" error.

2004-02-13 Alexander M. Turek  <resist@derrabus.de>
    * libraries/common.lib.php: Fixed bug #890186 (PMA chokes on undefined
      parser functions if one of the very first queries fails.
    * server_databases.php: Removed forgotten calls to mysql_wrappers.lib.

2004-02-11 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: bug 818654, password not copied
    * read_dump.php, libraries/display_tbl.lib.php, /bookmark.lib.php:
      bug 879005: execute stored bookmarks when user is different

2004-02-08 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    * lang/norwegian:  Updated, thanks to Sven-Erik Andersen (sven-erik).
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).
    * lang/dutch update, thanks to Ivo Teel
    * lang/catalan: Updated, thanks to Xavier Navarro (xavin)
    * lang/estonian: Updated, thanks to Alvar Soome (finsoft).

2004-02-05 Alexander M. Turek  <chaos@derrabus.de>
    * Documentation.html: Added FAQ 1.17a about error message, "Client does not
      support authentication protocol".

2004-02-04 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php: bug 890573 (was a typo)

2004-02-03 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: bug 879923, NULL default value of DATETIME field

2004-02-02 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: security fix, thanks to Cedric Cochin for the advisory
    * lang/slovak: Updated, thanks to Lubos Klokner (erkac).

2004-02-02 Alexander M. Turek  <supposedformerinfatuationjunkie@derrabus.de>
    * libraries/mysql_charsets.lib.php: Use PMA_backquote().

2004-01-31 Michal Cihar  <whyisitsocold@cihar.com>
    * lang/czech: Update.

2004-01-23 Alexander M. Turek  <stormfront@derrabus.de>
    * lang/german-*.inc.php: Updates.

2004-01-29 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/catalan: Updated, thanks to Xavier Navarro (xavin)
    * lang/italian: Updated, thanks to Pietro Danesi (danone).
    * lang/danish: updates, thanks to Finn Sorensen (alleyman01)
    * lang/*, header.inc.php, db_details_links.php, sql.php,
      libraries/functions.js: new stronger warning before a DROP DATABASE

2004-01-28 Garvin Hicking <MyDoom@supergarv.de>
    * browser_foreigners, tbl_change.php, tbl_indexes.php,
      tbl_properties_structure.php, tbl_relation.php, tbl_select.php,
      libraries/get_foreign.lib.php, libraries/relation.lib.php:
      Get rid of mysql_data_seek(). Use pre-cached PHP array for
      mysqli compatibility and bandwidth saving.

2004-01-27 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: bug 884606, MySQL version check before server choice

2004-01-26 Robin Johnson <robbat2@users.sourceforge.net>
    * libraries/dbi/mysql.dbi.lib.php: Correct the default parameter for
    PMA_DBI_insert_id($link = '') and convert file back to UNIX linefeeds.

2004-01-25 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_row_delete.php: bug 882695, broken row highlighting
    * libraries/display_tbl.lib.php: bug 879792, bad sort link
    * libraries/dbi/*: PMA_DBI_num_fields()

2004-01-24 Marc Delisle  <lem9@users.sourceforge.net>
    * querywindow.php: PMA_DBI_close() instead of DBI_close()
    * Documentation.html: clarify FAQ 6.21
    * libraries/dbi/*: use generic $strCantLoad message
    * lang/*: remove $strCantLoadMySQL message
    * libraries/dbi/mysqli.dbi.lib.php: @ before connect to avoid the
      display of unwanted error messages
    * libraries/relation.lib.php: PMA_DBI_fetch_row() instead of fetch_assoc()

2004-01-23 Alexander M. Turek  <foreveryoung@derrabus.de>
    * header_printview.inc.php:
      - Don't bypass $cfg['Server']['verbose'] settings;
      - Include MySQL version in SQL printview headers.
    * header.inc.php: Avoid sending headers twice.

2004-01-22 Alexander M. Turek  <innocenteyes@derrabus.de>
    * libraries/dbi/mysqli.dbi.lib.php: Experimental new MySQLi library.
    * browse_foreigners.php, db_create.php, db_datadict.php,
      db_details_common.php, db_details_db_info.php, db_details_qbe.php,
      db_details_structure.php, db_printview.php, export.php, ldi_table.php,
      left.php, main.php, mult_submits.php, pdf_pages.php, pdf_schema.php,
      querywindow.php, read_dump.php, server_common.inc.php,
      server_privileges.php, server_processlist.php, server_status.php,
      server_variables.php, sql.php, tbl_addfield.php, tbl_alter.php,
      tbl_change.php, tbl_create.php, tbl_index.php, tbl_move_copy.php,
      tbl_printview.php, tbl_properties.inc.php, tbl_properties_operations.php,
      tbl_properties_table_info.php, tbl_query_box.php, tbl_relation.php,
      tbl_rename.php, tbl_replace.php, tbl_select.php,
      transformation_wrapper.php, user_password.php, libraries/bookmark.lib.php,
      libraries/common.lib.php, libraries/db_table_exists.lib.php,
      libraries/display_tbl:lib.php, libraries/get_foreign.lib.php,
      libraries/mysql_charsets.lib.php, libraries/relation.lib.php,
      libraries/transformations.lib.php, libraries/auth/config.auth.lib.php,
      libraries/auth/cookie.auth.lib.php, libraries/export/*.php:
      - Removed most remaining calls to old mysql_wrappers library;
      - Small optimizations and XHTML fixes.
    * libraries/database_interface.lib.php, libraries/dbi/mysql.dbi.lib.php:
      - Moved PMA_DBI_get_dblist() definition to database_interface.lib;
      - Fixed "undefined constant" warning (bug #881637);
      - Added new functions: PMA_DBI_select_db(), PMA_DBI_get_fields(),
        PMA_DBI_get_fields_meta();
      - Bypassing charset conversion code for MySQL >= 4.1 experimentally.
    * Documentation.html: Changed my email address.
    * header_printview.inc.php:
      - Don't bypass $cfg['Server']['verbose'] settings;
      - Include MySQL version in SQL printview headers.
    * header.inc.php: Avoid sending headers twice.

2004-01-21 Michal Cihar  <thesiswritten@cihar.com>
    * lang/czech: Fixed unclear message.

2004-01-20 Marc Delisle  <lem9@users.sourceforge.net>
    * all concerned scripts: PMA_DBI_num_rows()
    * all concerned scripts: PMA_DBI_free_result()
    * all concerned scripts: PMA_DBI_insert_id()
    * all concerned scripts: PMA_DBI_affected_rows()

2004-01-19 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php, libraries/dbi/mysql.dbi.lib.php:
      PMA_DBI_get_dblist()

2004-01-17 Michal Cihar  <argh@cihar.com>
    * lang/czech: Updated.

2004-01-17 Alexander M. Turek  <roomservice@derrabus.de>
    * config.inc.php, Documentation.html, footer.inc.php, lang/*.inc.php,
      libraries/common.lib.php, libraries/config_import.lib.php,
      libraries/database_interface.lib.php, libraries/defines.lib.php,
      libraries/defines_mysql.lib.php, libraries/mysql_wrappers.lib.php,
      libraries/auth/config.auth.lib.php, libraries/auth/cookie.lib.php,
      libraries/dbi/mysql.dbi.lib.php: Database abstraction.
    * main.php: This script now accesses MySQL exclusivly through the new DBI
      functions.

2004-01-14 Marc Delisle  <lem9@users.sourceforge.net>
    * mult_submits.inc.php: bug 876805, dropping a field with the
      multi-submit mechanism removes all internal relations of a table,
      patch thanks to Joosep-Georg Järvemaa (j-georg)

2004-01-13 Robin Johnson <robbat2@users.sourceforge.net>
    * Documentation.html: Slight update to what I've done

2004-01-12 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    * lang/portuguese: Updated, thanks to Lopo Pizarro (lopopizarro).

2004-01-09 Alexander M. Turek  <singwhenyourewinning@derrabus.de>
    * libraries/sqlparser.lib.php: Support for _charset syntax.

2004-01-09 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.data.php: bug 873236 SQL_CALC_FOUND_ROWS

2004-01-07 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php, /display_tbl_links.lib.php:
      bug 857743, SHOW errors

2004-01-06 Alexander M. Turek  <therising@derrabus.de>
    * libraries/charset_conversion.lib.php: Skip charset conversion code if
      input charset and output charset are the same.

2004-01-05 Garvin Hicking <returnofthegarv@supergarv.de>
    * browse_foreigners.php, tbl_change.php: Sort key/value pairs
      as discussed in RFE #868369. Made foreigner window resizable.
    * libraries/functions.js: Reverted row marker patch. See RFE #867284
      for details.
    * libraries/display_tbl.lib.php, libraries/display_tbl_links.lib.php,
      libraries/functions.js: Upon clicking on a result row, de/activate
      the checkbox next to it. Only makes sense for horizontal mode. Can be
      deactivated by setting BrowseMarkerColor to an empty string in config.inc.php.

2004-01-05 Alexander M. Turek  <rumors@derrabus.de>
    * tbl_properties_operations.php: Changing a table's charset changed the
      charset of all fields (MySQL >= 4.1.1).

2004-01-04 Alexander M. Turek  <beggaronabeachofgold@derrabus.de>
    * libraries/config_import.lib.php: Added missing compatibility code for
      $cfg['RecodingEngine'].

2004-01-02 Alexander M. Turek  <wecantdance@derrabus.de>
    * libraries/mysql_charsets.lib.php, libraries/sqlparser.lib.php:
      MySQL collations are now parsed and highlighted.
    * libraries/export/sql.php: Include charset / collation information in db
      export.

2004-01-02 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php: bug 868996, debug code still in place,
      thanks to Matthias Fichtner (mfichtner)
    * browse_foreigners.php: paging does not work; obey RepeatCells=0
    * libraries/display_tbl.lib.php: bug 857743, SHOW FIELDS

2003-12-30 Michal Cihar  <happynewyer@cihar.com>
    * lang/czech: Updated.
    * lang/*: Fixed typo s/Chech-Slovak/Czech-Slovak/.

2003-12-30 Alexander M. Turek  <facevalue@derrabus.de>
    * config.inc.php, db_details_common.php, db_details_structure.php,
      tbl_properties_operations.php, css/phpmyadmin.css.php,
      libraries/common.lib.php, libraries/config_import.lib.php,
      libraries/mysql_charsets.lib.php, libraries/sqlparser.lib.php:
      - SQL parser detected the character set "binary" as column attribute;
      - MySQL charsets are now parsed and highlighted - Note: the SQL parser
        library now has to be included AFTER having connected to the MySQL
        server;
      - The default charset of a database may now be changed;
      - Ensured that the user's connection is used for setting and retreiving
        charset information.
      * libraries/defines.lib.php: typo.

2003-12-30 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_select.php: bug 867320, dropdowns in search page

2003-12-29 Alexander M. Turek  <crazysexycool@derrabus.de>
    * db_details_structure.php, libraries/mysql_charsets.lib.php:
      - display database collation (MySQL >= 4.1.1);
      - list collations of all tables.
    * tbl_properties_strcuture, tbl_properties_table_info.php:
      - Changed "Charset" label to "Collation" because it fits better;
      - The column collations weren't displayed with MySQL 5.0.
    * libraries/sqlparser.data.php: New reserved words:
      - COLLATE (since MySQL 4.1.0);
      - RETURN  (since MySQL 5.0.0).

2003-12-28 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.5.5 released

2003-12-27 Alexander M. Turek  <tragickingdom@derrabus.de>
    * Documentation.html, README: I tested phpMyAdmin with MySQL 5.0.0-alpha.

2003-12-25 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_qbe.php: error when generating joins
    * Documentation.html: FAQ 6.22: default bookmark execution

2003-12-23 Marc Delisle  <lem9@users.sourceforge.net>
    * css/phpmyadmin.css.php: Patch 864334, preserve white-space between quotes
    * db_datadict.php, db_printview.php: bug 863713: printing on non-IE browser

2003-12-21 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/norwegian:  Updated, thanks to Sven-Erik Andersen (sven-erik).

2003-12-18 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_relation.php: bug 860258: do not destroy foreign key references
      to another db (still cannot enter via phpMyAdmin this kind of
      references)
    * lang/indonesian: Updated, thanks to Rachim Tamsjadi (tamsy).

2003-12-17 Michal Cihar  <ilovetranslations@cihar.com>
    * lang/sync_lang.sh: Fix generation of translation, when source is in
      utf-8.
    * lang/chinese_big5.inc.php: Was broken due to above bug, thanks Marc for
      noticing this.

2003-12-16 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/lithuanian: Updated, thanks to Vilius Zigmantas (viliusz).

2003-12-15 Garvin Hicking  <me@supergarv.de>
    * tbl_replace.php: Check all required array indizes for multi-row edit

2003-12-15 Marc Delisle  <lem9@users.sourceforge.net>
    * read_dump.php: bug 859062: Go & Bookmark problem when the
      query has a character like "+" in it

2003-12-13 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_query_box.php, ldi_table.php: maximum upload size
    * tbl_change.php: max BLOB upload size

2003-12-12 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details.php, libraries/common.lib.php, lang/*:
      new feature to display the maximum upload size
      TODO: detect if upload succeeded

2003-12-12 Garvin Hicking <juststayalittlebitlonger@supergarv.de>
    * export.php: Fixed Regex
    * transformation_wrapper.php, lang/*, libraries/display_tbl.lib.php,
      libraries/transformations/application_octetstream__download.inc.php:
      Added a new transformation to download blob/binary field contents
      with customized filenames. Needed two minor tweeks to the general
      system.

2003-12-11 Michal Cihar  <imreallyaway@cihar.com>
    * libraries/export/sql.php: Fix moving foreign key definition on Windows
      (bug #851950).

2003-12-11 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_replace.php: missing number of rows for Affected rows
      and Inserted rows; wrong message for insert ids
    * libraries/display_tbl.lib.php: bug 857743, SHOW DATABASES

2003-12-11 Alexander M. Turek  <bleibtallesanders@derrabus.de>
    * server_collations.php, lang/*.inc.php, libraries/mysql_charsets.lib.php:
      Updated character sets overview for MySQL 4.1.1.
    * db_create.php, main.php: Ability to specify a default character set for a
      new database.
    * libraries/sqlparser.lib.php: Bug #857749.

2003-12-11 Garvin Hicking <me@supergarv.de>
    * header_printview.inc.php: RFE #856503, show number of rows in printview
    * tbl_change.php, tbl_replace.php, tbl_replace_fields.php: Fixed #857445,
      #857684 where non-existant fields caused PHP notices.
    * db_details.php: Removed unneccessary whitespace
    * sql.php: Bug #857742: When dropping the only remaining database, an
      error occured. Fixed by checking if databases remein (as suggested
      by lem9)

2003-12-10 Garvin Hicking <me@supergarv.de>
    * db_datadict.php: Bug 857186: Real fix for the problem. The '@'
      delimiter slipped to the replacement's end instead of the expression's
      end.
    * db_details_structure.php: Bug 857315 - short open tag fixed

2003-12-09 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.data.php: bug 854702: FORCE INDEX
    * main.php: bug 851564: backquotes on the wildcard dbname
      when no controluser is defined
    * db_datadict.php: bug 857186: ENUMs and data dictionary,
      thanks to Andrew Weiner (landreww) for the report and fix

2003-12-09 Garvin Hicking <embatag@supergarv.de>
    * tbl_change.php: Fixed Bug #856436 (not displaying default values)
    * lang/german*: Translations
    * left.php: Escape single quotes in single-table cases as well
      (Bug #855771)

2003-12-08 Marc Delisle  <lem9@users.sourceforge.net>
    * new language: basque, thanks to Axier Lopez (axierl@euskalerria.org)

2003-12-07 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.5.5-rc1 released

2003-12-06 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/danish: updates, thanks to Finn Sorensen (alleyman01)

2003-12-05 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug 854696: fixed a typo,
      and added some isset for a new check

2003-12-05 Garvin Hicking <weihnachtsgarv@supergarv.de>
    * libraries/transformations/text_plain__dateformat.inc.php:
      Use <dfn>-Tag to display original data to not waste display
      clarity by using hyperlinks. Original implementation also
      failed when using customized options.

2003-12-04 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/estonian: Updated, thanks to Alvar Soome (finsoft).
    * libraries/transformations/text_plain__dateformat.inc.php:
      patch 845690: show real data before transformation
    * left.php: bug 833790: put a workaround in place

2003-12-04 Garvin Hicking <grinch@supergarv.de>
    * browse_foreigner.php, mult_submits.inc.php, tbl_change.php,
      tbl_replace.php, tbl_replace_fields.php, tbl_row_delete,
      libraries/display_tbl.lib.php, libraries/display_tbl_links.lib.php:
      Multi row edit via checkboxes in browse mode is now available.
      This means, you can edit multiple records at once now.
    * tbl_row_delete.php, tbl_change.php, tbl_change.js: Fixed
       (un)nullify() function
    * libraries/display_tbl.lib.php, libraries/display_tbl_links.lib.php:
      Made checkbox/edit/delete fields smaller

2003-12-02 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: the constant used to check
      if the transformation function is included no longer exists
    * libraries/transformations/: replaced "include" by "require_once"
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).
    * lang/norwegian:  Updated, thanks to Sven-Erik Andersen (sven-erik).
    * lang/bulgarian:  Updated, thanks to Stanislav Yordanov (stanprog).
    * lang/danish: updates, thanks to Finn Sorensen (alleyman01)
    * lang/estonian: Updated, thanks to Alvar Soome (finsoft).

2003-11-28 Garvin Hicking <freakyfriday@supergarv.de>
    * main.php: Fixed one remaining preg_match

2003-11-27 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug 816666: sort order and aliases

2003-11-26 Alexander M. Turek  <lifeforrent@derrabus.de>
    * Almost every file:
      - Replaced all include / require commands by require_once where possible;
      - Further php 4.1+ optimizations;
      - footer.inc.php now automatically stops the script execution;
      - Coding standards.
    * config.inc.php: Don't include select_lang.lib.php here.
    * libraries/common.lib.php: Backwards compatibility.
    * libraries/common.lib.php, libraries/defines.lib.php,
      libraries/defines_php.lib.php, libraries/defines_mysql.lib.php,
      scripts/create-release.sh:
      defines.lib.php was included twice. For optimization reasons I moved all
      the code that is independent from the MySQL connection out of defines.lib
      into defines_php.lib.
      To point out the (new) meanings of the files I renamed defines.lib.php to
      defines_mysql.lib.php while defines_php.lib.php is now known as
      defines.lib.php.

2003-11-26 Michal Cihar  <cleanerfasterbetter@cihar.com>
    * lang/check_lang.sh: Cleanup.
    * lang/sort_lang.sh: Cleanup.
    * lang/czech: Better translated some strings.

2003-11-26 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/arabic: update, thanks to Ossama Khayat (okhayat)
    * lang/hindi: update, thanks to Girish Nair (girish_nair)
    * lang/slovak: Updated, thanks to Lubos Klokner (erkac).
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).

2003-11-25 Alexander M. Turek  <jaggedlittlepill@derrabus.de>
    * translators.html: Changed email of Hindi translator, again.
    * badwords.txt: File is obsolete.

2003-11-25 Garvin Hicking <phpmyadminismyaeroplane@supergarv.de>
    * db_details_qbe.php, left.php, main.php, pdf_pages.php, server_collations.php,
      tbl_change.php, tbl_indexes.php, tbl_move_copy.php, tbl_relation.php,
      tbl_replace.php, libraries/common.lib.php, libraries/db_config.lib.php,
      libraries/display_tbl.lib.php, libraries/grab_globals.lib.php,
      libraries/mysql_charsets.lib.php, libraries/select_lang.lib.php:

      Reverted some obfuscated regular expressions to their working eregi-versions
      to not break stuff. Removed unneccessary reset() calls, replaced some more
      while(list()) constructs.
    * libraries/transformations/overview.php, libraries/transformations/global.inc.php,
      libraries/common.lib.php, libraries/display_tbl.lib.php,
      libraries/transformations.lib.php3, user_password.php, tbl_change.php, sql.php,
      ldi_check.php, tbl_properties.inc.php, db_details_importdocsql.php:

      - When stored transformations have '.php3' ending, automagically assume '.php' now.
      - Use 's' RegEx Pattern modifier for certain situations where '.' should also include
        linebreaks.

2003-11-24 Alexander M. Turek  <bloodsugarsexmagik@derrabus.de>
    * lang/german-*.inc.php: Updates.
    * lang/english-*.inc.php: Sortation.

2003-11-24 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_rename.php: give an error if the new table name has a dot
      in its name, to avoid doing our automatic relation-table renames

2003-11-24 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/common.lib.php: Use preg again, it just needs a bit more
      escaping of \ (once for PHP and once for PCRE).
    * css/phpmyadmin.css.php: Make server selection in left frame same size as
      on other places.
    * main.php: One more regex escaping fix.
    * lang/chinese_big5: Updated, thanks to Siu Sun (siusun).
    * lang/indonesian: Updated, thanks to Rachim Tamsjadi (tamsy).
    * lang/latvian: Updated, thanks to Sandis Jerics (saaa2002).
    * translators.html: Updated email for Hindi translator.

2003-11-23 Alexander M. Turek  <rabus@users.sourceforge.net>
    * server_privileges.php3: while (list() = each()) is not always as bad as
      one might think ;-p

2003-11-22 Garvin Hicking <me@supergarv.de>
    * ./*: More PHP3-compatibility removal, see 2003-11-20.

2003-11-22 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_operations.php: display "Add constraints" only
      if there are foreign keys in current table
    * libraries/common.lib.php: revert back to previous logic at line 1108
      because of regex problem (when only_db is used)

2003-11-21 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_move_copy.php: typo about constraints

2003-11-21 Michal Cihar  <nijel@users.sourceforge.net>
    * scripts/create-release.sh: Udated information what is needed to change on
      home page to currect status.

2003-11-20 Alexander M. Turek  <rabus@users.sourceforge.net>
    * server_databases.php, server_processlist.php, server_status.php,
      server_variables.php: Removed some php 3 / MySQL 3.21 compatibility code.
    * README: Updated requirements.
    * scripts/create-release.sh: Create Documentation.txt when building the
      distribution kits.
    * Documentation.txt, scripts/updatedocs.sh: Romoved.

2003-11-20 Michal Cihar  <nijel@users.sourceforge.net>
    * read_dump.php: Show message about failing upload in all cases, removed
      some PHP compatibility code.
    * libraries/export/sql.php: More older PHP cleanup.
    * tbl_move_copy.php, tbl_properties_operations.php, lang/*: Cleanup in
      table moving/copying and allow to keep constraints over these
      operations.
    * server_databases.php: Add correct parameters to left frame to keep
      server choice, language, etc. (bug #845397).
    * libraries/config_import.lib.php, config.inc.php, db_details.php,
      tbl_query_box.php, Documentation: Allow changing of default queries (RFE
      #839168).
    * Documentation.html: Valid XHTML again.
    * lang/indonesian: Updated, thanks to Rachim Tamsjadi (tamsy).

2003-11-20 Garvin Hicking <me@supergarv.de>
    * libraries/auth/*, libraries/dbg/*, libraries/export/*, libraries/fpdf/*,
      libraries/transformations/overview.php, libraries/*.php
      (work in progress)

      Lots of PHP < 4.1.0 / MySQL < 3.23.32 compatibility/performance changes:
      - Replaced "while (list() = each())" calls by foreach loops.
      - Removed PHP3-compatibility code
      - Removed calls to $HTTP_*_VARS (using $_* now).
      - Replaced some TAB-characters with whitespace
      - Removed PHP4 < 4.1.0 compatibility code
      - Removed MySQL < 3.23.32 compatibility code
      - Replaced "for ($i=0; $i <= count(); $i++)" loops to
        "$cnt = count(); for ($i=0; $i <= $cnt; $i++)" structures for better
        performance
      - Replace calls to eregi*/split functions to their preg* counterparts for
        faster and binary-safe operation
      - Replace regex-Calls to simple string functions where possible (speedup)
      - Replace calls to substr($string, X, 1) to $string{X}

2003-11-19 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: first group of headers was offset by
      one column to the left

2003-11-19 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/catalan: Updated, thanks to Xavier Navarro (xavin).
    * lang/chinese_big5: Updated, thanks to Siu Sun (siusun).
    * lang/portuguese: Updated, thanks to António Raposo (cfmsoft).
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).

2003-11-19 Alexander M. Turek  <rabus@users.sourceforge.net>
    * libraries/grab_globals.lib.php: Do not use $HTTP_*_VARS arrays anymore.
    * Documentation.html: Modified requirements.
    * server_collations.php: Replaced obsolete "while (list() = each())" calls
      by foreach loops.
    * server_privileges.php: Dropped some MySQL 3.21 / php 3 compatibility code.

2003-11-18 Alexander M. Turek  <rabus@users.sourceforge.net>
    * libraries/common.lib.php: Recognizing new 2.x config.inc.php revisions.

2003-11-18 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/*: strUpgradeMySQL -> strUpgrade with one more parameter
      for the product name
    * main.php: new warnings for old PHP or MySQL versions

2003-11-18 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/display_tbl.lib.php: Can kill more proceses (bug #844353).

2003-11-18 Michal Cihar  <nijel@users.sourceforge.net>
    * almost EVERYTHING: The big rename from php3 to php.

2003-11-18 Michal Cihar  <nijel@users.sourceforge.net>
    * read_dump.php3: Show result of last SHOW query when multiple queries.
    * scripts/create-release.sh: Generate also sizes of files, for
      files.inc.php on homepage.

2003-11-17 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/french: update
    * lang/turkish update, thanks to Bora Alioglu
    * lang/italian: Updated, thanks to Pietro Danesi (danone).
    * lang/norwegian:  Updated, thanks to Sven-Erik Andersen (sven-erik).

2003-11-14 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_structure.php3: bug 842053: not only TEXT but also
      any ...TEXT field types can have a FULLTEXT index

2003-11-13 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php3: undefined variable dblist_full when
      renaming a table

2003-11-13 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/export/sql.php3: Fix export of foreign keys (patch #834474).
    * libraries/export/sql.php3, libraries/config_import.lib.php3,
      libraries/common.lib.php3, libraries/display_export.lib.php3, lang/*,
      config.inc.php3: Allow delayed inserts (RFE #841298).
    * libraries/export/sql.php3, libraries/common.lib.php3,
      libraries/config_import.lib.php3, libraries/display_export.lib.php3,
      lang/*, config.inc.php3: Support for creating UPDATE and REPLACE
      statements in export (RFE #838828).
    * lang/remove_message.sh: Checks for parameter count.

2003-11-12 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/export/latex.php3: Fixed LaTeX output (patch #840082).
    * libraries/export/latex.php3: Unique fields are bold (patch #840089).

2003-11-11 Garvin Hicking <antikarneval@supergarv.de>
    * libraries/display_tbl.lib.php3: Added more secure checks
      for each'ing on arrays built by the query analyzer. (Bug #839630)
    * libraries/display_tbl.lib.php3: Fixed Bug #839834 - Colspan for
      repeated headers were wrong since introduction of multi-row delete.

2003-11-10 Marc Delisle  <lem9@users.sourceforge.net>
    * scripts/extchg.sh: bug 839081: generator.sh was not converted

2003-11-07 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php3, tbl_replace_fields.php3, Documentation.html:
      bug 835783: now (if using PHP4) users can enter NULL in a field
      and get the string NULL and not a NULL value. For a real NULL
      value they must use the Null checkbox.

2003-11-06 Marc Delisle  <lem9@users.sourceforge.net>
    * New italian doc (partial) in pma_localized_docs
    * lang/estonian: Updated, thanks to Alvar Soome (finsoft).

2003-11-06 Garvin Hicking <me@supergarv.de>
    * sql.php3, libraries/display_tbl.lib.php3:
      RFE #835491: Display linked values in printview. Display relation-
      related features (comments, MIME-transformations) in printview.
      Fix empty table rows in vertical display (kept Mozilla from displaying
      borders in this printmode). Adjusted layout a tiny-weeny bit to let
      the comments of a field fit the whole space.
    * libraries/display_tbl.lib.php3, libraries/transformations/TEMPLATE,
      Documentation.html: Propagate current MIME-type to plugin functions.
      Thanks for noticing (again), Thiemo Maettig. :)
    * libraries/common.lib.php3, Documentation.html, config.inc.php3:
      Now use $cfg['Servers'][$i]['only_db'] to allow sorting databases in
      the left frame. The '*' character can be used to
      fill in all remaining characters. See Documentation for details.
      RFE #830355, thanks to Xuefer for suggestions.

2003-11-06 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/export/xml.php3: Add xml header with encoding information
      (bug #836630).

2003-11-05 Garvin Hicking <me@supergarv.de>
    * libraries/common.lib.php3, footer.inc.php3: Bug #831181: Do not
      store queries with errors in history, also when coming from the
      database SQL tab.
    * libraries/common.lib.php3: Bug #835854. The MySQL-error messages
      are now put inside a <code> HTML-container, not <pre>. This allows
      wordwrapping to hide vertical scrollbars. Linebreak/Whitespace
      formatting has been altered to preserve those.
    * libraries/transformations/text_plain__dateformat.inc.php3:
      Remove obsolete code, thanks to Thiemo Maettig!
    * Documentation.html, libraries/display_tbl.lib.php3,
      libraries/transformations/*:
      The $meta field information is now passed to the transformation plugins
      to allow future (and easier) usage of field information
      (zerofill/unsigned/not_null/...).

2003-11-04 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: bug 833900, added known limitation in FAQ 3.10
      about selecting homonyms on a table without primary key

2003-11-04 Garvin Hicking <me@supergarv.de>
    * Documentation.html: Added known limitation about ANSI-mode
      (Bug #816858)
    * libraries/transformations/text_plain__dateformat.inc.php3:
      Bug #835252: Now allow more timestamps. Minor modification of a patch
      submitted by anonymous poster. Thanks!

2003-11-03 Garvin Hicking <me@supergarv.de>
    * Documentation.html, tbl_row_delete.php3,
      libraries/display_tbl.lib.php3:
      Bug #828290: Fixed "Execute stored bookmark". Also made some minor
      tweaks to make PHP-Transformations with forms working again. Added
      a limitation notice on that to FAQ 3.8. Added an image to this action.
    * libraries/display_tbl.lib.php3: Made multi-row delete working for
      vertical browse mode. When executing a multi-row delete, keep the
      last used display mode and other options.
    * Documentation.html: Adjusted link to the link-section of our homepage.
      Fixed typo.

2003-11-03 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/czech: Updated.
    * libraries/common.lib.php3: URI detection works with www-Sharp.Runtime
      (RFE #834053).

2003-11-03 Alexander M. Turek  <rabus@users.sourceforge.net>
    * lang/german-*.inc.php3: Grammar.
    * config.inc.php3, libraries/common.lib.php3,
      libraries/config_import.lib.php3, libraries/display_export.lib.php3,
      libraries/export/csv.php3, lang/*.inc.php3:
      Bug #812474 (Excel v.X does not import 'CSV for Excel' exports).

2003-11-02 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/arabic: big update, thanks to Ossama Khayat (okhayat)
    * lang/norwegian:  Updated, thanks to Sven-Erik Andersen (sven-erik).

2003-11-01 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php3: bug 826880, quotes added

2003-10-31 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/romanian: Updated, thanks to Valics Lehel.
    * tbl_relation.php3: add backquotes around table and field names
      in queries for InnoDB foreign keys; however, in current MySQL 4.0.16
      version, a blank character in a field name is not accepted by InnoDB

2003-10-27 Marc Delisle  <lem9@users.sourceforge.net>
    * querywindow.php3: bug 825668: js errors in SQL-history,
      thanks to Jenik Kaspar (jenix)

2003-10-26 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php3: bug 830437, undefined $sql_order
    * querywindow.php3: bug 829737, cosmetic change: added &nbsp; for
      better display in Iconic 'both' mode

2003-10-24 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/lithuanian: Updated, thanks to Vilius Zigmantas (viliusz).
    * lang/serbian: utf-8 translations contained no strings, regenerated.
    * lang/other: Added missing strings.
    * libraries/display_tbl.lib.php3: Try to show sorting by indexes only if
      it makes sense (bug #829594).

2003-10-20 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/export/sql.php3: Fix undefined variable for MySQL < 3.23.20
      (bug #828370).
    * libraries/export/sql.php3. libraries/export/latex.php3,
      libraries/display_export.lib.php3, export.php3, lang/*,
      libraries/common.lib.php3, libraries/config_import.lib.php3: Allow to
      supress dates in SQL dump separately.
    * lang/add_message.sh: Fail if no message specified.
    * lang/add_message_file.sh: Fail if no file specified.
    * libraries/display_export.lib.php3: Added ugly hack to allow switching
      export options in Opera (bug #828712).
    * db_details_structure.php3, lang/*: Show also overhead, allow to check
      all tables with overhead at once (JS only) (RFE #828090).
    * footer.inc.php3: Try to update history in table only if configured so
      (bug #828356).

2003-10-21 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_pages.php3: Patch 825672: show fields in Edit PDF scratchboard,
      thanks to Chris Walsh (chriswalshaz)
    * libraries/display_tbl.lib.php3: bug 826847, undefined $url_query
    * tbl_relation.php3: Bug 827340: Relation view should display also
      non-unique keys as possible choices for foreign keys

2003-10-20 Michal Cihar  <nijel@users.sourceforge.net>
    * Documentation, config.inc.php3, tbl_change.php3,
      libraries/common.lib.php3, libraries/config_import.lib.php3: Make
      default functions configurable (RFE #821271).

2003-10-18 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php3: bug 821512, Safari 1.0 v85.5 and fonts
    * libraries/functions.js: bug 825665, scratchboard and paper size
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    ### 2.5.4 released

2003-10-17 Marc Delisle  <lem9@users.sourceforge.net>
    * browse_foreigners.php3: bug 825473: PMA_jsFormat() needed on alert()
    * tbl_query_box.php3, libraries/bookmark.lib.php3:
      bug 824958: bookmarks not configured

2003-10-16 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/zip.lib.php3: Calculate offset progressively (patch #824122).
    * scripts/convertcfg.pl: Perl in most cases lives in /usr/bin/perl.
    * lang/italian: Updated, thanks to Pietro Danesi (danone).
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).
    * lang/persian-utf-8.inc.php3: Regenerated, was somehow broken.
    * lang/sort_lang.sh: Ignores non file parameter.
    * libraries/common.lib.php3: Add some more fixes for wrongly typed
      $cfg['PmaAbsoluteUri'].
    * Documentation: Changed my email and credits.
    * libraries/defines_php.lib.php3: Output buffering is not available in
      php 3 (bug #824956).

2003-10-15 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/russian-windows-1251: wrong charset (bug 823939)

2003-10-14 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php3: bug 707516, sometimes db privileges
      are not shown

2003-10-12 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: bug 821144: FAQ 6.21 needed clarification

2003-10-11 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/grab_globals.lib.php3: bug 807047, better fix
    * tbl_select.php3: bug 821350: escape single quotes in table
      Search page

2003-10-10 Marc Delisle  <lem9@users.sourceforge.net>
    * footer.inc.php3: bug 819036, undefined function PMA_setHistory()

2003-10-10 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/export/sql.php3: Fix PMA_getTableContentOld (bug #820932).
    * left.php3: Konqueror 3 and Opera 7 works with tree view (bug #820717).
    * scripts/create-release.sh: Generate MD5 sums (RFE #748415).
    * Documentation, config.inc.php3, scripts/create_tables.sql: Change
      default phpMyAdmin table names from PMA_* to pma_*.

2003-10-07 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/russian*: updated, thanks to Artyom Rabzonov

2003-10-07 Michal Cihar  <nijel@users.sourceforge.net>
    * Documentation: Another hint for creating primary/unique keys.

2003-10-06 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/slovak: Updated, thanks to Lubos Klokner (erkac).

2003-10-06 Michal Cihar  <nijel@users.sourceforge.net>
    * tbl_replace.php3: Do not include query in redirect url if too long.

2003-10-02 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/grab_globals.lib.php3: bug 807047, protect POST variables
      against cookies of the same name
    * libraries/display_tbl.lib.php3: bug 816658, the multi-row delete
      icon should not be displayed in all cases

2003-10-01 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/slovenian update, thanks to Kositer Uros
    * lang/norwegian:  Updated, thanks to Sven-Erik Andersen (sven-erik).
    * libraries/export/sql.php3: bug 815822 Undefined index/offset
    * lang/turkish update, thanks to Bora Alioglu

2003-10-01 Alexander M. Turek  <rabus@users.sourceforge.net>
    * translators.html: Better link.

2003-09-30 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.5.4-rc1 released

2003-09-29 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/czech: Updated.
    * config.inc.php3, db_details_importdocsql.php3,
      db_details_structure.php3, libraries/config_import.lib.php3: You now
      need to explicitely enable docSQL support ($cfg['docSQLDir']), RFE
      #812033.
    * Documentation: Documented above and support for compressed dumps.
    * db_details.php3, export.php3, ldi_check.php3, ldi_table.php3,
      read_dump.php3, tbl_change.php3, tbl_query_box.php3,
      tbl_replace_fields.php3: $cfg['*Dir'] don't have to end with slash.

2003-09-28 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/albanian: Updated, thanks to Laurent Dhima (laurenti).
    * lang/indonesian: Updated, thanks to Rachim Tamsjadi (tamsy).
    * lang/chinese_big5: Updated, thanks to Siu Sun (siusun).
    * new lang: bosnian, thanks to Samir Kobiljak

2003-09-27 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_row_delete.php3, mult_submits.inc.php3,
      libraries/display_tbl.lib.php3, /display_tbl_links.lib.php3:
      RFE 810270: multi-row delete in browse mode
    * lang/catalan: Updated, thanks to Xavier Navarro (xavin).
    * lang/polish: Updated, thanks to Jakub Wilk (ubanus).
    * lang/spanish: Updated, thanks to Daniel Hinostroza (dhinostroza).

2003-09-26 Alexander M. Turek  <rabus@users.sourceforge.net>
    * tbl_indexes.php3: RFE #812993 (Icons for index table).
    * lang/persian-*.inc.php3, lang/sync_lang.sh,
      libraries/select_lang.lib.php3, translators.html:
      New Persian language files, thanks to Parham Ghaffarian.
    * libraries/select_lang.lib.php3: Removed a dublicate entry.
    * translators.html: I'm back. :-)
    * lang/english.inc.php3: Resorted strings.

2003-09-26 Garvin Hicking <me@supergarv.de>
    * left.php3: bug #812481: Fixed display of '__protected__' subgroup in
      non-light left frame mode, when $cfg['LeftFrameTableSeperator'] is empty.

2003-09-24 Alexander M. Turek  <rabus@users.sourceforge.net>
    * libraries/function.js: Fixed bug #811499 (Opera 7.20 messes up row
      markers), thanks to Michael Johnson (redbeardc).
    * server_privileges.php3: Fixed bug #811792 (Password not kept when
      modifying user).

2003-09-23 Alexander M. Turek  <rabus@users.sourceforge.net>
    * lang/german-*.inc.php3: Fixed some typos, thanks to Sebastian Mendel.

2003-09-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/export/sql.php3: bug 811222: we need to analyze the query
      to get the true column name in case of aliases
    * libraries/common.lib.php3: bug 810617, final 1.0 version of Safari
      does not need reduced font size

2003-09-20 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_schema.php3: bug 805227: the "Show color" only removed
      color on arrows, now removes all the color because of printing problems
      on black&white printers, thanks to Kelley Lingerfelt (rebelkell)

2003-09-19 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php3: bug 784961, could not delete a user

2003-09-19 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/display_tbl.lib.php3: Fixed deleting AND from end of condition
      with older php (bug #802060).

2003-09-18 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/auth/cookie.auth.lib.php3: Improved functionality when more
      than one cookie auth is being used.

2003-09-18 Garvin Hicking <me@supergarv.de>
    * tbl_query_box.php3, read_dump.php3, sql.php3, lang/*: RFE #477472 -
      Add bookmark option to query window/tab to bookmark any statement.

2003-09-17 Garvin Hicking <me@supergarv.de>
    * querywindow.php3: RFE #807282 - Display 'edit' button to alter entries from SQL query
      history, not execute them immediately.
    * footer.inc.php3: Bug #805568 - Save SQL history even if 'LockFromUpdate' is selected.
    * server_databases.php3: Bug #805545 - Refresh left frame when selecting a DB of
      server_databases.php3

2003-09-17 Michal Cihar  <nijel@users.sourceforge.net>
    * read_dump.php3, libraries/read_dump.lib.php3: Error message when file
      can not be read.
    * tbl_query_box.php3: Do not require any variables in query window.
